"use strict";

class BigInteger{
  constructor(l){
    this.length = l
    this.bitlength = l*8
    this.bits = "".padStart(l*8,"0")
  }
  setSingleBit(index,value){
    this.bits=this.bits.substr(0,index) + parseInt(value) + this.bits.substr(index*1+1);
  }
  setBits(offset,length,value){
    var binValue = parseInt(value).toString(2).padStart(length,"0")
    for(var i = 0;i<length*1;i++){
      this.setSingleBit(parseInt(offset)+i,binValue[i])
    }
  }
  getValue (start,length) {
    return parseInt(this.bits.substr(start,length),2)
  }
  toArray(base){
    var out=[]
    base= base || 16
    for(var i=0;i<this.bits.length;i+=8){
      var currentbyte = parseInt(this.bits.substr(i,8),2)
      switch(base){
        case "hex":
          base=16
        case 16:
          out.push(currentbyte.toString(base).padStart(2,"0"))
          break
        case "bin":
          base=2
        case 2:
          out.push(currentbyte.toString(base).padStart(8,"0"))
          break
        case "dec":
          base=10
        case 10:
          out.push(currentbyte.toString(base).padStart(3,"0"))
          break
      }
    }
    return out
  }
  toString(base){
    return this.toArray(base).join("")
  }
  static fromHex(str){
    var eep = new BigInteger()
    eep.length=str.length/2
    eep.bitlength=eep.length*8
    eep.bits=[].map.call(str,x=>parseInt(x,16).toString(2).padStart(4,"0")).join("")
    return eep
  }
}

class EnoceanTelegram {
  static teach_in(senderId,eep){
    var eep_a=eep.split("-")
    var func=parseInt(eep_a[1],16)
    var type=parseInt(eep_a[2],16)
    var manu = 0x7f
    var userdata=new BigInteger(4)
    userdata.setBits(0,6,func)
    userdata.setBits(6,7,type)
    userdata.setBits(13,10,manu)
    userdata.setSingleBit(24,1)
    userdata.setSingleBit(28,0)
    var sync = 85
    var ptype= 1
    var length = 10
    var olength = 7
    var head=BigInteger.fromHex(paddedValue(length,4)+paddedValue(olength,2)+paddedValue(ptype,2))
    var headerCRC=CRC8(head.toArray(10))
    var body=BigInteger.fromHex("a5"+userdata+senderId+"0003ffffffffff00")
    return "55"+head.toString()+paddedValue(headerCRC,2)+body.toString()+paddedValue(CRC8(body.toArray(10)),2)
  }
  static encode(j,eepstr){
    var eep = eep_desc[eepstr]
    if(eep==undefined) return null

    if(!Array.isArray(eep.case))eep.case=[eep.case]

    var tel = new EnoceanTelegram()
    var copy = JSON.stringify(j.decoded)
    tel.decoded=JSON.parse(copy)
    tel.decoded.LRNB=j.decoded.LRNB || {value:1}
    tel.encoded= new BigInteger(6+6+8+4).toString(16)
    tel._sync=j._sync || 85
    tel._type=j._type || 1
    tel._optionalLength=j._optionalLength || 7
    tel._packetType=j.packetType || 1
    tel._data=j._data || 0
    tel._senderId=j._senderId || "00112233"

    tel._rssi=255
    tel._securityLevel=0
    tel._subTelNum=3
    tel._destinationId=j._destinationId || "ffffffff"
    tel._optionalData=tel._subTelNum.toString(16).padStart(2,"0")+tel._destinationId+tel._rssi.toString(16).padStart(2,"0")+tel._securityLevel.toString(16).padStart(2,"0")
    if(parseInt(eep.rorg_number,16)==246){
      //f6
      tel._status=j._status || 48
      tel._length=j.length || 7
      tel._rorg=246
    }
    if(parseInt(eep.rorg_number,16)==213){
      //d5
      tel._status=j._status || 0
      tel._length=j.length || 7
      tel._rorg=213
    }
    if(parseInt(eep.rorg_number,16)==165){
      //a5
      tel._status=j._status || 0
      tel._length=j.length || 10
      tel._rorg=165
    }
    var tmp_data =new BigInteger(tel._length-6)
    for(var item in tel.decoded){
      if(!Array.isArray(eep.case[0].datafield))eep.case[0].datafield=[eep.case[0].datafield]
      eep.case[0].datafield.forEach(function(e){
        if(e.shortcut==item) {
          var val = tel.decoded[item].value

          if(e.hasOwnProperty("range")){
            //if(x.scale.hasOwnProperty("ref")) x.scale=x.range
            var B=((e.scale.max*1-e.scale.min*1)/(e.range.max*1-e.range.min*1))
            val   = Math.round(((val-e.scale.min*1)/B)+e.range.min*1)
          }
          tmp_data.setBits(e.bitoffs,e.bitsize,val)
        }
      })
    }
    var header = BigInteger.fromHex(paddedValue(tel._length,4)+paddedValue(tel._optionalLength,2)+paddedValue(tel._type,2))
    tel._headerCRC=CRC8(header.toArray(10))

    tel._userData=tmp_data.toString()
    tel._data=tel._rorg.toString(16).padStart(2,"0")+tel._userData+tel._senderId+tel._status.toString(16).padStart(2,"0")
    var body=BigInteger.fromHex(tel._data+tel._optionalData)
    tel._bodyCRC=CRC8(body.toArray(10))
    tel.encoded=paddedValue(tel._sync,2)+paddedValue(tel._length,4)+paddedValue(tel._optionalLength,2)+paddedValue(tel._type,2)+paddedValue(tel._headerCRC,2)+tel._data+tel._optionalData+paddedValue(tel._bodyCRC,2)
    return tel
  }
  static decode(t,eepstr){
    var tel = new EnoceanTelegram()
    tel.encoded=t
    tel._sync=parseInt(t.substr(0,2),16)
    tel._length=parseInt(t.substr(2,4),16)
    tel._optionalLength=parseInt(t.substr(6,2),16)
    tel._packetType=parseInt(t.substr(8,2),16)
    tel._headerCRC=parseInt(t.substr(10,2),16)
    tel._data=t.substr(12,tel._length*2)
    tel._rorg=parseInt(t.substr(12,2),16)
    tel._userData=t.substr(14,tel._length*2-12)
    tel._optionalData=t.substr(12+tel._length*2,tel._optionalLength*2)
    tel._senderId=tel._data.substr(tel._data.length-10,8)
    tel._status=parseInt(tel._data.substr(tel._data.length-2),16)
    tel._bodyCRC=parseInt(t.substr(t.length-2),16)
    tel._subTelNum=parseInt(tel._optionalData.substr(0,2))
    tel._destinationId=tel._optionalData.substr(2,8)
    tel._rssi=parseInt(tel._optionalData.substr(10,2),16)
    tel._securitLevel=parseInt(tel._optionalData.substr(12,2),16)
    var eep = eep_desc[eepstr]
    if(eep.hasOwnProperty("ref")) eep = eep_desc[`${eep.ref.rorg}-${eep.ref.func}-${eep.ref.type}`.toLowerCase()]
    if(eep==undefined) return null
    if(!Array.isArray(eep.case))eep.case=[eep.case]
    var td = BigInteger.fromHex(tel._userData)

    eep.case.some(function(item){
      if(item.condition!=undefined && item.condition.statusfield!=undefined){
        var s1=new BigInteger(1)
        s1.setSingleBit(item.condition.statusfield[0].bitoffs*1,item.condition.statusfield[0].value*1)
        s1.setSingleBit(item.condition.statusfield[1].bitoffs*1,item.condition.statusfield[1].value*1)
        if(s1.toString(10)==tel._status){
          tel.decoded = EnoceanTelegram.decodeTel(td,item)
          return true
        }
      }else{
        if(item.condition!=undefined && item.condition.datafield!=undefined){
          var s1=BigInteger.fromHex(tel._userData)
          var cond=s1.getValue(item.condition.datafield.bitoffs,item.condition.datafield.bitsize)
          if(item.condition.datafield.value==cond) {
            tel.decoded = EnoceanTelegram.decodeTel(td,item)
            return true
          }
        }
        tel.decoded = EnoceanTelegram.decodeTel(td,item)
      }
    })
    return tel
  }
  static decodeTel(data,c){
    var ret = {}
    if(!Array.isArray(c.datafield))c.datafield=[c.datafield]
    c.datafield.forEach(function(item){
      var val =  data.getValue(item.bitoffs*1,item.bitsize*1)
      if(item.enum!=undefined && item.enum.item!=undefined){
        for(var i = 0;i<item.enum.item.length;i++){
          if(item.enum.item[i].hasOwnProperty("min")){
            if(item.enum.item[i].min<=val && item.enum.item[i].max >= val){
              ret[item.shortcut]={name:item.data,value:val,desc:item.enum.item[i].description,unit:item.unit}
            }
          }
          if(item.enum.item[i].hasOwnProperty("bitmask")){
            var mask=item.enum.item[i].bitmask
            if((val & mask)==item.enum.item[i].bitvalue){
              ret[item.shortcut]={name:item.data,value:item.enum.item[i].value,desc:item.enum.item[i].description,unit:item.unit}
            }
          }
          if(item.enum.item[i].value==val){
            ret[item.shortcut]={name:item.data,value:val,desc:item.enum.item[i].description,unit:item.unit}
          }
        }
      }
      if(item.hasOwnProperty("range")){
        var rdist = item.range.max*1-item.range.min*1
        if(!item.hasOwnProperty("scale")){
          item.scale={min:item.range.min,max:item.range.max}
        }
        var sdist = item.scale.max*1-item.scale.min*1
        var dx = (sdist/rdist)
        var val = (val-item.range.min*1)*dx+item.scale.min*1
        ret[item.shortcut]={name:item.data,value:val,unit:item.unit}
      }
    })

    return ret
  }
}
(function() {
  var root = this
  var previous_EnoceanTelegram  = root.EnoceanTelegram
  if( typeof exports !== 'undefined' ) {
    if( typeof module !== 'undefined' && module.exports ) {
      exports = module.exports = EnoceanTelegram
    }
    exports.EnoceanTelegram = EnoceanTelegram
  }
  else {
    root.EnoceanTelegram = EnoceanTelegram
  }
  EnoceanTelegram .noConflict = function() {
    root.EnoceanTelegram  = previous_EnoceanTelegram
    return EnoceanTelegram
  }
}).call(this);
function paddedValue(val,l){
  return val.toString(16).padStart(l,"0")
}
var crcTable = [
	0x00, 0x07, 0x0e, 0x09, 0x1c, 0x1b, 0x12, 0x15,
	0x38, 0x3f, 0x36, 0x31, 0x24, 0x23, 0x2a, 0x2d,
	0x70, 0x77, 0x7e, 0x79, 0x6c, 0x6b, 0x62, 0x65,
	0x48, 0x4f, 0x46, 0x41, 0x54, 0x53, 0x5a, 0x5d,
	0xe0, 0xe7, 0xee, 0xe9, 0xfc, 0xfb, 0xf2, 0xf5,
	0xd8, 0xdf, 0xd6, 0xd1, 0xc4, 0xc3, 0xca, 0xcd,
	0x90, 0x97, 0x9e, 0x99, 0x8c, 0x8b, 0x82, 0x85,
	0xa8, 0xaf, 0xa6, 0xa1, 0xb4, 0xb3, 0xba, 0xbd,
	0xc7, 0xc0, 0xc9, 0xce, 0xdb, 0xdc, 0xd5, 0xd2,
	0xff, 0xf8, 0xf1, 0xf6, 0xe3, 0xe4, 0xed, 0xea,
	0xb7, 0xb0, 0xb9, 0xbe, 0xab, 0xac, 0xa5, 0xa2,
	0x8f, 0x88, 0x81, 0x86, 0x93, 0x94, 0x9d, 0x9a,
	0x27, 0x20, 0x29, 0x2e, 0x3b, 0x3c, 0x35, 0x32,
	0x1f, 0x18, 0x11, 0x16, 0x03, 0x04, 0x0d, 0x0a,
	0x57, 0x50, 0x59, 0x5e, 0x4b, 0x4c, 0x45, 0x42,
	0x6f, 0x68, 0x61, 0x66, 0x73, 0x74, 0x7d, 0x7a,
	0x89, 0x8e, 0x87, 0x80, 0x95, 0x92, 0x9b, 0x9c,
	0xb1, 0xb6, 0xbf, 0xb8, 0xad, 0xaa, 0xa3, 0xa4,
	0xf9, 0xfe, 0xf7, 0xf0, 0xe5, 0xe2, 0xeb, 0xec,
	0xc1, 0xc6, 0xcf, 0xc8, 0xdd, 0xda, 0xd3, 0xd4,
	0x69, 0x6e, 0x67, 0x60, 0x75, 0x72, 0x7b, 0x7c,
	0x51, 0x56, 0x5f, 0x58, 0x4d, 0x4a, 0x43, 0x44,
	0x19, 0x1e, 0x17, 0x10, 0x05, 0x02, 0x0b, 0x0c,
	0x21, 0x26, 0x2f, 0x28, 0x3d, 0x3a, 0x33, 0x34,
	0x4e, 0x49, 0x40, 0x47, 0x52, 0x55, 0x5c, 0x5b,
	0x76, 0x71, 0x78, 0x7f, 0x6A, 0x6d, 0x64, 0x63,
	0x3e, 0x39, 0x30, 0x37, 0x22, 0x25, 0x2c, 0x2b,
	0x06, 0x01, 0x08, 0x0f, 0x1a, 0x1d, 0x14, 0x13,
	0xae, 0xa9, 0xa0, 0xa7, 0xb2, 0xb5, 0xbc, 0xbb,
	0x96, 0x91, 0x98, 0x9f, 0x8a, 0x8D, 0x84, 0x83,
	0xde, 0xd9, 0xd0, 0xd7, 0xc2, 0xc5, 0xcc, 0xcb,
	0xe6, 0xe1, 0xe8, 0xef, 0xfa, 0xfd, 0xf4, 0xf3
];

function CRC8(buf){
	var crc = 0;
	for (var i = 0;i < buf.length;i++){
		crc = crcTable[(crc ^ buf[i])];
	}
	return crc;
}

var eep_desc={
  "f6-02-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Light and Blind Control - Application Style 1",
    "status": "released",
    "description": "This EEP definition is based on the assumption that a RPS switch module (e.g. PTM200) is installed in a 0-STATE up position! Application Style 1 is widely used in EU but may be found in other markets as well.",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": [
          {
            "data": "Rocker 1st action",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Rocker 2nd action",
            "shortcut": "R2",
            "description": "....",
            "bitoffs": "4",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                }
              ]
            }
          },
          {
            "data": "2nd Action",
            "shortcut": "SA",
            "description": "....",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No 2nd action"
                },
                {
                  "value": "1",
                  "description": "2nd action valid"
                }
              ]
            }
          }
        ]
      },
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": [
          {
            "data": "Number of buttons pressed simultaneously (other bit combinations are not valid)",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no button"
                },
                {
                  "value": "3",
                  "description": "3 or 4 buttons"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "4",
            "bitsize": "4"
          }
        ]
      }
    ],
    "originalIndex": 1,
    "eep": "f6-02-01",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 2 Rocker",
    "func_number": "0x02",
    "submitter": []
  },
  "f6-02-02": {
    "number": "0x02",
    "eo_state": "checked",
    "title": "Light and Blind Control - Application Style 2",
    "status": "released",
    "description": "This EEP definition is based on the assumption that a RPS switch module (e.g. PTM200) is installed in an I-STATE up position! Application Style 2 is typically used in US and CAN but may be found in other markets as well.",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": [
          {
            "data": "Rocker 1st action",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"switch light off\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Rocker 2nd action",
            "shortcut": "R2",
            "description": "....",
            "bitoffs": "4",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"switch light off\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                }
              ]
            }
          },
          {
            "data": "2nd Action",
            "shortcut": "SA",
            "description": "....",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No 2nd action"
                },
                {
                  "value": "1",
                  "description": "2nd action valid"
                }
              ]
            }
          }
        ]
      },
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": [
          {
            "data": "Number of buttons pressed simultaneously (other bit combinations are not valid)",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no button"
                },
                {
                  "value": "3",
                  "description": "3 or 4 buttons"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "4",
            "bitsize": "4"
          }
        ]
      }
    ],
    "originalIndex": 2,
    "eep": "f6-02-02",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 2 Rocker",
    "func_number": "0x02",
    "submitter": []
  },
  "f6-02-03": {
    "number": "0x03",
    "eo_state": "checked",
    "title": "Light Control - Application Style 1",
    "status": "released",
    "description": "Definition of Auto, I/O for Rocker switch, Dim control (PTM200)",
    "case": [
      {
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": {
          "data": "Rocker action",
          "shortcut": "RA",
          "description": "....",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": [
              {
                "value": "0x00",
                "description": "released"
              },
              {
                "value": "0x30",
                "description": "Button A0: <br/>Set the controller in automatic mode"
              },
              {
                "value": "0x10",
                "description": "Button A1: <br/>Set the controller in manually mode and toggles between<br/>switch light on and switch light off"
              },
              {
                "value": "0x70",
                "description": "Button B0: <br/>Dim light up"
              },
              {
                "value": "0x50",
                "description": "Button B1: <br/>Dim light down"
              }
            ]
          }
        }
      }
    ],
    "originalIndex": 3,
    "eep": "f6-02-03",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 2 Rocker",
    "func_number": "0x02",
    "submitter": [
      "Servodan"
    ]
  },
  "f6-02-04": {
    "number": "0x04",
    "eo_state": "checked",
    "title": "Light and blind control ERP2",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "Energy Bow",
            "shortcut": "EBO",
            "description": "State of the energy bow",
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Button coding",
            "shortcut": "BC",
            "description": "Signalize button coding",
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "button"
              }
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "2",
            "bitsize": "2",
            "enum": {}
          },
          {
            "data": "BI",
            "shortcut": "RBI",
            "description": "State I of the rocker B",
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not pressed"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "B0",
            "shortcut": "RB0",
            "description": "State 0 of the rocker B",
            "bitoffs": "5",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not pressed"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "AI",
            "shortcut": "RAI",
            "description": "State I of the rocker A",
            "bitoffs": "6",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not pressed"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "A0",
            "shortcut": "RA0",
            "description": "State 0 of the rocker A",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not pressed"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 4,
    "eep": "f6-02-04",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 2 Rocker",
    "func_number": "0x02",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "f6-03-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Light and Blind Control - Application Style 1",
    "status": "released",
    "description": "This EEP definition is based on the assumption that a RPS switch module is installed in a 0-STATE up position! Application Style 1 is widely used in EU but may be found in other markets as well.",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "0"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "0"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": [
          {
            "data": "Rocker 1st action",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                },
                {
                  "value": "4",
                  "description": "Button CI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "5",
                  "description": "Button C0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "6",
                  "description": "Button DI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "7",
                  "description": "Button D0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Rocker 2nd action",
            "shortcut": "R2",
            "description": "....",
            "bitoffs": "4",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                },
                {
                  "value": "4",
                  "description": "Button CI: <br/> \"Switch light on\" or \"Dim light down\" or \"Move blind closed\""
                },
                {
                  "value": "5",
                  "description": "Button C0: <br/> \"Switch light off\" or \"Dim light up\" or \"Move blind open\""
                },
                {
                  "value": "6",
                  "description": "Button DI: <br/>“Switch light on” or \"Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "7",
                  "description": "Button D0: <br/>“Switch light off” or “Dim light up” or \"Move blind open”"
                }
              ]
            }
          },
          {
            "data": "2nd Action",
            "shortcut": "SA",
            "description": "....",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No 2nd action"
                },
                {
                  "value": "1",
                  "description": "2nd action valid"
                }
              ]
            }
          }
        ]
      },
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "0"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "0"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": [
          {
            "data": "Number of buttons pressed simultaneously",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no Button pressed"
                },
                {
                  "value": "1",
                  "description": "2 buttons pressed"
                },
                {
                  "value": "2",
                  "description": "3 buttons pressed"
                },
                {
                  "value": "3",
                  "description": "4 buttons pressed"
                },
                {
                  "value": "4",
                  "description": "5 buttons pressed"
                },
                {
                  "value": "5",
                  "description": "6 buttons pressed"
                },
                {
                  "value": "6",
                  "description": "7 buttons pressed"
                },
                {
                  "value": "7",
                  "description": "8 buttons pressed"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "4",
            "bitsize": "4"
          }
        ]
      }
    ],
    "originalIndex": 5,
    "eep": "f6-03-01",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 4 Rocker",
    "func_number": "0x03",
    "submitter": []
  },
  "f6-03-02": {
    "number": "0x02",
    "eo_state": "checked",
    "title": "Light and Blind Control - Application Style 2",
    "status": "released",
    "description": "A This EEP definition is based on the assumption that a RPS switch module is installed in a I-STATE up position! Application Style 2 is typically used in US and CAN but may be found in other markets as well.",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "0"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "0"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": [
          {
            "data": "Rocker 1st action",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> “Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> “Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "4",
                  "description": "Button CI: <br/> “Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "5",
                  "description": "Button C0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "6",
                  "description": "Button DI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "7",
                  "description": "Button D0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Rocker 2nd action",
            "shortcut": "R2",
            "description": "....",
            "bitoffs": "4",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button AI: <br/> “Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "1",
                  "description": "Button A0: <br/> “Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "2",
                  "description": "Button BI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "3",
                  "description": "Button B0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "4",
                  "description": "Button CI: <br/> “Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "5",
                  "description": "Button C0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                },
                {
                  "value": "6",
                  "description": "Button DI: <br/>“Switch light on” or \"Dim light up” or \"Move blind open”"
                },
                {
                  "value": "7",
                  "description": "Button D0: <br/>“Switch light off” or “Dim light down” or \"Move blind closed”"
                }
              ]
            }
          },
          {
            "data": "2nd Action",
            "shortcut": "SA",
            "description": "....",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No 2nd action"
                },
                {
                  "value": "1",
                  "description": "2nd action valid"
                }
              ]
            }
          }
        ]
      },
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "0"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "0"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": [
          {
            "data": "Number of buttons pressed simultaneously",
            "shortcut": "R1",
            "description": "....",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no button pressed"
                },
                {
                  "value": "1",
                  "description": "2 buttons pressed"
                },
                {
                  "value": "2",
                  "description": "3 buttons pressed"
                },
                {
                  "value": "3",
                  "description": "4 buttons pressed"
                },
                {
                  "value": "4",
                  "description": "5 buttons pressed"
                },
                {
                  "value": "5",
                  "description": "6 buttons pressed"
                },
                {
                  "value": "6",
                  "description": "7 buttons pressed"
                },
                {
                  "value": "7",
                  "description": "8 buttons pressed"
                }
              ]
            }
          },
          {
            "data": "Energy Bow",
            "shortcut": "EB",
            "description": "....",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {}
          }
        ]
      }
    ],
    "originalIndex": 6,
    "eep": "f6-03-02",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Rocker Switch, 4 Rocker",
    "func_number": "0x03",
    "submitter": []
  },
  "f6-04-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Key Card Activated Switch",
    "status": "released",
    "description": "Insertion of Key Card generates an N-Message, take-out a U-Message",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": {
          "data": "Key Card",
          "shortcut": "KC",
          "description": "...",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": {
              "value": "112",
              "description": "inserted\n  (0x70)"
            }
          }
        }
      },
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": {
          "data": "Key Card",
          "shortcut": "KC",
          "description": "...",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": {
              "value": "0",
              "description": "taken out"
            }
          }
        }
      }
    ],
    "originalIndex": 7,
    "eep": "f6-04-01",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Position Switch, Home and Office Application",
    "func_number": "0x04",
    "submitter": []
  },
  "f6-04-02": {
    "number": "0x02",
    "eo_state": "checked",
    "title": "Key Card Activated Switch ERP2",
    "status": "released",
    "description": "When card is inserted field EBO and SOC are both having value 1. When take out, both are having value 0. This coding is required to have a context less translation of RPS profiles between ERP 1 and ERP 2.",
    "case": [
      {
        "datafield": [
          {
            "data": "Energy Bow",
            "shortcut": "EBO",
            "description": "State of the energy bow",
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "released"
                },
                {
                  "value": "1",
                  "description": "pressed"
                }
              ]
            }
          },
          {
            "data": "Button coding",
            "shortcut": "BC",
            "description": "Signalize button coding",
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "button"
              }
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "2",
            "bitsize": "3",
            "enum": {}
          },
          {
            "data": "State of card",
            "shortcut": "SOC",
            "description": "State of the card",
            "bitoffs": "5",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "taken out"
                },
                {
                  "value": "1",
                  "description": "card inserted"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": {}
          }
        ]
      }
    ],
    "originalIndex": 8,
    "eep": "f6-04-02",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Position Switch, Home and Office Application",
    "func_number": "0x04",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "f6-05-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Liquid Leakage Sensor (mechanic harvester)",
    "status": "released",
    "description": "Description:<br/> This profile is used for devices detecting leakage. It is commonly placed on ground where a leakage causes damage.<br/> The principle is that “paper rings” swell in water and trigger an ECO 200 (generator) based transmitter.<br/><br/><span style=\"border-bottom:2px groove #000000;\">Data exchange</span><br/>Direction: unidirectional<br/>Addressing: broadcast<br/>Communication trigger: event-triggered<br/>Communication interval: NA<br/>              Trigger event: (water detection)<br/>Teach-in method: RPS teach-in",
    "case": [
      {
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "1"
          }
        ],
        "datafield": {
          "data": "Water sensor",
          "shortcut": "WAS",
          "description": "Alert signal that the sensor detected water leakage",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": {
              "value": "0x11",
              "description": "Water detected"
            }
          }
        }
      }
    ],
    "originalIndex": 9,
    "eep": "f6-05-01",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Detectors",
    "func_number": "0x05",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  },
  "f6-10-00": {
    "number": "0x00",
    "eo_state": "checked",
    "title": "Window Handle",
    "status": "released",
    "description": "The bits marked with 'X' in DB_0 should not be checked. These bits can be '1' or '0' and should not be assumed to be a defined value, because both of them are allowed and not predictable!",
    "case": [
      {
        "condition": {
          "statusfield": [
            {
              "bitoffs": "2",
              "bitsize": "1",
              "value": "1"
            },
            {
              "bitoffs": "3",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "statusfield": [
          {
            "data": "T21",
            "bitoffs": "2",
            "bitsize": "1",
            "value": "1"
          },
          {
            "data": "NU",
            "bitoffs": "3",
            "bitsize": "1",
            "value": "0"
          }
        ],
        "datafield": {
          "data": "Window handle",
          "shortcut": "WIN",
          "resultfield_name": "position",
          "description": "Movement of the window handle",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": [
              {
                "bitmask": "0b11010000",
                "bitvalue": "0b11000000",
                "value": "1",
                "description": "left or right position"
              },
              {
                "bitmask": "0b11110000",
                "bitvalue": "0b11110000",
                "value": "2",
                "description": "down position"
              },
              {
                "bitmask": "0b11110000",
                "bitvalue": "0b11010000",
                "value": "3",
                "description": "up position"
              }
            ]
          }
        }
      }
    ],
    "originalIndex": 10,
    "eep": "f6-10-00",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Mechanical Handle",
    "func_number": "0x10",
    "submitter": [
      "HOPPE AG"
    ]
  },
  "f6-10-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Window Handle ERP2",
    "status": "released",
    "description": "DB0.6 – needs to show that RPS/ERP2 has a different coding as RPS/ERP1.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {}
          },
          {
            "data": "Handle coding",
            "shortcut": "HC",
            "description": "Signalize window handle coding",
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "handle"
              }
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "2",
            "bitsize": "2",
            "enum": {}
          },
          {
            "data": "Handle value",
            "shortcut": "HVL",
            "description": "Value of the 4MSB of the Data field of ERP1 coding",
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "bitmask": "0b1101",
                  "bitvalue": "0b1100",
                  "value": "1",
                  "description": "left or right position"
                },
                {
                  "bitmask": "0b1111",
                  "bitvalue": "0b1111",
                  "value": "2",
                  "description": "down position"
                },
                {
                  "bitmask": "0b1111",
                  "bitvalue": "0b1101",
                  "value": "3",
                  "description": "up position"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 11,
    "eep": "f6-10-01",
    "rorg_title": "RPS Telegram",
    "rorg_number": "0xF6",
    "func_title": "Mechanical Handle",
    "func_number": "0x10",
    "submitter": [
      "HOPPE AG"
    ]
  },
  "d5-00-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Single Input Contact",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "data": "Contact",
            "shortcut": "CO",
            "description": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "open"
                },
                {
                  "value": "1",
                  "description": "closed"
                }
              ]
            }
          },
          {
            "data": "Learn Button",
            "shortcut": "LRN",
            "description": "..",
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "pressed"
                },
                {
                  "value": "1",
                  "description": "not pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 12,
    "eep": "d5-00-01",
    "rorg_title": "1BS Telegram",
    "rorg_number": "0xD5",
    "func_title": "Contacts and Switches",
    "func_number": "0x00",
    "description": "",
    "submitter": []
  },
  "a5-02-01": {
    "number": "0x01",
    "eo_state": "checked",
    "title": "Temperature Sensor Range -40°C to 0°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -40...0°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-40",
              "max": "0"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 13,
    "eep": "a5-02-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-02": {
    "number": "0x02",
    "eo_state": "checked",
    "title": "Temperature Sensor Range -30°C to +10°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -30... +10°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-30",
              "max": "+10"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 14,
    "eep": "a5-02-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-03": {
    "number": "0x03",
    "eo_state": "checked",
    "title": "Temperature Sensor Range -20°C to +20°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -20... +20°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-20",
              "max": "+20"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 15,
    "eep": "a5-02-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-04": {
    "number": "0x04",
    "title": "Temperature Sensor Range -10°C to +30°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -10... +30°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+30"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 16,
    "eep": "a5-02-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-05": {
    "number": "0x05",
    "title": "Temperature Sensor Range 0°C to +40°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 0... +40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 17,
    "eep": "a5-02-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-06": {
    "number": "0x06",
    "title": "Temperature Sensor Range +10°C to +50°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 10... +50°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+10",
              "max": "+50"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 18,
    "eep": "a5-02-06",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-07": {
    "number": "0x07",
    "title": "Temperature Sensor Range +20°C to +60°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 20... +60°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+20",
              "max": "+60"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 19,
    "eep": "a5-02-07",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-08": {
    "number": "0x08",
    "title": "Temperature Sensor Range +30°C to +70°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 20... +60°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+30",
              "max": "+70"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 20,
    "eep": "a5-02-08",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-09": {
    "number": "0x09",
    "title": "Temperature Sensor Range +40°C to +80°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 40... +80°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+40",
              "max": "+80"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 21,
    "eep": "a5-02-09",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-0a": {
    "number": "0x0A",
    "title": "Temperature Sensor Range +50°C to +90°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 50... +90°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+50",
              "max": "+90"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 22,
    "eep": "a5-02-0a",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-0b": {
    "number": "0x0B",
    "title": "Temperature Sensor Range +60°C to +100°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 60... +100°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+60",
              "max": "+100"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 23,
    "eep": "a5-02-0b",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-10": {
    "number": "0x10",
    "title": "Temperature Sensor Range -60°C to +20°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -60... +20°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-60",
              "max": "+20"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 24,
    "eep": "a5-02-10",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-11": {
    "number": "0x11",
    "title": "Temperature Sensor Range -50°C to +30°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -50... +30°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-50",
              "max": "+30"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 25,
    "eep": "a5-02-11",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-12": {
    "number": "0x12",
    "title": "Temperature Sensor Range -40°C to +40°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -40... +40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-40",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 26,
    "eep": "a5-02-12",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-13": {
    "number": "0x13",
    "title": "Temperature Sensor Range -30°C to +50°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -30... +50°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-30",
              "max": "+50"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 27,
    "eep": "a5-02-13",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-14": {
    "number": "0x14",
    "title": "Temperature Sensor Range -20°C to +60°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -20... +60°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-20",
              "max": "+60"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 28,
    "eep": "a5-02-14",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-15": {
    "number": "0x15",
    "title": "Temperature Sensor Range -10°C to +70°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -10... +70°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+70"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 29,
    "eep": "a5-02-15",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-16": {
    "number": "0x16",
    "title": "Temperature Sensor Range 0°C to +80°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 0... +80°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+80"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 30,
    "eep": "a5-02-16",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-17": {
    "number": "0x17",
    "title": "Temperature Sensor Range +10°C to +90°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) +10°... +90°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+10",
              "max": "+90"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 31,
    "eep": "a5-02-17",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-18": {
    "number": "0x18",
    "title": "Temperature Sensor Range +20°C to +100°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) +20°... +100°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+20",
              "max": "+100"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 32,
    "eep": "a5-02-18",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-19": {
    "number": "0x19",
    "title": "Temperature Sensor Range +30°C to +110°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) +30°... +110°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+30",
              "max": "+110"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 33,
    "eep": "a5-02-19",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-1a": {
    "number": "0x1A",
    "title": "Temperature Sensor Range +40°C to +120°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) +40°... +120°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+40",
              "max": "+120"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 34,
    "eep": "a5-02-1a",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-1b": {
    "number": "0x1B",
    "title": "Temperature Sensor Range +50°C to +130°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "16",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) +50°... +130°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "+50",
              "max": "+130"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 35,
    "eep": "a5-02-1b",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-20": {
    "number": "0x20",
    "title": "10 Bit Temperature Sensor Range -10°C to +41.2°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "14",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1+DB_2.0-1 Temperature (10 bit) -10...+41.2°C, linear n=1023...0",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "1023",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+41.2"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 36,
    "eep": "a5-02-20",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-02-30": {
    "number": "0x30",
    "title": "10 Bit Temperature Sensor Range -40°C to +62.3°C",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "0",
            "bitsize": "14",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "scale": ""
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "29",
            "bitsize": "3",
            "scale": ""
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1+DB_2.0-1 Temperature (10 bit) -40...+62.3°C, linear n=1023...0",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "1023",
              "max": "0"
            },
            "scale": {
              "min": "-40",
              "max": "+62.3"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 37,
    "eep": "a5-02-30",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature Sensors",
    "func_number": "0x02",
    "description": "",
    "submitter": []
  },
  "a5-04-01": {
    "number": "0x01",
    "title": "Range 0°C to +40°C and 0% to 100%",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "T-Sensor",
            "shortcut": "TSN",
            "description": "Availability of the Temperature Sensor",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not available"
                },
                {
                  "value": "1",
                  "description": "available"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 38,
    "eep": "a5-04-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature and Humidity Sensor",
    "func_number": "0x04",
    "description": "",
    "submitter": []
  },
  "a5-04-02": {
    "number": "0x02",
    "title": "Range -20°C to +60°C and 0% to 100%",
    "status": "released",
    "description": "\n          <br/><br/>\n          Description:<br/>\n          In contrast to EEP A5-04-01, the temperature range is extended: -20°C…+60°C.\n          <br/><br/>\n          <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n          <br/>\n          Direction: unidirectional<br/>\n          Addressing: broadcast<br/>\n          Communication trigger: event- & time-triggered<br/>\n          Communication interval: -<br/>\n          Trigger event: change in temperature, change in humidity<br/>\n          Tx delay: -<br/>\n          Rx timeout: -<br/>\n          <br/>\n          <span style=\"border-bottom:2px groove #000000;\">Teach-in</span><br/>\n          Teach-in method: 4BS teach-in<br/>\n          <br/>\n          <span style=\"border-bottom:2px groove #000000;\">Security</span><br/>\n          Encryption supported: -<br/>\n          Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1 Temperature (8 bit) -20...+60°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "-20",
              "max": "+60"
            },
            "unit": "°C"
          },
          {
            "data": "T-Sensor",
            "shortcut": "TSN",
            "description": "Availability of the Temperature Sensor",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not available"
                },
                {
                  "value": "1",
                  "description": "available"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 39,
    "eep": "a5-04-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature and Humidity Sensor",
    "func_number": "0x04",
    "submitter": [
      "Eltako"
    ]
  },
  "a5-04-03": {
    "number": "0x03",
    "title": "Range -20°C to +60°C 10bit-measurement and 0% to 100%",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: 20 seconds – 1 hour (one time configuration)\n            <br/>Trigger event: threshold/delta for observed value, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: -\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_3: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "Temperature (10 bit) -20...60°C, linear n=0...1023",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1023"
            },
            "scale": {
              "min": "-20",
              "max": "+60"
            },
            "unit": "°C"
          },
          {
            "data": "Telegram Type",
            "shortcut": "TTP",
            "description": "Telegram Type",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Heartbeat"
                },
                {
                  "value": "1",
                  "description": "Event triggered"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 40,
    "eep": "a5-04-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Temperature and Humidity Sensor",
    "func_number": "0x04",
    "submitter": [
      "ITEC"
    ]
  },
  "a5-05-01": {
    "number": "0x01",
    "title": "Range 500 to 1150 hPa",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: 20 seconds – 1 hour (one time configuration)\n            <br/>Trigger event: threshold/delta for observed value, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: -\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "12"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Barometer",
            "shortcut": "BAR",
            "description": "Barometer (linear)",
            "info": "Barometer 500...1150 hPa, linear n=0...1023",
            "bitoffs": "6",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1023"
            },
            "scale": {
              "min": "500",
              "max": "1150"
            },
            "unit": "hPa"
          },
          {
            "data": "Telegram Type",
            "shortcut": "TTP",
            "description": "Telegram Type",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Heartbeat"
                },
                {
                  "value": "1",
                  "description": "Event triggered"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 41,
    "eep": "a5-05-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Barometric Sensor",
    "func_number": "0x05",
    "submitter": [
      "ITEC"
    ]
  },
  "a5-06-01": {
    "number": "0x01",
    "title": "Range 300lx to 60.000lx",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL2",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 300…30.000 lx, linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "300",
              "max": "30000"
            },
            "unit": "lx"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL1",
            "description": "Illumination (linear)",
            "info": "DB_1: Illumination 600…60.000 lx, linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "600",
              "max": "60000"
            },
            "unit": "lx"
          },
          {
            "data": "Range select",
            "shortcut": "RS",
            "description": "Range",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Range acc. to DB_1 (ILL1)"
                },
                {
                  "value": "1",
                  "description": "Range acc. to DB_2 (ILL2)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 42,
    "eep": "a5-06-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light Sensor",
    "func_number": "0x06",
    "description": "",
    "submitter": []
  },
  "a5-06-02": {
    "number": "0x02",
    "title": "Range 0lx to 1.020lx",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL2",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 0…510 lx, linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "510"
            },
            "unit": "lx"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL1",
            "description": "Illumination (linear)",
            "info": "DB_1: Illumination 0…1.024 lx, linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "1020"
            },
            "unit": "lx"
          },
          {
            "data": "Range select",
            "shortcut": "RS",
            "description": "Range",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Range acc. to DB_1 (ILL1)"
                },
                {
                  "value": "1",
                  "description": "Range acc. to DB_2 (ILL2)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 43,
    "eep": "a5-06-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light Sensor",
    "func_number": "0x06",
    "description": "",
    "submitter": []
  },
  "a5-06-03": {
    "number": "0x03",
    "title": "10-bit measurement (1-Lux resolution) with range 0lx to 1000lx",
    "status": "released",
    "description": "\n            <br/>\n            <br/>",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "18",
            "bitsize": "10"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)\n                <br/>251…255: reserved for error code",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear)\n                <br/>DB2 = 8 MSB, DB1 = 2 LSB\n                <br/>1001: over range, 1002...1024: reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1000"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          }
        ]
      }
    ],
    "originalIndex": 44,
    "eep": "a5-06-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light Sensor",
    "func_number": "0x06",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-06-04": {
    "number": "0x04",
    "title": "Curtain Wall Brightness Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>This EEP is intended for use with wireless daylight sensors, who\n            communicate exterior light levels back to a blind controller.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: time-triggered and upon lux sensor reading\n            change of more than a few percent\n            <br/>Communication interval: A telegram is transmitted every 1 minute\n            in “day mode” and every 1 hour in “night mode”. If the measured light\n            is below a certain threshold for several minutes the sensor goes to\n            night mode.\n            <br/>Trigger event: Heartbeat, change of lux reading\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TEMP",
            "description": "Ambient Temperature",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-20",
              "max": "+60"
            },
            "unit": "°C"
          },
          {
            "data": "Illuminance",
            "shortcut": "ILL",
            "description": "Illuminance (linear)",
            "bitoffs": "8",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "65535"
            },
            "unit": "lx"
          },
          {
            "data": "Energy Storage",
            "shortcut": "SV",
            "description": "Energy Storage",
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature Availability",
            "shortcut": "TMPAV",
            "description": "Valid temperature data available on DB3",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature data is unavailable"
                },
                {
                  "value": "1",
                  "description": "Temperature data is available"
                }
              ]
            }
          },
          {
            "data": "Energy Storage Availability",
            "shortcut": "ENAV",
            "description": "Valid energy storage data available on DB0",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Energy storage data is unavailable"
                },
                {
                  "value": "1",
                  "description": "Energy storage data is available"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 45,
    "eep": "a5-06-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light Sensor",
    "func_number": "0x06",
    "submitter": [
      "Echoflex Solutions"
    ]
  },
  "a5-06-05": {
    "number": "0x05",
    "title": "Range 0lx to 10.200lx",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: 20 seconds – 1 hour (one time configuration)\n            <br/>Trigger event: threshold/delta for observed value, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL2",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 0…5100 lx, linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5100"
            },
            "unit": "lx"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL1",
            "description": "Illumination (linear)",
            "info": "DB_1: Illumination 0…10.200 lx, linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "10200"
            },
            "unit": "lx"
          },
          {
            "data": "Range select",
            "shortcut": "RS",
            "description": "Range",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Range acc. to DB_1 (ILL1)"
                },
                {
                  "value": "1",
                  "description": "Range acc. to DB_2 (ILL2)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 46,
    "eep": "a5-06-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light Sensor",
    "func_number": "0x06",
    "submitter": [
      "ITEC"
    ]
  },
  "a5-07-01": {
    "number": "0x01",
    "title": "Occupancy with Supply voltage monitor",
    "status": "released",
    "description": "<br/><br/>\n            The transmission of “PIR off” telegrams is optional.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage (OPTIONAL)",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);<br/>\n            251 – 255 reserved for error code",
            "info": "DB_3: Supply voltage 0…5.0V, linear n=0…250",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": "PIR Status",
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "127",
                  "description": "PIR off"
                },
                {
                  "min": "128",
                  "max": "255",
                  "description": "PIR on"
                }
              ]
            }
          },
          {
            "data": "Supply voltage availability",
            "shortcut": "SVA",
            "description": "Supply voltage availability at DB_3",
            "info": "Supply voltage availability at DB_3",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Supply voltage is not supported"
                },
                {
                  "value": "1",
                  "description": "Supply voltage is supported"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 47,
    "eep": "a5-07-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Occupancy Sensor",
    "func_number": "0x07",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-07-02": {
    "number": "0x02",
    "title": "Occupancy with Supply voltage monitor",
    "status": "released",
    "description": "<br/><br/>\n  The transmission of “PIR off” telegrams is optional.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage (REQUIRED)",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);<br/>\n      251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": "PIR Status",
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Uncertain of occupancy status"
                },
                {
                  "value": "1",
                  "description": "Motion detected"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "25",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          }
        ]
      }
    ],
    "originalIndex": 48,
    "eep": "a5-07-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Occupancy Sensor",
    "func_number": "0x07",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-07-03": {
    "number": "0x03",
    "title": "Occupancy with Supply voltage monitor and 10-bit illumination measurement",
    "status": "released",
    "description": "<br/><br/>\n  The transmission of “PIR off” telegrams is optional.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage (REQUIRED)",
            "shortcut": "SVC",
            "description": "Supply voltage (linear);\n        <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear);\n        <br/>DB2 = 8 MSB, DB1 = 2 LSB <br/>1001: over range, <br/>1002...1024: reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1000"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": "PIR Status",
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Motion detected"
                },
                {
                  "value": "0",
                  "description": "Uncertain of occupancy status"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "25",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "18",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          }
        ]
      }
    ],
    "originalIndex": 49,
    "eep": "a5-07-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Occupancy Sensor",
    "func_number": "0x07",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-08-01": {
    "number": "0x01",
    "title": "Range 0lx to 510lx, 0°C to +51°C and Occupancy Button",
    "status": "released",
    "description": "E.g. for ceiling suspended sensor.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 0...510lx, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "510"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...51°C, linear n=0...255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51"
            },
            "unit": "°C"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PIR on"
                },
                {
                  "value": "1",
                  "description": "PIR off"
                }
              ]
            }
          },
          {
            "data": "Occupancy Button",
            "shortcut": "OCC",
            "description": "...",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 50,
    "eep": "a5-08-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light, Temperature and Occupancy Sensor",
    "func_number": "0x08",
    "submitter": []
  },
  "a5-08-02": {
    "number": "0x02",
    "title": "Range 0lx to 1020lx, 0°C to +51°C and Occupancy Button",
    "status": "released",
    "description": "E.g. for wall mounted sensor.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 0...1020lx, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "1020"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...51°C, linear n=0...255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51"
            },
            "unit": "°C"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PIR on"
                },
                {
                  "value": "1",
                  "description": "PIR off"
                }
              ]
            }
          },
          {
            "data": "Occupancy Button",
            "shortcut": "OCC",
            "description": "...",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 51,
    "eep": "a5-08-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light, Temperature and Occupancy Sensor",
    "func_number": "0x08",
    "submitter": []
  },
  "a5-08-03": {
    "number": "0x03",
    "title": "Range 0lx to 1530lx, -30°C to +50°C and Occupancy Button",
    "status": "released",
    "description": "E.g. for outdoor sensor.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_3: Supply voltage 0…5.1V, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear)",
            "info": "DB_2: Illumination 0...1530lx, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "1530"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: -30...50°C, linear n=0...255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-30",
              "max": "+50"
            },
            "unit": "°C"
          },
          {
            "data": "PIR Status",
            "shortcut": "PIRS",
            "description": "PIR Status",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PIR on"
                },
                {
                  "value": "1",
                  "description": "PIR off"
                }
              ]
            }
          },
          {
            "data": "Occupancy Button",
            "shortcut": "OCC",
            "description": "..",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 52,
    "eep": "a5-08-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Light, Temperature and Occupancy Sensor",
    "func_number": "0x08",
    "submitter": []
  },
  "a5-09-02": {
    "number": "0x02",
    "title": "CO-Sensor 0 ppm to 1020 ppm",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "5.1"
            },
            "unit": "V"
          },
          {
            "data": "Concentration",
            "shortcut": "Conc",
            "description": "Gas concentration",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "1020"
            },
            "unit": "ppm"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51"
            },
            "unit": "°C"
          },
          {
            "data": "T-Sensor",
            "shortcut": "TSN",
            "description": "..",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature Sensor not available"
                },
                {
                  "value": "1",
                  "description": "Temperature Sensor available"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 53,
    "eep": "a5-09-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "Unitronic AG"
    ]
  },
  "a5-09-04": {
    "number": "0x04",
    "title": "CO2 Sensor",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear), 0.5 % = 1 bit",
            "info": "DB_3: Humidity 0…100%, linear n=0…200 (0,5 % = 1 bit)",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "200"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Concentration",
            "shortcut": "Conc",
            "description": "Concentration (linear), increment = 10 ppm",
            "info": "DB_2: Concentration 0…2550 ppm, linear n=0…255 (increment = 10 ppm)",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "2550"
            },
            "unit": "ppm"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear), increment = 0.2 °C",
            "info": "DB_1: Temperature 0…51.0 °C, linear n=0…255 (increment = 0.2°C)",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51.0"
            },
            "unit": "°C"
          },
          {
            "data": "H-Sensor",
            "shortcut": "HSN",
            "description": "..",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Humidity Sensor not available"
                },
                {
                  "value": "1",
                  "description": "Humidity Sensor available"
                }
              ]
            }
          },
          {
            "data": "T-Sensor",
            "shortcut": "TSN",
            "description": "..",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature Sensor not available"
                },
                {
                  "value": "1",
                  "description": "Temperature Sensor available"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 54,
    "eep": "a5-09-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "description": "",
    "submitter": []
  },
  "a5-09-05": {
    "number": "0x05",
    "title": "VOC Sensor",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "VOC",
            "shortcut": "Conc",
            "description": "VOC Concentration",
            "info": {},
            "bitoffs": "0",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "65535"
            },
            "unit": "ppb"
          },
          {
            "data": "VOC ID",
            "shortcut": "VOC_ID",
            "description": "VOC identification",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "VOCT (total)"
                },
                {
                  "value": "1",
                  "description": "Formaldehyde"
                },
                {
                  "value": "2",
                  "description": "Benzene"
                },
                {
                  "value": "3",
                  "description": "Styrene"
                },
                {
                  "value": "4",
                  "description": "Toluene"
                },
                {
                  "value": "5",
                  "description": "Tetrachloroethylene"
                },
                {
                  "value": "6",
                  "description": "Xylene"
                },
                {
                  "value": "7",
                  "description": "n-Hexane"
                },
                {
                  "value": "8",
                  "description": "n-Octane"
                },
                {
                  "value": "9",
                  "description": "Cyclopentane"
                },
                {
                  "value": "10",
                  "description": "Methanol"
                },
                {
                  "value": "11",
                  "description": "Ethanol"
                },
                {
                  "value": "12",
                  "description": "1-Pentanol"
                },
                {
                  "value": "13",
                  "description": "Acetone"
                },
                {
                  "value": "14",
                  "description": "ethylene Oxide"
                },
                {
                  "value": "15",
                  "description": "Acetaldehyde ue"
                },
                {
                  "value": "16",
                  "description": "Acetic Acid"
                },
                {
                  "value": "17",
                  "description": "Propionice Acid"
                },
                {
                  "value": "18",
                  "description": "Valeric Acid"
                },
                {
                  "value": "19",
                  "description": "Butyric Acid"
                },
                {
                  "value": "20",
                  "description": "Ammoniac"
                },
                {
                  "value": "22",
                  "description": "Hydrogen Sulfide"
                },
                {
                  "value": "23",
                  "description": "Dimethylsulfide"
                },
                {
                  "value": "24",
                  "description": "2-Butanol (butyl Alcohol)"
                },
                {
                  "value": "25",
                  "description": "2-Methylpropanol"
                },
                {
                  "value": "26",
                  "description": "Diethyl ether"
                },
                {
                  "value": "255",
                  "description": "ozone"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "Scale Multiplier",
            "shortcut": "SCM",
            "description": "Scale Multiplier",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "0.01"
                },
                {
                  "value": "1",
                  "description": "0.1"
                },
                {
                  "value": "2",
                  "description": "1"
                },
                {
                  "value": "3",
                  "description": "10"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 55,
    "eep": "a5-09-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "NanoSense"
    ]
  },
  "a5-09-06": {
    "number": "0x06",
    "title": "Radon",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "Radon",
            "shortcut": "Act",
            "description": "Radon activity (regulation is an average of 100 Bq/m3/24h)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1023"
            },
            "scale": {
              "min": "0",
              "max": "1023"
            },
            "unit": "Bq/m3"
          },
          {
            "reserved": {},
            "bitoffs": "10",
            "bitsize": "18"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          }
        ]
      }
    ],
    "originalIndex": 56,
    "eep": "a5-09-06",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "NanoSense"
    ]
  },
  "a5-09-07": {
    "number": "0x07",
    "title": "Particles",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "Particles_10",
            "shortcut": "PM10",
            "description": "Dust less than 10 µm (PM10)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "9",
            "range": {
              "min": "0",
              "max": "511"
            },
            "scale": {
              "min": "0",
              "max": "511"
            },
            "unit": "µg/m3"
          },
          {
            "data": "Particles_2.5",
            "shortcut": "PM2.5",
            "description": "Dust less than 2.5 µm (PM2.5)",
            "info": {},
            "bitoffs": "9",
            "bitsize": "9",
            "range": {
              "min": "0",
              "max": "511"
            },
            "scale": {
              "min": "0",
              "max": "511"
            },
            "unit": "µg/m3"
          },
          {
            "data": "Particles_1",
            "shortcut": "PM1",
            "description": "Dust less than 1 µm (PM1)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "9",
            "range": {
              "min": "0",
              "max": "511"
            },
            "scale": {
              "min": "0",
              "max": "511"
            },
            "unit": "µg/m3"
          },
          {
            "reserved": {},
            "bitoffs": "27",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "PM10 active",
            "shortcut": "PM10a",
            "description": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PM10 not active"
                },
                {
                  "value": "1",
                  "description": "PM10 active"
                }
              ]
            }
          },
          {
            "data": "PM2.5 active",
            "shortcut": "PM2.5a",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PM2.5 not active"
                },
                {
                  "value": "1",
                  "description": "PM2.5 active"
                }
              ]
            }
          },
          {
            "data": "PM1 active",
            "shortcut": "PM1a",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "PM1 not active"
                },
                {
                  "value": "1",
                  "description": "PM1 active"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 57,
    "eep": "a5-09-07",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "NanoSense"
    ]
  },
  "a5-09-08": {
    "number": "0x08",
    "title": "Pure CO2 Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Pure CO2 sensor with 8 bit resolution and 0 – 2000ppm.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Trigger event: change of value over threshold, heartbeat\n            <br/>Teach-in method: 4BS teach-in 2",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "CO2",
            "shortcut": "CO2",
            "description": "CO2 measurement",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "2000"
            },
            "unit": "ppm"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 58,
    "eep": "a5-09-08",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  },
  "a5-09-09": {
    "number": "0x09",
    "title": "Pure CO2 Sensor with Power Failure Detection",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Pure CO2 sensor with 8 bit resolution and 0 – 2000ppm.\n            <br/>1 digital Input – Power failure detection.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Trigger event: change of value over threshold, heartbeat, change of digital Input\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Remark</span>\n            <br/>Power failure detection expresses that the device was cut from power\n            source (unplugged / general power failure) and the device will probably\n            stop functioning very soon. In this case the measured value CO2 is\n            the last valid value.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "30",
            "bitsize": "2"
          },
          {
            "data": "CO2",
            "shortcut": "CO2",
            "description": "CO2 measurement",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "2000"
            },
            "unit": "ppm"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Power Failure detection",
            "shortcut": "PFD",
            "description": "Indicates if power supply has a failure / is not available",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Power failure not detected"
                },
                {
                  "value": "1",
                  "description": "Power failure detected"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 59,
    "eep": "a5-09-09",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  },
  "a5-09-0a": {
    "number": "0x0A",
    "title": "Hydrogen Gas Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>\n            Hydrogen Gas Sensor with 16 bit resolution and 0-2000 ppm\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: change in gas concentration and temp\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: PSK, RLC, AES128",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "Concentration",
            "shortcut": "Conc",
            "description": "Gas concentration",
            "info": {},
            "bitoffs": "0",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "65535"
            },
            "unit": "ppm"
          },
          {
            "data": "Temperature",
            "shortcut": "TEMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-20",
              "max": "+60"
            },
            "unit": "°C"
          },
          {
            "data": "Supply voltage",
            "shortcut": "SV",
            "description": "Supply voltage / super cap.",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "2.0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temp sensor availability",
            "shortcut": "TSA",
            "description": "Temp sensor availability at TMP",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temp sensor is not supported"
                },
                {
                  "value": "1",
                  "description": "Temp sensor is supported"
                }
              ]
            }
          },
          {
            "data": "Supply voltage availability",
            "shortcut": "SVA",
            "description": "Supply voltage availability at SV",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Supply voltage is not supported"
                },
                {
                  "value": "1",
                  "description": "Supply voltage is supported"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 60,
    "eep": "a5-09-0a",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "SiMICS"
    ]
  },
  "a5-09-0b": {
    "number": "0x0B",
    "title": "Radioactivity Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Radioactivity Sensor\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: change in radioactivity level\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: PSK, RLC, AES128",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "4",
            "bitsize": "4"
          },
          {
            "data": "Supply voltage",
            "shortcut": "SV",
            "description": "Supply voltage / super cap.",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "2.0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Radioactivity",
            "shortcut": "Ract",
            "description": "Radiation level",
            "info": {},
            "bitoffs": "8",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "6553"
            },
            "unit": "According to"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Scale Multiplier",
            "shortcut": "SCM",
            "description": "Scale Multiplier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "0.001"
                },
                {
                  "value": "1",
                  "description": "0.01"
                },
                {
                  "value": "2",
                  "description": "0.1"
                },
                {
                  "value": "3",
                  "description": "1"
                },
                {
                  "value": "4",
                  "description": "10"
                },
                {
                  "value": "5",
                  "description": "100"
                },
                {
                  "value": "6",
                  "description": "1000"
                },
                {
                  "value": "7",
                  "description": "10000"
                },
                {
                  "value": "8",
                  "description": "100000"
                }
              ]
            }
          },
          {
            "data": "Value unit",
            "shortcut": "VUNIT",
            "description": "The unit of the radiation level",
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "μSv/h"
                },
                {
                  "value": "1",
                  "description": "cpm"
                },
                {
                  "value": "2",
                  "description": "Bq/L"
                },
                {
                  "value": "3",
                  "description": "Bq/kg"
                }
              ]
            }
          },
          {
            "data": "Supply voltage availability",
            "shortcut": "SVA",
            "description": "Supply voltage availability at SV",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Supply voltage is not supported"
                },
                {
                  "value": "1",
                  "description": "Supply voltage is supported"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 61,
    "eep": "a5-09-0b",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Gas Sensor",
    "func_number": "0x09",
    "submitter": [
      "SiMICS"
    ]
  },
  "a5-10-01": {
    "number": "0x01",
    "title": "Temperature Sensor, Set Point, Fan Speed and Occupancy Control",
    "description": "",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "Turn-switch for fan speed",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)     Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 62,
    "eep": "a5-10-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "Kieback + Peter GmbH"
    ]
  },
  "a5-10-02": {
    "number": "0x02",
    "title": "Temperature Sensor, Set Point, Fan Speed and Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "Turn-switch for fan speed",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch 0/I",
            "shortcut": "SLSW",
            "description": "Slide switch or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 63,
    "eep": "a5-10-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-03": {
    "number": "0x03",
    "title": "Temperature Sensor, Set Point Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 64,
    "eep": "a5-10-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-04": {
    "number": "0x04",
    "title": "Temperature Sensor, Set Point and Fan Speed Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "..",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 65,
    "eep": "a5-10-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-05": {
    "number": "0x05",
    "title": "Temperature Sensor, Set Point and Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 66,
    "eep": "a5-10-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-06": {
    "number": "0x06",
    "title": "Temperature Sensor, Set Point and Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch 0/I",
            "shortcut": "SLSW",
            "description": "Slide switch or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 67,
    "eep": "a5-10-06",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-07": {
    "number": "0x07",
    "title": "Temperature Sensor, Fan Speed Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "..",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 68,
    "eep": "a5-10-07",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-08": {
    "number": "0x08",
    "title": "Temperature Sensor, Fan Speed and Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "..",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 69,
    "eep": "a5-10-08",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-09": {
    "number": "0x09",
    "title": "Temperature Sensor, Fan Speed and Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "..",
            "info": "DB_3: Turn-switch for fan speed",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage Auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch 0/I",
            "shortcut": "SLSW",
            "description": "Slide switch or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 70,
    "eep": "a5-10-09",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-0a": {
    "number": "0x0A",
    "title": "Temperature Sensor, Set Point Adjust and Single Input Contact",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Contact State",
            "shortcut": "CTST",
            "description": "Contact state",
            "info": "Contact state",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "closed"
                },
                {
                  "value": "1",
                  "description": "open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 71,
    "eep": "a5-10-0a",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-0b": {
    "number": "0x0B",
    "title": "Temperature Sensor and Single Input Contact",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Contact State",
            "shortcut": "CTST",
            "description": "Contact state",
            "info": "Contact state",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "closed"
                },
                {
                  "value": "1",
                  "description": "open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 72,
    "eep": "a5-10-0b",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-0c": {
    "number": "0x0C",
    "title": "Temperature Sensor and Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 73,
    "eep": "a5-10-0c",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-0d": {
    "number": "0x0D",
    "title": "Temperature Sensor and Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch",
            "shortcut": "SLSW",
            "description": "Slide switch  0/I or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 74,
    "eep": "a5-10-0d",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-10": {
    "number": "0x10",
    "title": "Temperature and Humidity Sensor, Set Point and Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_3: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 75,
    "eep": "a5-10-10",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-11": {
    "number": "0x11",
    "title": "Temperature and Humidity Sensor, Set Point and Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_3: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch",
            "shortcut": "SLSW",
            "description": "Slide switch 0/I or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 76,
    "eep": "a5-10-11",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-12": {
    "number": "0x12",
    "title": "Temperature and Humidity Sensor and Set Point",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_3: Set point Min. - … Max. +, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 77,
    "eep": "a5-10-12",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-13": {
    "number": "0x13",
    "title": "Temperature and Humidity Sensor, Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 78,
    "eep": "a5-10-13",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-14": {
    "number": "0x14",
    "title": "Temperature and Humidity Sensor, Day/Night Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_2: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=255...0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Slide switch",
            "shortcut": "SLSW",
            "description": "Slide switch 0/I or Slide switch Day/Night",
            "info": "...",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Position I / Night / Off"
                },
                {
                  "value": "1",
                  "description": "Position O / Day / On"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 79,
    "eep": "a5-10-14",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-15": {
    "number": "0x15",
    "title": "10 Bit Temperature Sensor, 6 bit Set Point Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature 10 bit (linear)",
            "info": "DB_1.0(LSB) to DB_2.1(MSB) Temperature (10 bit) -10...41.2°C, linear n=1023...0",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "1023",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+41.2"
            },
            "unit": "°C"
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (6 bit, linear)   Min.- ... Max+",
            "info": "DB_2.2-7 Set point (6 bit) Min. - ? Max. +, linear n=0...63",
            "bitoffs": "8",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "63"
            },
            "scale": {
              "min": "0",
              "max": "63"
            },
            "unit": "N/A"
          }
        ]
      }
    ],
    "originalIndex": 80,
    "eep": "a5-10-15",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-16": {
    "number": "0x16",
    "title": "10 Bit Temperature Sensor, 6 bit Set Point Control;Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature 10 bit (linear)",
            "info": "DB_1.0(LSB) to DB_2.1(MSB) Temperature (10 bit) -10...41.2°C, linear n=1023...0",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "1023",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+41.2"
            },
            "unit": "°C"
          },
          {
            "data": "Set point",
            "shortcut": "SP",
            "description": "Set point (linear)   Min.- ... Max+",
            "info": "DB_2.2-7 Set point (6 bit) Min. - ? Max. +, linear n=0...63",
            "bitoffs": "8",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "63"
            },
            "scale": {
              "min": "0",
              "max": "63"
            },
            "unit": "N/A"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 81,
    "eep": "a5-10-16",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-17": {
    "number": "0x17",
    "title": "10 Bit Temperature Sensor, Occupancy Control",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "14"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature 10 bit (linear)",
            "info": "DB_1.0(LSB) to DB_2.1(MSB) Temperature (10 bit) -10...41.2°C, linear n=1023...0",
            "bitoffs": "14",
            "bitsize": "10",
            "range": {
              "min": "1023",
              "max": "0"
            },
            "scale": {
              "min": "-10",
              "max": "+41.2"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": "Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Button released"
                },
                {
                  "value": "0",
                  "description": "Button pressed"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 82,
    "eep": "a5-10-17",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-18": {
    "number": "0x18",
    "title": "Illumination, Temperature Set Point, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "data": "Fan Speed",
            "shortcut": "FAN",
            "description": "Fan Speed",
            "info": "Fan Speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear), 251: Over range, 252-255: reserved",
            "info": "DB_3: Illumination 0 – 1000 Lux, Linear 0-250,251 - over range, 252-255 reserved",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "data": "Temp Setpoint",
            "shortcut": "TMPSP",
            "description": "Temperature Set point (linear)",
            "info": "DB_2: Temp Setpoint 0...40°C, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": "Occupancy enable/disable; if occupancy is disabled ignore DB0.0 (occu. button)",
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": "...",
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 83,
    "eep": "a5-10-18",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-19": {
    "number": "0x19",
    "title": "Humidity, Temperature Set Point, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_3: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temp Setpoint",
            "shortcut": "TMP Sp",
            "description": "Temperature Set point (linear)",
            "info": "DB_2: Temp Setpoint 0...40°C, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fan speed",
            "shortcut": "FAN",
            "description": "Fan Speed",
            "info": "DB_0.BIT_5_ BIT_4: Fan speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": {},
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": {},
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 84,
    "eep": "a5-10-19",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1a": {
    "number": "0x1A",
    "title": "Supply voltage monitor, Temperature Set Point, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply Voltage",
            "shortcut": "SV",
            "description": "0 ... 5.0 V linear (super cap); 251-255 reserved for error code",
            "info": "DB_3: Supply Voltage (super cap).",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5"
            },
            "unit": "V"
          },
          {
            "data": "Temp Setpoint",
            "shortcut": "TMP Sp",
            "description": "Temperature Set Point (linear)",
            "info": "DB_2: Temp Setpoint 0...40°C, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fan speed",
            "shortcut": "FAN",
            "description": "Fan Speed",
            "info": "DB_0.BIT_5_ BIT_4: Fan speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": {},
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": {},
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 85,
    "eep": "a5-10-1a",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1b": {
    "number": "0x1B",
    "title": "Supply Voltage Monitor, Illumination, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply Voltage",
            "shortcut": "SV",
            "description": "(super cap)\n 251 – 255 reserved for error code",
            "info": "DB_3: Supply Voltage (super cap).",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear), 251: Over range, 252-255: reserved",
            "info": "DB_2: Illumination 0 – 1000 Lux, Linear 0-250,\n              251 - over range, 252-255 reserved",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fan speed",
            "shortcut": "FAN",
            "description": "Fan Speed",
            "info": "DB_0.BIT_5_ BIT_4: Fan speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": {},
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": {},
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 86,
    "eep": "a5-10-1b",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1c": {
    "number": "0x1C",
    "title": "Illumination, Illumination Set Point, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear), 251: Over range, 252-255: reserved",
            "info": "DB_3: Illumination 0 – 1000 Lux, Linear 0-250,251 - over range, 252-255 reserved",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "data": "Illumination Set Point",
            "shortcut": "ILLSP",
            "description": {},
            "info": "DB_2: Illumination Setpoint 0 – 1000 Lux, Linear 0-250,",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fan speed",
            "shortcut": "FAN",
            "description": {},
            "info": "DB_0.BIT_5_ BIT_4: Fan speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": {},
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": {},
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 87,
    "eep": "a5-10-1c",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1d": {
    "number": "0x1D",
    "title": "Humidity, Humidity Set Point, Temperature Sensor, Fan Speed and Occupancy Control",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": "DB_3: Rel. Humidity 0...100%, linear n=0...250",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Humidity Set Point",
            "shortcut": "HUMSP",
            "description": "Humidity Set Point (linear)",
            "info": "DB_2: Humidity Set Point 0...100%, linear n=0...250",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...250",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "250",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fan speed",
            "shortcut": "FAN",
            "description": "Fan Speed",
            "info": "DB_0.BIT_5_ BIT_4: Fan speed",
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5",
                  "description": "Speed 4"
                },
                {
                  "value": "6",
                  "description": "Speed 5"
                },
                {
                  "value": "7",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Occupancy enable/disable",
            "shortcut": "OED",
            "description": {},
            "info": "DB_0.BIT_1: Occ enable/disable",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupancy enabled"
                },
                {
                  "value": "1",
                  "description": "Occupancy disabled"
                }
              ]
            }
          },
          {
            "data": "Occupancy button",
            "shortcut": "OB",
            "description": {},
            "info": "DB_0.BIT_0: Occupancy button",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 88,
    "eep": "a5-10-1d",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1e": {
    "number": "0x1E",
    "title": "see A5-10-1B",
    "originalIndex": 89,
    "eep": "a5-10-1e",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "description": "",
    "submitter": []
  },
  "a5-10-1f": {
    "number": "0x1F",
    "title": "Temperature Sensor, Set Point, Fan Speed, Occupancy and Unoccupancy Control",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "Turn-switch for fan speed",
            "shortcut": "FAN",
            "description": "Turn-switch for fan speed",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "210",
                  "max": "255",
                  "description": "Stage auto"
                },
                {
                  "min": "190",
                  "max": "209",
                  "description": "Stage 0"
                },
                {
                  "min": "165",
                  "max": "189",
                  "description": "Stage 1"
                },
                {
                  "min": "145",
                  "max": "164",
                  "description": "Stage 2"
                },
                {
                  "min": "0",
                  "max": "144",
                  "description": "Stage 3"
                }
              ]
            }
          },
          {
            "data": "Set Point",
            "shortcut": "SP",
            "description": "Set point (linear) Min.- ... Max+",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "data": "Temperature flag",
            "shortcut": "TMP_F",
            "description": "Temperature flag",
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Temperature present"
                },
                {
                  "value": "0",
                  "description": "Temperature absent"
                }
              ]
            }
          },
          {
            "data": "Set point flag",
            "shortcut": "SP_F",
            "description": "Set point flag",
            "bitoffs": "26",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Set point present"
                },
                {
                  "value": "0",
                  "description": "Set point absent"
                }
              ]
            }
          },
          {
            "data": "Fan speed flag",
            "shortcut": "FAN_F",
            "description": "Fan speed flag",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Fan speed present"
                },
                {
                  "value": "0",
                  "description": "Fan speed absent"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Unoccupancy",
            "shortcut": "UNOCC",
            "description": "Unoccupancy button",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy button",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Button pressed"
                },
                {
                  "value": "1",
                  "description": "Button released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 90,
    "eep": "a5-10-1f",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "Distech Controls"
    ]
  },
  "a5-10-20": {
    "number": "0x20",
    "title": "Temperature and Set Point with Special Heating States",
    "description": "\n              <br/><br/>\n              Description:<br/>\n              Set Point for Heating Control, Temperature, User Activity.\n              <br/><br/>\n              This EEP defines a Room Operating Panel that contains a sensor for\n              temperature measurement. The set point selector knob determines the\n              desired room temperature with the ability to set special set point\n              modes for heating control.\n              User activity and the sensor’s battery state are indicated in the telegram.\n              <br/><br/>\n              <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n              <br/>\n              Direction: unidirectional<br/>\n              Addressing: broadcast<br/>\n              Communication trigger: event- & time-triggered<br/>\n              Communication intervall: 1200 s<br/>\n              Trigger event: change of any input signal<br/>\n              Tx delay: n/a<br/>\n              Rx timeout: 0 ms (minimum time between two received messages)<br/>\n              Teach-in method: 4BS teach-in 2 / Universal teach-in<br/>\n              Security Encryption supported: no<br/>\n              Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "data": "Set Point",
            "shortcut": "SP",
            "description": "Set point (linear) Min.- ... Max+",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "data": "Set point mode",
            "shortcut": "SPM",
            "description": "Selection of heating mode",
            "bitoffs": "25",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Room temperature defined by SP"
                },
                {
                  "value": "1",
                  "description": "Frost protection"
                },
                {
                  "value": "2",
                  "description": "Automatic control (e.g. defined by time program)"
                },
                {
                  "value": "3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Battery state",
            "shortcut": "BATT",
            "description": "Battery change needed",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Battery ok"
                },
                {
                  "value": "1",
                  "description": "Battery low"
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "User activity",
            "shortcut": "ACT",
            "description": "User intervention action on device",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No user action"
                },
                {
                  "value": "1",
                  "description": "User interaction"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 91,
    "eep": "a5-10-20",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "MSR-Solutions GmbH, Wangen i.Allg."
    ]
  },
  "a5-10-21": {
    "number": "0x21",
    "title": "Temperature, Humidity and Set Point with Special Heating States",
    "description": "\n            <br/>\n            <br/>Description:\n            <br/>Set Point for Heating Control, Temperature, Humidity, User Activity.\n            <br/>\n            <br/>\n            This EEP defines a Room Operating Panel that contains sensors for temperature and\n            humidity. The set point selector knob determines the desired room temperature with\n            the ability to set special set point modes for heating control.\n            User activity and the sensor’s battery state are indicated in the telegram.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication intervall: 1200 s\n            <br/>Trigger event: change of any input signal\n            <br/>Tx delay: n/a\n            <br/>Rx timeout: 0 ms (minimum time between two received messages)\n            <br/>Teach-in method: 4BS teach-in 2 / Universal teach-in\n            <br/>Security Encryption required: no\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "data": "Set Point",
            "shortcut": "SP",
            "description": "Set point (linear) Min.- ... Max+",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. humidity (linear)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "data": "Set point mode",
            "shortcut": "SPM",
            "description": "Selection of heating mode",
            "bitoffs": "25",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Room temperature defined by SP"
                },
                {
                  "value": "1",
                  "description": "Frost protection"
                },
                {
                  "value": "2",
                  "description": "Automatic control<br/>(e.g. defined by time program)"
                },
                {
                  "value": "3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Battery state",
            "shortcut": "BATT",
            "description": "Battery change needed",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Battery ok"
                },
                {
                  "value": "1",
                  "description": "Battery low"
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "User activity",
            "shortcut": "ACT",
            "description": "User intervention action on device",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No user action"
                },
                {
                  "value": "1",
                  "description": "User interaction"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 92,
    "eep": "a5-10-21",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "MSR-Solutions GmbH, Wangen i.Allg."
    ]
  },
  "a5-10-22": {
    "number": "0x22",
    "title": "Temperature, Setpoint, Humidity and Fan Speed",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: time-triggered (configurable at the device) & event-triggered\n            <br/>Trigger event: setpoint change, fan speed change\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Product Description</span>\n            <br/>\n            The device represented by this EEP is a “Room Operating Panel with Display”.\n            It is powered by solar cell.<br/>\n            <br/>\n            It is equipped with the following features:<br/>\n            - Temperature Sensor<br/>\n            - Humidity Sensor<br/>\n            - Temperature Setpoint Adjustment<br/>\n            - Fanspeed Adjustment<br/>\n            <br/>\n            For pairing the unidirectional “4BS Teach-In Variation 2” method is used.<br/>\n            <br/>\n            The device transmits the actual sensor values periodically (Default: 1000s)\n            or on an event like “Temperature Setpoint Adjustment” or “Fanspeed Adjustment”.<br/>\n            <br/>\n            Temperature Sensor, Humidity Sensor:<br/>\n            The environmental sensors are updated periodically (adjustable, default: 100s)\n            and, if there is a change, the updated values will be send immediately.<br/>",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "27",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "Relative Setpoint",
            "shortcut": "SP",
            "description": "Setpoint (linear) Min.- ... Max+",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fanspeed",
            "shortcut": "FAN",
            "description": "Fanspeed",
            "bitoffs": "24",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0 / OFF"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5 ... 7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 93,
    "eep": "a5-10-22",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "Thermokon Sensortechnik GmbH"
    ]
  },
  "a5-10-23": {
    "number": "0x23",
    "title": "Temperature, Setpoint, Humidity, Fan Speed and Occupancy",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: time-triggered (configurable at the device) & event-triggered\n            <br/>Trigger event: setpoint change, fan speed change, change of occupancy-state\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Product Description</span>\n            <br/>The device represented by this EEP is a “Room Operating Panel with Display”.\n            It is powered by solar cell.\n            <br/>\n            <br/>It is equipped with the following features:\n            <br/>- Temperature Sensor\n            <br/>- Humidity Sensor\n            <br/>- Setpoint Adjustment\n            <br/>- Fanspeed Adjustment\n            <br/>- Occupancy-State Adjustment\n            <br/>\n            <br/>For pairing the unidirectional “4BS Teach-In Variation 2” method is used.\n            <br/>\n            <br/>The device transmits the actual sensor values periodically (Default: 1000s)\n            or on an event like “Setpoint Adjustment” or “Fanspeed Adjustment”.\n            <br/>\n            <br/>Temperature Sensor, Humidity Sensor:\n            <br/>The environmental sensors are updated periodically (adjustable, default: 100s)\n            and, if there is a change, the updated values will be send directly.\n            <br/>",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "27",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "Relative Setpoint",
            "shortcut": "SP",
            "description": "Setpoint (linear) Min.- ... Max+",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Fanspeed",
            "shortcut": "FAN",
            "description": "Fanspeed",
            "bitoffs": "24",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0 / OFF"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "value": "5 ... 7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Unoccupied"
                },
                {
                  "value": "1",
                  "description": "Occupied"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 94,
    "eep": "a5-10-23",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Room Operating Panel",
    "func_number": "0x10",
    "submitter": [
      "Thermokon Sensortechnik GmbH"
    ]
  },
  "a5-11-01": {
    "number": "0x01",
    "title": "Lighting Controller",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear)",
            "info": "DB_3 Illumination 0 … 510lx, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "510"
            },
            "unit": "lx"
          },
          {
            "data": "Illumination Set Point",
            "shortcut": "ISP",
            "description": "Illumination Set Point (Min. ... Max.) (linear)",
            "info": "DB_2 Illumination Set Point Min. … Max., linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Dimming Output Level",
            "shortcut": "DIM",
            "description": "Dimming Output Level (Min. ... Max.) (linear)",
            "info": "DB_1: Dimming Output Level Min. … Max., linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Repeater",
            "shortcut": "REP",
            "description": "Repeater",
            "info": "Repeater",
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "disabled"
                },
                {
                  "value": "1",
                  "description": "enabled"
                }
              ]
            }
          },
          {
            "data": "Power Relay Timer",
            "shortcut": "PRT",
            "description": "Power Relay Timer",
            "info": "Power Relay Timer",
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "disabled"
                },
                {
                  "value": "1",
                  "description": "enabled"
                }
              ]
            }
          },
          {
            "data": "Daylight Harvesting",
            "shortcut": "DHV",
            "description": "Daylight Harvesting",
            "info": "Daylight Harvesting",
            "bitoffs": "26",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "disabled"
                },
                {
                  "value": "1",
                  "description": "enabled"
                }
              ]
            }
          },
          {
            "data": "Dimming",
            "shortcut": "EDIM",
            "description": "Dimming",
            "info": "Dimming",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "switching load"
                },
                {
                  "value": "1",
                  "description": "dimming load"
                }
              ]
            }
          },
          {
            "data": "Magnet Contact",
            "shortcut": "MGC",
            "description": "Magnet Contact",
            "info": "Magnet Contact",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "open"
                },
                {
                  "value": "1",
                  "description": "closed"
                }
              ]
            }
          },
          {
            "data": "Occupancy",
            "shortcut": "OCC",
            "description": "Occupancy",
            "info": "Occupancy",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "unoccupied"
                },
                {
                  "value": "1",
                  "description": "occupied"
                }
              ]
            }
          },
          {
            "data": "Power Relay",
            "shortcut": "PWR",
            "description": "Power Relay",
            "info": "Power Relay",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "off"
                },
                {
                  "value": "1",
                  "description": "on"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 95,
    "eep": "a5-11-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Controller Status",
    "func_number": "0x11",
    "description": "",
    "submitter": []
  },
  "a5-11-02": {
    "number": "0x02",
    "title": "Temperature Controller Output",
    "description": "",
    "status": {},
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Control Variable",
            "shortcut": "CVAR",
            "description": "Actual value of controller",
            "info": "DB_3: Control variable 0… 100 % 0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "FanStage",
            "shortcut": "FAN",
            "description": "Actual value of fan",
            "info": "DB_2: FanStage 0,1,2,3, 0xFF not available",
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Stage 0 Manual"
                },
                {
                  "value": "1",
                  "description": "Stage 1 Manual"
                },
                {
                  "value": "2",
                  "description": "Stage 2 Manual"
                },
                {
                  "value": "3",
                  "description": "Stage 3 Manual"
                },
                {
                  "value": "16",
                  "description": "Stage 0 Automatic"
                },
                {
                  "value": "17",
                  "description": "Stage 1 Automatic"
                },
                {
                  "value": "18",
                  "description": "Stage 2 Automatic"
                },
                {
                  "value": "19",
                  "description": "Stage 3 Automatic"
                },
                {
                  "value": "255",
                  "description": "Not Available"
                }
              ]
            }
          },
          {
            "data": "Actual Setpoint",
            "shortcut": "ASP",
            "description": "Occupied:<br/>Basic setpoint occupied + Setpoint shift + Sensor offset\n            <br/><br/>StandBy:<br/>Basic setpoint standBy + Setpoint shift\n            <br/><br/>Unoccupied:<br/>Basic setpoint unoccupied + setpoint shift",
            "info": "DB_1: Actual Set point 0… 51.2 °C 0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51.2"
            },
            "unit": "°C"
          },
          {
            "data": "Alarm",
            "shortcut": "ALR",
            "description": "In case of internal error alarm is set",
            "info": "Alarm",
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No alarm"
                },
                {
                  "value": "1",
                  "description": "Alarm"
                }
              ]
            }
          },
          {
            "data": "Controller mode",
            "shortcut": "CTM",
            "description": "Actual state of controller",
            "info": {},
            "bitoffs": "25",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Heating"
                },
                {
                  "value": "2",
                  "description": "Cooling"
                },
                {
                  "value": "3",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Controller state",
            "shortcut": "CST",
            "description": "Automatic control, or is controlled from another device",
            "info": "Controller state",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Automatic"
                },
                {
                  "value": "1",
                  "description": "Override"
                }
              ]
            }
          },
          {
            "data": "Energy hold-off",
            "shortcut": "ERH",
            "description": "Stop control if window is opened",
            "info": "Energy holdoff",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal"
                },
                {
                  "value": "1",
                  "description": "Energy hold-off/ Dew point"
                }
              ]
            }
          },
          {
            "data": "Room occupancy",
            "shortcut": "RO",
            "description": "Actual room occupancy",
            "info": "Room occupancy",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupied"
                },
                {
                  "value": "1",
                  "description": "Unoccupied"
                },
                {
                  "value": "2",
                  "description": "StandBy"
                },
                {
                  "value": "3",
                  "description": "Frost"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 96,
    "eep": "a5-11-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Controller Status",
    "func_number": "0x11",
    "submitter": [
      "Thermokon Sensortechnik GmbH"
    ]
  },
  "a5-11-03": {
    "number": "0x03",
    "title": "Blind Status",
    "status": "released",
    "description": "<br/><br/>\n          This controller status is specific for blinds, awning and shutter\n          modules. All modules can use this 4BS telegram to send all information about\n          the status, the position and errors of the module, if these data are available.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Blind/shutter pos.",
            "shortcut": "BSP",
            "description": {},
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Angle sign",
            "shortcut": "AS",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Positive sign"
                },
                {
                  "value": "1",
                  "description": "Negative sign"
                }
              ]
            }
          },
          {
            "data": "Angle",
            "shortcut": "AN",
            "description": "Angle in 2° steps<br/>\n              (e.g. 0 = 0°, 90 = 180°)<br/><br/>\n              (EEP 2.6.5:<br/>\n              valid range\n              <span style=\"text-decoration:line-through;color:red\">0 … 180</span> ->\n              <span style=\"font-weight:bold;color:green\">0 … 90</span><br/>\n              scale\n              <span style=\"text-decoration:line-through;color:red\">0 … 360</span> ->\n              <span style=\"font-weight:bold;color:green\">0 … 180</span>)<br/>",
            "info": {},
            "bitoffs": "9",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "90"
            },
            "scale": {
              "min": "0",
              "max": "180"
            },
            "unit": "°"
          },
          {
            "data": "Position value flag",
            "shortcut": "PVF",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No Position value available"
                },
                {
                  "value": "1",
                  "description": "Position value available"
                }
              ]
            }
          },
          {
            "data": "Angle value flag",
            "shortcut": "AVF",
            "description": {},
            "info": {},
            "bitoffs": "17",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No Angle value available"
                },
                {
                  "value": "1",
                  "description": "Angle value available"
                }
              ]
            }
          },
          {
            "data": "Error state",
            "shortcut": "ES",
            "description": {},
            "info": {},
            "bitoffs": "18",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No error present"
                },
                {
                  "value": "1",
                  "description": "End-positions are not configured"
                },
                {
                  "value": "2",
                  "description": "Internal failure"
                },
                {
                  "value": "3",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "data": "End-position",
            "shortcut": "EP",
            "description": {},
            "info": {},
            "bitoffs": "20",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No End-position available"
                },
                {
                  "value": "1",
                  "description": "No End-position reached"
                },
                {
                  "value": "2",
                  "description": "Blind fully open"
                },
                {
                  "value": "3",
                  "description": "Blind fully closed"
                }
              ]
            }
          },
          {
            "data": "Status",
            "shortcut": "ST",
            "description": {},
            "info": {},
            "bitoffs": "22",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No Status available"
                },
                {
                  "value": "1",
                  "description": "Blind is stopped"
                },
                {
                  "value": "2",
                  "description": "Blind opens"
                },
                {
                  "value": "3",
                  "description": "Blind closes"
                }
              ]
            }
          },
          {
            "data": "Service Mode",
            "shortcut": "SM",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal mode"
                },
                {
                  "value": "1",
                  "description": "Service mode is activated (For example for maintenance)"
                }
              ]
            }
          },
          {
            "data": "Mode of the position",
            "shortcut": "MOTP",
            "description": {},
            "info": {},
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal mode:<br/>0% Blind fully open / 100% Blind fully close"
                },
                {
                  "value": "1",
                  "description": "Inverse mode:<br/>100% Blind fully open / 0% Blind fully close"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "26",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          }
        ]
      }
    ],
    "originalIndex": 97,
    "eep": "a5-11-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Controller Status",
    "func_number": "0x11",
    "submitter": [
      "PEHA",
      "infratec"
    ]
  },
  "a5-11-04": {
    "number": "0x04",
    "title": "Extended Lighting Status",
    "status": "released",
    "description": "<br/><br/>\n          This status is an extended answer of new lighting-controllers.\n          All modules can use this 4BS telegram to send all information about the status\n          and errors of the module, if these data are available.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Parameter 1",
            "shortcut": "P1",
            "description": {},
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Mode 0: Dimm-Value (0 .. 255)\n                <br/>\n                Mode 1: R - Red (0 .. 255)\n                <br/>\n                Mode 2: Energy metering value (MSB 15 .. 8)\n                <br/>\n                Mode 3: Not used"
              }
            }
          },
          {
            "data": "Parameter 2",
            "shortcut": "P2",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Mode 0: Lamp operating hours (MSB 15 .. 8)\n                <br/>\n                Mode 1: G - Green (0 .. 255)\n                <br/>\n                Mode 2: Energy metering value (7 .. 0 LSB)\n                <br/>\n                Mode 3: Not used"
              }
            }
          },
          {
            "data": "Parameter 3",
            "shortcut": "P3",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Mode 0: Lamp operating hours (7 .. 0 LSB)\n                <br/>\n                Mode 1: B - Blue (0 .. 255)\n                <br/>\n                Mode 2: Unit for energy values:<br/>\n                Enum:<br/>\n                0 = mW<br/>\n                1 = W<br/>\n                2 = kW<br/>\n                3 = MW<br/>\n                4 = Wh<br/>\n                5 = kWh<br/>\n                6 = MWh<br/>\n                7 = GWh<br/>\n                8 = mA<br/>\n                9 = 1/10 A<br/>\n                10 = mV<br/>\n                11 = 1/10 V<br/>\n                12 .. 15 Not used<br/>\n                <br/>\n                Mode 3: Not used"
              }
            }
          },
          {
            "data": "Service Mode",
            "shortcut": "SM",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal mode"
                },
                {
                  "value": "1",
                  "description": "Service mode is activated.<br/>\n                  (For example for maintenance)"
                }
              ]
            }
          },
          {
            "data": "Operating hours flag",
            "shortcut": "OHF",
            "description": "For Mode 0",
            "info": {},
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No lamp operating hours available"
                },
                {
                  "value": "1",
                  "description": "Lamp operating hours available"
                }
              ]
            }
          },
          {
            "data": "Error state",
            "shortcut": "ES",
            "description": {},
            "info": {},
            "bitoffs": "26",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No error present"
                },
                {
                  "value": "1",
                  "description": "Lamp-failure"
                },
                {
                  "value": "2",
                  "description": "Internal failure"
                },
                {
                  "value": "3",
                  "description": "Failure on the external periphery"
                }
              ]
            }
          },
          {
            "data": "Parameter Mode",
            "shortcut": "PM",
            "description": {},
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "8 Bit Dimmer Value and Lamp operating hours"
                },
                {
                  "value": "1",
                  "description": "RGB Value"
                },
                {
                  "value": "2",
                  "description": "Energy metering value"
                },
                {
                  "value": "3",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "data": "Status",
            "shortcut": "ST",
            "description": {},
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Lighting off"
                },
                {
                  "value": "1",
                  "description": "Lighting on"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 98,
    "eep": "a5-11-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Controller Status",
    "func_number": "0x11",
    "submitter": [
      "PEHA",
      "infratec"
    ]
  },
  "a5-11-05": {
    "number": "0x05",
    "title": "Dual-Channel Switch Actuator",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>\n            This EEP is used for sending the latest relay status (including current\n            working mode) of a dual-channel switch actuator. The telegram is sent\n            when the relay status changes or a gateway request is received.\n            Each time the gateway is powered on, it will send a request telegram to\n            request that the actuator reports its latest relay status, while in\n            normal working state, it won’t send any telegram to the actuator and\n            only receive the relay status from the actuator.\n            <br/>\n            <br/>\n            1) Gateway first power on:\n            <br/>\n            <img>graphics/A5-11-05_V01.png</img>\n            <br/>\n            2) When the actuator receives a switch telegram and its status changes:\n            <br/>\n            <img>graphics/A5-11-05_V02.png</img>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: bi-directional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event & request\n            <br/>Communication interval: -\n            <br/>Trigger event: change of relay status\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Appendix</span>\n            <br/>\n            Operation mode description:\n            <br/>\n            <br/><b>Mode 1:</b>\n            <br/>One switch controls one dual-channel actuator. Each rock controls\n            one channel.\n            <br/>I: power ON, O: power OFF\n            <br/>\n            <img>graphics/A5-11-05_V04.png</img>\n            <br/>\n            <br/><b>Mode 2:</b>\n            <br/>In this mode, actuator can be controlled by both switch and\n            occupancy sensor, also can be set “Auto” control by occupancy sensor\n            or “Manual” control by switch through button “A” or “M”.\n            Each channel can be controlled independently.\n            <br/>\n            <img>graphics/A5-11-05_V05.png</img>\n            <br/>\n            <br/><b>Mode 3:</b>\n            <br/>A bit like mode 1, but single rocker button controls two channels\n            one time.\n            <br/>\n            <img>graphics/A5-11-05_V06.png</img>\n            <br/>\n            <br/><b>Mode 4:</b>\n            <br/>One dual-rock switch button can control two dual-channel actuators\n            as 4 channel lighting in all. We can control one channel only through\n            trigger the rock angle.\n            <br/>\n            <img>graphics/A5-11-05_V07.png</img>\n            <br/>\n            <br/>\n            DIRECTION-1 = Gateway request telegram; from gateway to actuator\n            <br/>\n            DIRECTION-2 = Actuator status report; from actuator to gateway",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "28"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines if the telegram is a request or contains data",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "Request"
              }
            }
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "25"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Working Mode",
            "shortcut": "WM",
            "description": "Actuators current working mode",
            "info": {},
            "bitoffs": "25",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "0b001",
                  "description": "mode 1"
                }
              },
              {
                "item": {
                  "value": "0b010",
                  "description": "mode 2"
                }
              },
              {
                "item": {
                  "value": "0b011",
                  "description": "mode 3"
                }
              },
              {
                "item": {
                  "value": "0b100",
                  "description": "mode 4"
                }
              }
            ]
          },
          {
            "data": "Relay Status",
            "shortcut": "RS",
            "description": "Actuators current relay status\n              <br/>Bit 0.1: CH1\n              <br/>Bit 0.2: CH2",
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0b00",
                  "description": "CH1 off, CH2 off"
                }
              },
              {
                "item": {
                  "value": "0b01",
                  "description": "CH1 on, CH2 off"
                }
              },
              {
                "item": {
                  "value": "0b10",
                  "description": "CH1 off, CH2 on"
                }
              },
              {
                "item": {
                  "value": "0b11",
                  "description": "CH1 on, CH2 on"
                }
              }
            ]
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines if the telegram is a request or contains data",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "Status Report"
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 99,
    "eep": "a5-11-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Controller Status",
    "func_number": "0x11",
    "submitter": [
      "Nanjing Putian Telecommunications CO., Ltd.,"
    ]
  },
  "a5-12-00": {
    "number": "0x00",
    "title": "Counter",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Meter reading",
            "shortcut": "MR",
            "description": "Current value or cumulative counter value",
            "bitoffs": "0",
            "bitsize": "24",
            "range": {
              "min": "0",
              "max": "16777215"
            },
            "scale": {
              "ref": "DIV"
            },
            "unit": {
              "ref": "DT"
            }
          },
          {
            "data": "Measurement channel",
            "shortcut": "CH",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": "1"
          },
          {
            "data": "Data type (unit)",
            "shortcut": "DT",
            "description": "Current value or cumulative counter value",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cumulative value",
                  "scale": "0",
                  "unit": "1"
                },
                {
                  "value": "1",
                  "description": "Current value",
                  "scale": "1",
                  "unit": "1/s"
                }
              ]
            }
          },
          {
            "data": "Divisor (scale)",
            "shortcut": "DIV",
            "description": "Divisor for counter value",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1",
                  "scale": {
                    "min": "0",
                    "max": "16777215"
                  }
                },
                {
                  "value": "1",
                  "description": "x/10",
                  "scale": {
                    "min": "0",
                    "max": "1677721.5"
                  }
                },
                {
                  "value": "2",
                  "description": "x/100",
                  "scale": {
                    "min": "0",
                    "max": "167772.15"
                  }
                },
                {
                  "value": "3",
                  "description": "x/1000",
                  "scale": {
                    "min": "0",
                    "max": "16777.215"
                  }
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 100,
    "eep": "a5-12-00",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "a5-12-01": {
    "number": "0x01",
    "title": "Electricity",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Meter reading",
            "shortcut": "MR",
            "description": "current value in W or cumulative value in kWh",
            "bitoffs": "0",
            "bitsize": "24",
            "range": {
              "min": "0",
              "max": "16777215"
            },
            "scale": {
              "ref": "DIV"
            },
            "unit": {
              "ref": "DT"
            }
          },
          {
            "data": "Tariff info",
            "shortcut": "TI",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": "1"
          },
          {
            "data": "Data type (unit)",
            "shortcut": "DT",
            "description": "Current value or cumulative value",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cumulative value",
                  "scale": "0",
                  "unit": "kWh"
                },
                {
                  "value": "1",
                  "description": "Current value",
                  "scale": "1",
                  "unit": "W"
                }
              ]
            }
          },
          {
            "data": "Divisor (scale)",
            "shortcut": "DIV",
            "description": "Divisor for value",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1",
                  "scale": {
                    "min": "0",
                    "max": "16777215"
                  }
                },
                {
                  "value": "1",
                  "description": "x/10",
                  "scale": {
                    "min": "0",
                    "max": "1677721.5"
                  }
                },
                {
                  "value": "2",
                  "description": "x/100",
                  "scale": {
                    "min": "0",
                    "max": "167772.15"
                  }
                },
                {
                  "value": "3",
                  "description": "x/1000",
                  "scale": {
                    "min": "0",
                    "max": "16777.215"
                  }
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 101,
    "eep": "a5-12-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "a5-12-02": {
    "number": "0x02",
    "title": "Gas",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "meter reading",
            "shortcut": "MR",
            "description": "Cumulative value in m³\n              or\n              Current value in liter/s",
            "bitoffs": "0",
            "bitsize": "24",
            "range": {
              "min": "0",
              "max": "16777215"
            },
            "scale": {
              "ref": "DIV"
            },
            "unit": {
              "ref": "DT"
            }
          },
          {
            "data": "Tariff info",
            "shortcut": "TI",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": "1"
          },
          {
            "data": "data type (unit)",
            "shortcut": "DT",
            "description": "Current value or cumulative value",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cumulative value",
                  "scale": "0",
                  "unit": "m³"
                },
                {
                  "value": "1",
                  "description": "Current value",
                  "scale": "1",
                  "unit": "liter/s"
                }
              ]
            }
          },
          {
            "data": "divisor (scale)",
            "shortcut": "DIV",
            "description": "Divisor for value",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1",
                  "scale": {
                    "min": "0",
                    "max": "16777215"
                  }
                },
                {
                  "value": "1",
                  "description": "x/10",
                  "scale": {
                    "min": "0",
                    "max": "1677721.5"
                  }
                },
                {
                  "value": "2",
                  "description": "x/100",
                  "scale": {
                    "min": "0",
                    "max": "167772.15"
                  }
                },
                {
                  "value": "3",
                  "description": "x/1000",
                  "scale": {
                    "min": "0",
                    "max": "16777.215"
                  }
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 102,
    "eep": "a5-12-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "a5-12-03": {
    "number": "0x03",
    "title": "Water",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Meter reading",
            "shortcut": "MR",
            "description": "Cumulative value in m³\n              or\n              Current value in liter/s",
            "bitoffs": "0",
            "bitsize": "24",
            "range": {
              "min": "0",
              "max": "16777215"
            },
            "scale": {
              "ref": "DIV"
            },
            "unit": {
              "ref": "DT"
            }
          },
          {
            "data": "Tariff info",
            "shortcut": "TI",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": "1"
          },
          {
            "data": "Data type (unit)",
            "shortcut": "DT",
            "description": "Current value or cumulative value",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cumulative value",
                  "scale": "0",
                  "unit": "m³"
                },
                {
                  "value": "1",
                  "description": "Current value",
                  "scale": "1",
                  "unit": "Liter/s"
                }
              ]
            }
          },
          {
            "data": "Divisor (scale)",
            "shortcut": "DIV",
            "description": "Divisor for value",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1",
                  "scale": {
                    "min": "0",
                    "max": "16777215"
                  }
                },
                {
                  "value": "1",
                  "description": "x/10",
                  "scale": {
                    "min": "0",
                    "max": "1677721.5"
                  }
                },
                {
                  "value": "2",
                  "description": "x/100",
                  "scale": {
                    "min": "0",
                    "max": "167772.15"
                  }
                },
                {
                  "value": "3",
                  "description": "x/1000",
                  "scale": {
                    "min": "0",
                    "max": "16777.215"
                  }
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 103,
    "eep": "a5-12-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "a5-12-04": {
    "number": "0x04",
    "title": "Temperature and Load Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Temp and Load Sensor aimed for fridge and other application.\n            <br/>E.g. milk carton puts on this sensor in fridge. The sensor sends a signal\n            of temp and remaining amount of milk (in gram).\n            Since this sensor is battery-powered, battery level information is\n            transmitted with Temp and Load information, too.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: load changed\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: RLC + AES128",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "14",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Meter reading",
            "shortcut": "MR",
            "description": "Current value in gram",
            "info": {},
            "bitoffs": "0",
            "bitsize": "14",
            "range": {
              "min": "0",
              "max": "16383"
            },
            "scale": {
              "min": "0",
              "max": "16383"
            },
            "unit": "gram"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-40",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Battery Level",
            "shortcut": "BL",
            "description": "Battery level",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "100-75%"
                },
                {
                  "value": "1",
                  "description": "75-50%"
                },
                {
                  "value": "2",
                  "description": "50-25%"
                },
                {
                  "value": "3",
                  "description": "25-0%"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 104,
    "eep": "a5-12-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "SIMICS",
      "NTT East"
    ]
  },
  "a5-12-05": {
    "number": "0x05",
    "title": "Temperature and Container Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Temp and Container Sensor aimed for fridge and other application.\n            <br/>E.g. eggs or egg carton puts on the Container Sensor in fridge.\n            The sensor sends a signal of temp and remaining of eggs. Since this sensor\n            is battery-powered, battery level information is transmitted with other information, too.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: -\n            <br/>Trigger event: load changed\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: yes\n            <br/>Security level format: RLC + AES128\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Appendix</span>\n            <br/>Location 0 - 9 are assigned as follows:\n            <br/>\n            <img>graphics/A5-12-05.png</img>",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "10",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 0",
            "shortcut": "PS0",
            "description": "Location 0",
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 1",
            "shortcut": "PS1",
            "description": "Location 1",
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 2",
            "shortcut": "PS2",
            "description": "Location 2",
            "bitoffs": "2",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 3",
            "shortcut": "PS3",
            "description": "Location 3",
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 4",
            "shortcut": "PS4",
            "description": "Location 4",
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 5",
            "shortcut": "PS5",
            "description": "Location 5",
            "bitoffs": "5",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 6",
            "shortcut": "PS6",
            "description": "Location 6",
            "bitoffs": "6",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 7",
            "shortcut": "PS7",
            "description": "Location 7",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 8",
            "shortcut": "PS8",
            "description": "Location 8",
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Position Sensor 9",
            "shortcut": "PS9",
            "description": "Location 9",
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "not possessed"
                },
                {
                  "value": "1",
                  "description": "possessed"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-40",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Battery Level",
            "shortcut": "BL",
            "description": "Battery level",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "100-75%"
                },
                {
                  "value": "1",
                  "description": "75-50%"
                },
                {
                  "value": "2",
                  "description": "50-25%"
                },
                {
                  "value": "3",
                  "description": "25-0%"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 105,
    "eep": "a5-12-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "SIMICS",
      "NTT East"
    ]
  },
  "a5-12-10": {
    "number": "0x10",
    "title": "Current meter 16 channels",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>\n            This profile is used for up to 16 channels current meters.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: can be defined by user\n            <br/>Trigger event: 10 or 20 % delta for observed value\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Recommendation</span>\n            <br/>Channels not used should not be transmitted.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Appendix</span>\n            <br/>\n            Our new product is a 12 channels current meter. It is able to measure,\n            using a maximum of 12 current transformers, the current (mA) or\n            cumulative current (mAh) of all of his channels.\n            It is however not sending data for not configured channels\n            (e.g. channels 12 to 15).\n            The meter is sending values every 5 or 10 seconds, and in order to\n            improve accuracy, a current fluctuation of more than 10 or 20 % will\n            trigger a new transmission of the corresponding channel.\n            <br/>\n            <img>graphics/A5-12-10.png</img>",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Meter reading",
            "shortcut": "MR",
            "description": "Current value in mA or\n              cumulative value in A.h",
            "bitoffs": "0",
            "bitsize": "24",
            "range": {
              "min": "0",
              "max": "16777215"
            },
            "scale": {
              "ref": "DIV"
            },
            "unit": {
              "ref": "DT"
            }
          },
          {
            "data": "Measurement channel",
            "shortcut": "CH",
            "description": "Channel no.",
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": {}
          },
          {
            "data": "Data type (unit)",
            "shortcut": "DT",
            "description": "Current value or cumulative value",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cumulative value",
                  "scale": "0",
                  "unit": "A.h"
                },
                {
                  "value": "1",
                  "description": "Current value",
                  "scale": "1",
                  "unit": "mA"
                }
              ]
            }
          },
          {
            "data": "Divisor (scale)",
            "shortcut": "DIV",
            "description": "Divisor for value",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1",
                  "scale": {
                    "min": "0",
                    "max": "16777215"
                  }
                },
                {
                  "value": "1",
                  "description": "x/10",
                  "scale": {
                    "min": "0",
                    "max": "1677721.5"
                  }
                },
                {
                  "value": "2",
                  "description": "x/100",
                  "scale": {
                    "min": "0",
                    "max": "167772.15"
                  }
                },
                {
                  "value": "3",
                  "description": "x/1000",
                  "scale": {
                    "min": "0",
                    "max": "16777.215"
                  }
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 106,
    "eep": "a5-12-10",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Automated Meter Reading (AMR)",
    "func_number": "0x12",
    "submitter": [
      "Ewattch"
    ]
  },
  "a5-13-01": {
    "number": "0x01",
    "title": "Weather Station",
    "status": "released",
    "description": "A receiver that accepts EEP A5-13-01 at teach-in automatically needs to accept telegrams from\n            the same ID that comply to the definitions of EEP A5-13-02 thru EEP A5-13-06. Different\n            telegrams received from that ID need to be distinguished by their 4 bit identifiers.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Dawn sensor",
            "shortcut": "DWS",
            "description": "Dawn sensor",
            "info": "DB_3 Dawn sensor 0 … 999lx, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "999"
            },
            "unit": "lx"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Outdoor Temp",
            "info": "DB_2: Outdoor Temp. -40°C ... +80°C, linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-40",
              "max": "+80"
            },
            "unit": "°C"
          },
          {
            "data": "Wind speed",
            "shortcut": "WND",
            "description": "Wind speed",
            "info": "DB_1: Wind speed 0 ... 70m/s, linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "70"
            },
            "unit": "m/s"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x1",
                "description": {}
              }
            }
          },
          {
            "data": "Day / Night",
            "shortcut": "D/N",
            "description": "Day / Night",
            "info": "DB_0.BIT_2: Day / Night",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Day"
                },
                {
                  "value": "1",
                  "description": "Night"
                }
              ]
            }
          },
          {
            "data": "Rain Indication",
            "shortcut": "RAN",
            "description": "Rain Indication",
            "info": "DB_0.BIT_1: Rain Indication",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No Rain"
                },
                {
                  "value": "1",
                  "description": "Rain"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "info": {},
            "bitoffs": "31",
            "bitsize": "1"
          }
        ]
      }
    ],
    "originalIndex": 107,
    "eep": "a5-13-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": []
  },
  "a5-13-02": {
    "number": "0x02",
    "title": "Sun Intensity",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Sun – West",
            "shortcut": "SNW",
            "description": "Sun - West,linear",
            "info": "DB_3: Sun – West 1klx … 150klx, linear n=0…255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "150"
            },
            "unit": "klx"
          },
          {
            "data": "Sun – South",
            "shortcut": "SNS",
            "description": "Sun - South,linear",
            "info": "DB_2: Sun – West 1klx … 150klx, linear n=0…255",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "150"
            },
            "unit": "klx"
          },
          {
            "data": "Sun – East",
            "shortcut": "SNE",
            "description": "Sun - East,linear",
            "info": "DB_1: Sun – East 1klx … 150klx, linear n=0…255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "150"
            },
            "unit": "klx"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x2",
                "description": {}
              }
            }
          },
          {
            "data": "Hemisphere",
            "shortcut": "HEM",
            "description": "0 = north / 1 = south, then swith Sun south to Sun North when in southern hemisphere",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "North"
                },
                {
                  "value": "1",
                  "description": "South"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": "Not Used",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2"
          }
        ]
      }
    ],
    "originalIndex": 108,
    "eep": "a5-13-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "Elsner electronics"
    ]
  },
  "a5-13-03": {
    "number": "0x03",
    "title": "Date Exchange",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Day",
            "shortcut": "DY",
            "description": "Day",
            "info": "DB_3.BIT_4 … 0: Day n=1 … 31",
            "bitoffs": "3",
            "bitsize": "5",
            "range": {
              "min": "1",
              "max": "31"
            },
            "scale": {
              "min": "1",
              "max": "31"
            },
            "unit": "N/A"
          },
          {
            "data": "Month",
            "shortcut": "MTH",
            "description": "Month (1->January)",
            "info": "DB_2.BIT_3 … 0: Month n=1 … 12 1->January",
            "bitoffs": "12",
            "bitsize": "4",
            "range": {
              "min": "1",
              "max": "12"
            },
            "scale": {
              "min": "1",
              "max": "12"
            },
            "unit": "N/A"
          },
          {
            "data": "Year",
            "shortcut": "YR",
            "description": "Year (0->Year 2000)",
            "info": "DB_1.BIT_6 … 0: Year n=0 … 99",
            "bitoffs": "17",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "99"
            },
            "scale": {
              "min": "2000",
              "max": "2099"
            },
            "unit": "N/A"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x3",
                "description": {}
              }
            }
          },
          {
            "data": "Source",
            "shortcut": "SRC",
            "description": "Source",
            "info": "DB_0.BIT_0: Source",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Real Time Clock"
                },
                {
                  "value": "1",
                  "description": "GPS or equivalent (e.g. DCF77, WWV)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 109,
    "eep": "a5-13-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "Elsner electronics"
    ]
  },
  "a5-13-04": {
    "number": "0x04",
    "title": "Time and Day Exchange",
    "status": "released",
    "description": "\n          <br/>\n          <br/>\n          Recommendation: always transmit time in 24 hrs format",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Weekday",
            "shortcut": "WDY",
            "description": "Weekday (1 -> Monday)",
            "info": "DB_3.BIT_7 … 5: Weekday n=1 … 7 1 -> Monday",
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "1",
                  "description": "Monday"
                },
                {
                  "value": "2",
                  "description": "Tuesday"
                },
                {
                  "value": "3",
                  "description": "Wednesday"
                },
                {
                  "value": "4",
                  "description": "Thursday"
                },
                {
                  "value": "5",
                  "description": "Friday"
                },
                {
                  "value": "6",
                  "description": "Saturday"
                },
                {
                  "value": "7",
                  "description": "Sunday"
                }
              ]
            }
          },
          {
            "data": "Hour",
            "shortcut": "HR",
            "description": "Hour",
            "info": "DB_3.BIT_4 … 0: Hour n=0 … 23",
            "bitoffs": "3",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "N/A"
          },
          {
            "data": "Minute",
            "shortcut": "MIN",
            "description": "Minute",
            "info": "DB_2.BIT_5 … 0: Minute n=0 … 59",
            "bitoffs": "10",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "N/A"
          },
          {
            "data": "Second",
            "shortcut": "SEC",
            "description": "Second",
            "info": "DB_1.BIT_5 … 0: Year n=0 … 59",
            "bitoffs": "18",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "N/A"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x4",
                "description": {}
              }
            }
          },
          {
            "data": "Time Format",
            "shortcut": "TMF",
            "description": "Time Format",
            "info": "DB_0.BIT_2: Time Format",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "24 hours"
                },
                {
                  "value": "1",
                  "description": "12 hours"
                }
              ]
            }
          },
          {
            "data": "AM/PM",
            "shortcut": "A/PM",
            "description": "AM or PM",
            "info": "DB_0.BIT_1: AM/PM",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "AM"
                },
                {
                  "value": "1",
                  "description": "PM"
                }
              ]
            }
          },
          {
            "data": "Source",
            "shortcut": "SRC",
            "description": "Source",
            "info": "DB_0.BIT_0: Source",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Real Time Clock"
                },
                {
                  "value": "1",
                  "description": "GPS or equivalent (e.g. DCF77, WWV)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 110,
    "eep": "a5-13-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "Elsner electronics"
    ]
  },
  "a5-13-05": {
    "number": "0x05",
    "title": "Direction Exchange",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "7"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Elevation",
            "shortcut": "ELV",
            "description": "Elevation (0° -> horizon)",
            "info": "DB_3 Elevation -90° … +90°, linear n=0…180 0° ->Horizon",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "180"
            },
            "scale": {
              "min": "-90",
              "max": "+90"
            },
            "unit": "°"
          },
          {
            "data": "Azimut",
            "shortcut": "AZM",
            "description": "Azimuth (0° -> True north; clockwise)",
            "info": "DB_2.BIT_0: Azimut (MSB) 0° … 359°, linear n=0…359 0° -> True north\n                DB_1: Azimut (LSB)",
            "bitoffs": "15",
            "bitsize": "9",
            "range": {
              "min": "0",
              "max": "359"
            },
            "scale": {
              "min": "0",
              "max": "359"
            },
            "unit": "°"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x5",
                "description": {}
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 111,
    "eep": "a5-13-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "description": "",
    "submitter": []
  },
  "a5-13-06": {
    "number": "0x06",
    "title": "Geographic Position Exchange",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Latitude(MSB)",
            "shortcut": "LAT(MSB)",
            "description": "Latitude MSB",
            "info": "DB_3.BIT_7 … 4: Latitude (MSB)",
            "bitoffs": "0",
            "bitsize": "4",
            "range": {
              "ref": "LAT(LSB)"
            },
            "scale": {
              "ref": "LAT(LSB)"
            },
            "unit": {
              "ref": "LAT(LSB)"
            }
          },
          {
            "data": "Longitude(MSB)",
            "shortcut": "LOT(MSB)",
            "description": "Longitude MSB",
            "info": "DB_3.BIT_3 … 0: Longitude (MSB)",
            "bitoffs": "4",
            "bitsize": "4",
            "range": {
              "ref": "LOT(LSB)"
            },
            "scale": {
              "ref": "LOT(LSB)"
            },
            "unit": {
              "ref": "LOT(LSB)"
            }
          },
          {
            "data": "Latitude(LSB)",
            "shortcut": "LAT(LSB)",
            "description": "Latitude LSB",
            "info": "DB_2: Latitude (LSB) -90° … +90°, linear n=…4095",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "-90",
              "max": "+90"
            },
            "unit": "°"
          },
          {
            "data": "Longitude(LSB)",
            "shortcut": "LOT(LSB)",
            "description": "Longitude LSB",
            "info": "DB_1: Longitude (LSB) -180° … +180°, linear n=0…4095",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "-180",
              "max": "+180"
            },
            "unit": "°"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": "DB_0.BIT_7 … 4: Identifier",
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x6",
                "description": {}
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 112,
    "eep": "a5-13-06",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "description": "",
    "submitter": []
  },
  "a5-13-07": {
    "number": "0x07",
    "title": "Wind Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>This profile provides wind sensor information.\n            <br/>That includes the current wind direction, the average and the\n            maximum wind speed.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: time-triggered\n            <br/>Communication interval: 33 seconds\n            <br/>Trigger event: timer\n            <br/>Tx delay: N/A\n            <br/>Rx timeout: N/A\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 1\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: N/A",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Wind Direction",
            "shortcut": "WD",
            "description": "Shows the current wind direction",
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "NNE"
                },
                {
                  "value": "1",
                  "description": "NE"
                },
                {
                  "value": "2",
                  "description": "ENE"
                },
                {
                  "value": "3",
                  "description": "E"
                },
                {
                  "value": "4",
                  "description": "ESE"
                },
                {
                  "value": "5",
                  "description": "SE"
                },
                {
                  "value": "6",
                  "description": "SSE"
                },
                {
                  "value": "7",
                  "description": "S"
                },
                {
                  "value": "8",
                  "description": "SSW"
                },
                {
                  "value": "9",
                  "description": "SW"
                },
                {
                  "value": "10",
                  "description": "WSW"
                },
                {
                  "value": "11",
                  "description": "W"
                },
                {
                  "value": "12",
                  "description": "WNW"
                },
                {
                  "value": "13",
                  "description": "NW"
                },
                {
                  "value": "14",
                  "description": "NNW"
                },
                {
                  "value": "15",
                  "description": "N"
                }
              ]
            }
          },
          {
            "data": "Average Wind Speed",
            "shortcut": "AWS",
            "description": "Linear average wind speed",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "1",
              "max": "199.9"
            },
            "unit": "mph"
          },
          {
            "data": "Maximum Wind Speed",
            "shortcut": "MWS",
            "description": "Maximum wind speed",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "1",
              "max": "199.9"
            },
            "unit": "mph"
          },
          {
            "data": "Battery Status",
            "shortcut": "BS",
            "description": "Indicates if the battery is low",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Battery okay"
                },
                {
                  "value": "1",
                  "description": "Battery low"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 113,
    "eep": "a5-13-07",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "Hideki Electronics Limited"
    ]
  },
  "a5-13-08": {
    "number": "0x08",
    "title": "Rain Sensor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>This profile provides rain sensor information.\n            <br/>That includes the current rainfall count value and the rainfall count correction.\n            <br/>Using these values, the receiver of the information can calculate the currently\n                 measured amount of rainfall.\n            <br/>\n            <br/>Rainfall = (Rainfall Count x 0.6875 mm) x (1+ (Rainfall Adjust Sign) Rainfall Adjust)\n            <br/>\n            <br/>Example:\n            <br/>Rainfall Count = 10\n            <br/>Rainfall Adjust = 26\n            <br/>Rainfall Adjust Sign = 1\n            <br/>Rainfall = 10 x 0.6875 mm X (1 + 2.6/100) = 7.05375 mm\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: time-triggered\n            <br/>Communication interval: 183 seconds\n            <br/>Trigger event: timer\n            <br/>Tx delay: N/A\n            <br/>Rx timeout: N/A\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 1\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: N/A",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Rainfall Adjust Sign",
            "shortcut": "RAS",
            "description": "Provides the sign of the rainfall adjust value",
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Negative"
                },
                {
                  "value": "1",
                  "description": "Positive"
                }
              ]
            }
          },
          {
            "data": "Rainfall Adjust",
            "shortcut": "RFA",
            "description": "Provides the rainfall count correction value",
            "info": {},
            "bitoffs": "2",
            "bitsize": "6",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "39",
                  "scale": {
                    "min": "0",
                    "max": "3.9"
                  },
                  "unit": "%"
                },
                {
                  "min": "40",
                  "max": "63",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Rainfall Count",
            "shortcut": "RFC",
            "description": "Number of counted rain drops",
            "info": {},
            "bitoffs": "8",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "65535"
            },
            "unit": {}
          },
          {
            "data": "Battery Status",
            "shortcut": "BS",
            "description": "Indicates if the battery is low",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Battery okay"
                },
                {
                  "value": "1",
                  "description": "Battery low"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 114,
    "eep": "a5-13-08",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "Hideki Electronics Limited"
    ]
  },
  "a5-13-10": {
    "number": "0x10",
    "title": "Sun position and radiation",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Day / Night",
            "shortcut": "D/N",
            "description": "Day / Night",
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Day"
                },
                {
                  "value": "1",
                  "description": "Night"
                }
              ]
            }
          },
          {
            "data": "Sun Elevation",
            "shortcut": "SNE",
            "description": "Sun Elevation (linear); <br/>91 - 127: reserved",
            "info": {},
            "bitoffs": "0",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "90"
            },
            "scale": {
              "min": "0",
              "max": "90"
            },
            "unit": "°"
          },
          {
            "data": "Sun Azimuth",
            "shortcut": "SNA",
            "description": "Sun Azimuth<br/>181 - 255: reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "180"
            },
            "scale": {
              "min": "-90",
              "max": "+90"
            },
            "unit": "°"
          },
          {
            "data": "Solar Radiation (MSB)",
            "shortcut": "SRA (MSB)",
            "description": "Solar Radiation (MSB)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "ref": "SRA (LSB)"
            },
            "scale": {
              "ref": "SRA (LSB)"
            },
            "unit": {
              "ref": "SRA (LSB)"
            }
          },
          {
            "data": "Solar Radiation (LSB)",
            "shortcut": "SRA (LSB)",
            "description": "Solar Radiation (LSB) (Linear); <br/>2001..2048: reserved",
            "info": {},
            "bitoffs": "29",
            "bitsize": "3",
            "range": {
              "min": "0",
              "max": "2000"
            },
            "scale": {
              "min": "0",
              "max": "2000"
            },
            "unit": "W/m2"
          },
          {
            "data": "Identifier",
            "shortcut": "ID",
            "description": "Identifier",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x7",
                "description": {}
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 115,
    "eep": "a5-13-10",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Environmental Applications",
    "func_number": "0x13",
    "submitter": [
      "NanoSense"
    ]
  },
  "a5-14-01": {
    "number": "0x01",
    "title": "Single Input Contact (Window/Door), Supply voltage monitor",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Ventilation, Lighting, Alarm",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);<br/>\n            251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "20"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "Contact",
            "shortcut": "CT",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Contact closed"
                },
                {
                  "value": "0b1",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 116,
    "eep": "a5-14-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-14-02": {
    "number": "0x02",
    "title": "Single Input Contact (Window/Door), Supply voltage monitor and Illumination",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Ventilation, Lighting, Alarm",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);\n                <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear);\n                <br/>251 – over range, 252 - 255 reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "12"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "Contact",
            "shortcut": "CT",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Contact closed"
                },
                {
                  "value": "0b1",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 117,
    "eep": "a5-14-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-14-03": {
    "number": "0x03",
    "title": "Single Input Contact (Window/Door), Supply voltage monitor and Vibration",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Ventilation，Lighting，Alarm ，Intrusion (breakage of glass),\n          Calling system",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);\n                <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "20"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "Vibration",
            "shortcut": "VIB",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "No vibration detected"
                },
                {
                  "value": "0b1",
                  "description": "Vibration detected"
                }
              ]
            }
          },
          {
            "data": "Contact",
            "shortcut": "CT",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Contact closed"
                },
                {
                  "value": "0b1",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 118,
    "eep": "a5-14-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-14-04": {
    "number": "0x04",
    "title": "Single Input Contact (Window/Door), Supply voltage monitor, Vibration and Illumination",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Ventilation，Lighting，Alarm ，Intrusion (breakage of glass), Calling system",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);\n                <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear);\n                <br/>251 – over range, 252 - 255 reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "12"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "data": "Vibration",
            "shortcut": "VIB",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "No vibration detected"
                },
                {
                  "value": "0b1",
                  "description": "Vibration detected"
                }
              ]
            }
          },
          {
            "data": "Contact",
            "shortcut": "CT",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Contact closed"
                },
                {
                  "value": "0b1",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 119,
    "eep": "a5-14-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-14-05": {
    "number": "0x05",
    "title": "Vibration/Tilt, Supply voltage monitor",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Intrusion (breakage of glass), Calling system",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);\n                <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "20"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "Vibration",
            "shortcut": "VIB",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "No vibration detected"
                },
                {
                  "value": "0b1",
                  "description": "Vibration detected"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 120,
    "eep": "a5-14-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-14-06": {
    "number": "0x06",
    "title": "Vibration/Tilt, Illumination and Supply voltage monitor",
    "status": "released",
    "description": "<br/><br/>\n          Purpose (eg): Intrusion (breakage of glass), Calling system",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage / super cap. (linear);\n                <br/>251 – 255 reserved for error code",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "5.0"
            },
            "unit": "V"
          },
          {
            "data": "Illumination",
            "shortcut": "ILL",
            "description": "Illumination (linear);\n                <br/>251 – over range, 252 - 255 reserved",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "1000"
            },
            "unit": "lx"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "12"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "Vibration",
            "shortcut": "VIB",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "No vibration detected"
                },
                {
                  "value": "0b1",
                  "description": "Vibration detected"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 121,
    "eep": "a5-14-06",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Multi-Func Sensor",
    "func_number": "0x14",
    "submitter": [
      "Lutuo Technology"
    ]
  },
  "a5-20-01": {
    "number": "0x01",
    "title": "Battery Powered Actuator",
    "status": "released",
    "description": "<br/><br/>\n          <br/>\n          DIRECTION-1 = Transmit mode: Message from the actuator to the controller\n          <br/>\n          DIRECTION-2 = Receive mode: Commands from the controller to the actuator;\n          max. reponse time 1 sec.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Current Value",
            "shortcut": "CV",
            "description": "Current value",
            "info": "actual value 0...100 %, linear n=0...100",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Service On",
            "shortcut": "SO",
            "description": "Service On",
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "on"
              }
            }
          },
          {
            "data": "Energy input enabled",
            "shortcut": "ENIE",
            "description": "Energy input enabled",
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Energy Storage",
            "shortcut": "ES",
            "description": "Energy storage sufficiently charged",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Battery capacity",
            "shortcut": "BCAP",
            "description": "Battery capacity; change battery next days",
            "info": {},
            "bitoffs": "11",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "true"
              }
            }
          },
          {
            "data": "Contact, cover open",
            "shortcut": "CCO",
            "description": "Contact, cover open",
            "info": {},
            "bitoffs": "12",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Failure temperature sensor, out off range",
            "shortcut": "FTS",
            "description": "Failure Temperature sensor, out off range",
            "info": {},
            "bitoffs": "13",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Detection, window open",
            "shortcut": "DWO",
            "description": "Detection, window open",
            "info": {},
            "bitoffs": "14",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Actuator obstructed",
            "shortcut": "ACO",
            "description": "Actuator obstructed",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "DB_1: Temperature 0...40°C, linear n=0...255 Min.=0 ; Max.=255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Valve position or Temperature Setpoint",
            "shortcut": "SP",
            "description": "Valve position or Temperature set point (linear); selection with DB1.2<br/><br/>Valve position 0…100% in combination with compatible classic controllers the actuator used DB_3;\n<br/><br/>Temperature set point: The actuator can be used as self-sufficient room controller (pi controller) without integration\nin automation systems. Wherever the user wants room conditions to be individually controlled, the actuator can work in combination with a wireless room device (RCU).",
            "info": "DB_3: Valve set point 0...100 %, linear n=0...100\n                Temperature set point 0...40°C, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100 or 255"
            },
            "scale": {
              "min": "0",
              "max": "100 or +40"
            },
            "unit": "% or °C"
          },
          {
            "data": "Temperature  from RCU",
            "shortcut": "TMP",
            "description": "Temperature actual from RCU = 0b0 (Room controller-unit), see DB1.0<br/><br/>Maintenance mode ('service on'): DB_2.BIT_5: energy memory sufficiently charged =1<br/><br/>DB_2.BIT_4: battery capacity changing battery in the next days, need changing batteries = 0<br/><br/>Status feedback signal (service on, DB_2.BIT_7",
            "info": {
              "br": [
                {},
                {}
              ]
            },
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Run init sequence",
            "shortcut": "RIN",
            "description": "The limit switching measures the travel and signals when an end position has been reached. This end position (valve zero point) in the actuator is stored.",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Lift set",
            "shortcut": "LFS",
            "description": "Initialization, adjustment to the valve stroke. The Initialization is switched after receiving the command. The valve is completely opened and closed during initialization.",
            "info": {},
            "bitoffs": "17",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Valve open / maintenance",
            "shortcut": "VO",
            "description": "After receiving an operation command, the actuator moves the valve in direction open or close.\nwhen reaching the end position, an automatic switch-off procedure is started. In service mode the valve\ncan be set to open or closed always.",
            "info": {},
            "bitoffs": "18",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Valve closed",
            "shortcut": "VC",
            "description": "valve closed",
            "info": {},
            "bitoffs": "19",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Summer bit, Reduction of energy consumption",
            "shortcut": "SB",
            "description": "The radio communication between the actuator and the controller is restricted, sleep mode is extended. This functionality can be used for battery powered actuators.",
            "info": {},
            "bitoffs": "20",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Set Point Selection",
            "shortcut": "SPS",
            "description": "Set Point Selection for DB3",
            "info": {},
            "bitoffs": "21",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Valve position (0-100%). Unit respond to controller."
                },
                {
                  "value": "1",
                  "description": "Temperature set point 0...40°C. Unit respond to room sensor and use internal PI loop."
                }
              ]
            }
          },
          {
            "data": "Set point inverse",
            "shortcut": "SPN",
            "description": "Valve set point can be sent to the actuator normal or inverted.\nThe selection is done by DB_1.Bit1. The implementation is done and is controlled in the actuator with DB_3. This function is used in dependence on the type of valve.",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Select function",
            "shortcut": "RCU",
            "description": "RCU or 'Service on': After transmitting the command to the actuator, it can be send from the controller or a\nservice device, the actuator sends a status feedback signal (service on, DB_2.BIT_7).",
            "info": {},
            "bitoffs": "23",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "RCU"
                },
                {
                  "value": "1",
                  "description": "service on"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 122,
    "eep": "a5-20-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Kieback + Peter GmbH"
    ]
  },
  "a5-20-02": {
    "number": "0x02",
    "title": "Basic Actuator",
    "status": "released",
    "description": "<br/><br/>\n            Basic Actuator can be used by any manufacturer for linear or rotary actuator.\n            <br/><br/>\n            DIRECTION-1 = Transmit mode: Message from the actuator to the controller.\n            <br/>\n            DIRECTION-2 = Receive mode: Commands from the controller to the actuator.\n            To use with a BAS/Gateway system; max. reponse time 1 sec.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "14"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Actual Value",
            "shortcut": "AV",
            "description": "Actual value (linear); can be a linear or rotation motion.",
            "info": "Transmit status (sent every time there is a positioning or randomly sent every 15-\n                  20 minutes if no change in position. “Heartbeat”)\n                  DB_3: % open value 0...100 %, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Set point inverse",
            "shortcut": "SPI",
            "description": "Set point inverse (Needs to be defined by manufacturer what zero(0) is equal to, and one(1) is equal to. Default state to be define as per product manufacturer",
            "info": "DB_1.BIT_1: Set point inverse. Needs to be defined by manufacturer what zero(0) is equal to, and\n                  one(1) is equal to.",
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "data": {},
            "shortcut": {},
            "description": {},
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "23",
            "bitsize": "5"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Valve Set point",
            "shortcut": "VSP",
            "description": "Valve set Point (linear)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Set point inverse",
            "shortcut": "VSP",
            "description": "'Set point inverse' needs to be defined by manufacturer what zero(0) is equal to, and one(1) is equal to. Default state to be define as per product manufacturer. It can send a command to invert functionality of the unit. In some instance some equipment might need 100% to represent fully extracted, in other fully retracted.",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 123,
    "eep": "a5-20-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Spartan Peripheral Devices"
    ]
  },
  "a5-20-03": {
    "number": "0x03",
    "title": "Line powered Actuator",
    "status": "released",
    "description": "<br/><br/>\n          DIRECTION-1 = Transmit mode: Message from the actuator to the controller.\n          <br/>\n          DIRECTION-2 = Receive mode: Commands from the controller to the actuator;\n          max. reponse time 1 sec.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Actual valve",
            "shortcut": "AV",
            "description": "Actual valve",
            "info": "Transmit status (sent every time there is a positioning or randomly sent every 15-\n                20 minutes if no change in position. “Heartbeat”)\n                DB_3: % open value 0...100 %, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "Receive: DB_1: Temperature 0-40 deg C. linear n=255…0",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "5"
          },
          {
            "reserved": {},
            "bitoffs": "23",
            "bitsize": "5"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "Set Point Inverse",
            "shortcut": {},
            "description": "Valve set point can be sent to the actuator normal or inverted through BAS/Gateway controller.\nThe selection is done by DB_1.Bit1. in the actuator with DB_3. This function is used in dependence on the\ntype of valve.",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "true"
              }
            }
          },
          {
            "data": "Set Point Selection",
            "shortcut": "SPS",
            "description": "Set Point Selection for DB3",
            "info": {},
            "bitoffs": "21",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Actuator Setpoint (0-100%); Unit respond to controller."
                },
                {
                  "value": "1",
                  "description": "Temperature Setpoint 0...+40°C; Unit respond to room sensor and use internal PI loop."
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Actuator or Temperature Setpoint",
            "shortcut": "ATS",
            "description": "Actuator Setpoint: in combination with BAS/Gateway controllers.<br/><br/>Temperature Setpoint: The actuator can be used as self-sufficient room controller (pi controller) without integration\nin automation systems. Wherever the user wants room conditions to be individually controlled,\nthe actuator can work in combination with a wireless room device (RCU).",
            "info": "DB_3: Valve set point 0...100 %, linear n=0...100\n                Temperature set point 0...40°C, linear n=0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100 or 255"
            },
            "scale": {
              "min": "0",
              "max": "100 or +40"
            },
            "unit": "% or °C"
          },
          {
            "data": "Temperature  from RCU",
            "shortcut": "TMPRC",
            "description": "Temperature actual from RCU = 0b0 (Room controller-unit)",
            "info": "Temperature actual from RCU = 0b0, Room controller-unit …\n                0...40°C, linear n=255...0",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      }
    ],
    "originalIndex": 124,
    "eep": "a5-20-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Spartan Peripheral Devices"
    ]
  },
  "a5-20-04": {
    "number": "0x04",
    "title": "Heating Radiator Valve Actuating Drive with Feed and Room Temperature Measurement, Local Set Point Control and Display",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>The following document describes the communication between a controller\n            and an intelligent heating radiator valve actuating drive with the following features:\n            <ul>\n            <li>Feed temperature measurement</li>\n            <br/>\n            <li>Room temperature measurement</li>\n            <br/>\n            <li>Current position feedback</li>\n            <br/>\n            <li>Display</li>\n            <br/>\n            <li>Button</li>\n            <br/>\n            <li>On device temperature set point selection</li>\n            <br/>\n            </ul>\n            In order to be able to process this information and control the actuator,\n            every command has been included in this document. Each customer can use\n            his own controller by implementing the EEP of this document.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: bidirectional\n            <br/>Addressing: unicast (ADT)\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: can be configured by the controller\n            <br/>Trigger event: a trigger event occurs when the button is pressed\n            or the local set point is used\n            <br/>Tx delay: 550 ms is the maximum response time for Smart-Ack Devices\n            and 1100 ms for devices which use the 4BS teach-in method\n            <br/>Rx timeout: just 1 message per wake-up cycle\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: Smart-Ack teach-in and 4BS teach-in Variation 3\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Telegram Description of Direction 1</span>\n            (Transmit mode / Message from the actuator to the controller)\n            <br/>\n            <br/>\n            This direction initializes the communication, shares the needed\n            data and waits for an answer from the controller.\n            This allows the device to work in deep sleep mode the rest of the time.\n            <br/>\n            <br/>Each message from the actuator contains the following information:\n            <ul>\n            <li>Current Position (CP)\n            <br/>The current position is a feedback value from the actuator.\n            It indicates the actual per cent position of the valve.\n            The value 0 % means that the valve is completely closed and 100 %\n            completely open. The controller can use this information for the room\n            temperature regulation.</li>\n            </ul>\n            <ul><li>Temperature Set Point OR Feed Temperature (FTS)*\n            <br/>\n            * This byte is shared by the Temperature Set Point and the Feed\n            Temperature value. Only one of these values is sent in the same message.\n            Which value is transmitted is indicated by DB0.1 (TS bit).\n            <br/>\n            The feed temperature is the water temperature in the radiator input,\n            which can be useful for implementing several features in the home\n            automation system.\n            <br/>\n            The temperature set point is only sent when the user specifies a new\n            room temperature by using the local temperature set point on the device.\n            </li></ul>\n            <ul><li>Room Temperature (TMP) OR Failure Code (FC)*\n            <br/>\n            * This byte is shared by the Room Temperature and Failure Code Value.\n            Only one of these values is sent in the same message.\n            The value transmitted is indicated by DB0.0 (FL).\n            By default it is the room temperature.\n            <br/>\n            The room temperature is the ambient temperature of the place in which\n            the device is used and is measured by the actuator.\n            This value is transmitted if no error occurred.\n            <br/>\n            The Failure Code is transmitted instead of the Room Temperature\n            if an error occurs.\n            </li></ul>\n            <ul><li>Measurement Status (MST)\n            <br/>\n            The temperature measurements (room and feed temperature) can be\n            deactivated in order to reduce the energy consumption.\n            This can be specified only by the controller i.e. to implement\n            summer mode or to replace the internal room temperature measurement\n            of the actuator by an external one.\n            </li></ul>\n            <ul><li>Status Request (SRT)\n            <br/>\n            The status request bit can be used to ask the controller about its\n            status. If the controller does not send back the correct reply, the\n            actuator will start its own room temperature regulation.\n            With this feature, a frozen actuator would not interrupt the room\n            temperature regulation.\n            </li></ul>\n            <ul><li>Teach-in Bit (LRNB)\n            <br/>\n            For establishing the radio link between the controller and the actuator,\n            a teachin message has to be sent from the actuator to the controller.\n            If the binary value 0 is transmitted, the message will be identified\n            as a teach-in one and will allow the controller to receive the\n            EnOcean-ID of the actuator.\n            </li></ul>\n            <ul><li>Button Lock Status (BLS)\n            <br/>\n            The button lock status can be set by the controller. This enables or\n            disables the manual room temperature selection. If locked, the manual\n            room temperature selection on the actuator will be disabled and the\n            user will be notified with a symbol on the display.\n            </li></ul>\n            <ul><li>Temperature Selection (TS)\n            <br/>\n            If the user specifies a temperature set point manually on the device,\n            this will be sent to the controller and indicated on the temperature\n            selection field (TS). It can indicate that the field FTS contains the\n            temperature set point (binary value = 1) or the feed temperature\n            (binary value = 0).\n            </li></ul>\n            <ul><li>Failure (FL)\n            <br/>\n            Indicates the occurrence of a failure. The room temperature value is\n            replaced by the failure code if the bit FL has the binary value 1.\n            </li></ul>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Telegram Description of Direction 2</span>\n            (Receive mode / Commands from the controller to the actuator)\n            <br/>\n            <br/>\n            The messages from the controller to the actuator are sent in this direction.\n            A message in this direction has to be sent after receiving a message from\n            the actuator, in order to achieve a successful communication.\n            If the controller message is not received by the actuator in a specific\n            time after a direction 1 message, no information will be received by\n            the actuator. The time that the actuator will wait for a reply is defined\n            by the Smart-Ack Teach-In process. For controllers which cannot use\n            Smart-Ack, the 4BS Teach-in Variation 3 has to be used, with a maximum\n            response time of 1100 ms.\n            <br/>\n            <br/>Each message from the controller contains the following information:\n            <ul><li>\n            Valve Position (POS)\n            <br/>\n            The valve position is a set point position for the valve.\n            It indicates the per cent position of the valve, which the actuator\n            has to reach. The value 0 % means that the valve is completely closed\n            and 100 % completely open. The controller should be able to regulate\n            the room temperature by adjusting this value.\n            </li></ul>\n            <ul><li>\n            Temperature Set Point (TSP)\n            <br/>\n            The controller can send the temperature set point to the actuator in\n            order to allow the user to see the actual specified temperature in\n            the device display. This value does not affect room temperature regulation.\n            </li></ul>\n            <ul><li>\n            Measurement Control (MC)\n            <br/>\n            The temperature measurements (room and feed temperature) can be\n            deactivated in order to reduce energy consumption. This can be specified\n            only by the controller i.e. to implement summer mode or to replace\n            the internal room temperature measurement by the device with an\n            external one. The measurement control bit enables the controller to\n            activate or deactivate the measurements.\n            </li></ul>\n            <ul><li>\n            Wake-up Cycle (WUC)\n            <br/>\n            To save energy, the actuator works in deep sleep mode the most of the\n            time. Nevertheless it has to wake up to communicate with the controller\n            and to reach the valve position specified by the controller.\n            The longer the actuator remains in deep sleep mode, the more energy\n            efficient will be your batteries. If fast response is required, the\n            actuator has to communicate more frequently with the controller and\n            that is why it should use a shorter wake-up cycle. If a fast room\n            temperature control is not required, the wake-up cycle should be set\n            by the controller as long as possible.\n            </li></ul>\n            <ul><li>\n            Display Orientation (DSO)\n            <br/>\n            The heater valves can be installed in different directions.\n            That is why it can be useful to have the option to choose the fitting\n            display orientation. This feature makes reading the display easier.\n            </li></ul>\n            <ul><li>\n            Teach-in Bit (LRNB)\n            <br/>\n            For establishing a radio link between the controller and the actuator,\n            a teach-in telegram has to be sent from the controller to the actuator.\n            If the binary value 0 is transmitted, the message will be identified\n            as a teach-in one and will allow the device to receive the EnOcean-ID\n            from the controller.\n            </li></ul>\n            <ul><li>\n            Button Lock Control (BLS)\n            <br/>\n            The button lock status can be set by the controller. This enables or\n            disables the manual room temperature selection. If locked, the manual\n            room temperature selection on the actuator will be disabled and the\n            user will be notified with a symbol on the display.\n            </li></ul>\n            <ul><li>\n            Service Command (SER)\n            <br/>\n            In order to adapt the actuator to a new valve, the controller can\n            order the execution of some functions of the actuator:\n            <br/>\n            - run initialisation: This function has to be executed for adapting\n            the actuator to the length of the valve stroke.\n            <br/>\n            - open valve: To facilitate the installation or maintenance of the\n            valve, the actuator can open the valve completely.\n            After completely opening the valve it is necessary to run the initialisation.\n            <br/>\n            - close valve: Completely close the valve.\n            </li></ul>",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "26",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Current Position",
            "shortcut": "CP",
            "description": "Current valve position",
            "info": "",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Feed Temperature OR Temperature Set Point",
            "shortcut": "FTS",
            "description": "Either current feed temperature value or temperature\n              set point (defined by DB0.1)",
            "info": "",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "20 .. 80",
              "max": "10 .. 30"
            },
            "unit": "°C"
          },
          {
            "data": "Room Temperature OR Failure Code",
            "shortcut": "TMPFC",
            "description": "Current room temperature value (10...30°C) OR Failure Code (Enum)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "255",
                  "scale": {
                    "min": "10",
                    "max": "30"
                  },
                  "unit": "°C"
                },
                {
                  "value": "00 ... 16",
                  "description": "Reserved"
                },
                {
                  "value": "17",
                  "description": "Measurement error"
                },
                {
                  "value": "18",
                  "description": "Battery empty"
                },
                {
                  "value": "19",
                  "description": "Reserved"
                },
                {
                  "value": "20",
                  "description": "Frost protection"
                },
                {
                  "value": "21 ... 32",
                  "description": "Reserved"
                },
                {
                  "value": "33",
                  "description": "Blocked valve"
                },
                {
                  "value": "34 ... 35",
                  "description": "Reserved"
                },
                {
                  "value": "36",
                  "description": "End point detection error"
                },
                {
                  "value": "37 ... 39",
                  "description": "Reserved"
                },
                {
                  "value": "40",
                  "description": "No valve"
                },
                {
                  "value": "41 ... 48",
                  "description": "Reserved"
                },
                {
                  "value": "49",
                  "description": "Not taught in"
                },
                {
                  "value": "50 ... 52",
                  "description": "Reserved"
                },
                {
                  "value": "53",
                  "description": "No response from controller"
                },
                {
                  "value": "54",
                  "description": "Teach-in error"
                },
                {
                  "value": "55 ... 255",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Measurement Status",
            "shortcut": "MST",
            "description": "Shows if the temperature measurement (feed temperature\n              and room temperature) is active",
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Active"
                },
                {
                  "value": "1",
                  "description": "Inactive"
                }
              ]
            }
          },
          {
            "data": "Status Request",
            "shortcut": "STR",
            "description": "Request for status from the controller",
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No change"
                },
                {
                  "value": "1",
                  "description": "Status requested"
                }
              ]
            }
          },
          {
            "data": "Button Lock Status",
            "shortcut": "BLS",
            "description": "Shows if all buttons on the actuator are locked",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Unlocked"
                },
                {
                  "value": "1",
                  "description": "Locked"
                }
              ]
            }
          },
          {
            "data": "Temperature Selection",
            "shortcut": "TS",
            "description": "Defines which temperature value is transmitted in DB2",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Feed temperature"
                },
                {
                  "value": "1",
                  "description": "Temperature set point"
                }
              ]
            }
          },
          {
            "data": "Failure",
            "shortcut": "FL",
            "description": "A failure occurred, see DB1.7-DB1.0 for Failure Code",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No failure (TMP is transmitted)"
                },
                {
                  "value": "1",
                  "description": "failure (FC is transmitted)"
                }
              ]
            }
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "2"
          },
          {
            "data": "Valve Position",
            "shortcut": "POS",
            "description": "Valve position",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature Set Point",
            "shortcut": "TSP",
            "description": "Temperature set point",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "10",
              "max": "30"
            },
            "unit": "°C"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Measurement Control",
            "shortcut": "MC",
            "description": "Control the temperature measurement (feed temperature\n              + room temperature)",
            "bitoffs": "17",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Enable"
                },
                {
                  "value": "1",
                  "description": "Disable"
                }
              ]
            }
          },
          {
            "data": "Wake-up Cycle",
            "shortcut": "WUC",
            "description": "Defines the cyclic wake-up time",
            "bitoffs": "18",
            "bitsize": "6",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "10 sec"
                },
                {
                  "value": "1",
                  "description": "60 sec"
                },
                {
                  "value": "2",
                  "description": "90 sec"
                },
                {
                  "value": "3",
                  "description": "120 sec"
                },
                {
                  "value": "4",
                  "description": "150 sec"
                },
                {
                  "value": "5",
                  "description": "180 sec"
                },
                {
                  "value": "6",
                  "description": "210 sec"
                },
                {
                  "value": "7",
                  "description": "240 sec"
                },
                {
                  "value": "8",
                  "description": "270 sec"
                },
                {
                  "value": "9",
                  "description": "300 sec (5 min)"
                },
                {
                  "value": "10",
                  "description": "330 sec"
                },
                {
                  "value": "11",
                  "description": "360 sec"
                },
                {
                  "value": "12",
                  "description": "390 sec"
                },
                {
                  "value": "13",
                  "description": "420 sec"
                },
                {
                  "value": "14",
                  "description": "450 sec"
                },
                {
                  "value": "15",
                  "description": "480 sec"
                },
                {
                  "value": "16",
                  "description": "510 sec"
                },
                {
                  "value": "17",
                  "description": "540 sec"
                },
                {
                  "value": "18",
                  "description": "570 sec"
                },
                {
                  "value": "19",
                  "description": "600 sec (10 min)"
                },
                {
                  "value": "20",
                  "description": "630 sec"
                },
                {
                  "value": "21",
                  "description": "660 sec"
                },
                {
                  "value": "22",
                  "description": "690 sec"
                },
                {
                  "value": "23",
                  "description": "720 sec"
                },
                {
                  "value": "24",
                  "description": "750 sec"
                },
                {
                  "value": "25",
                  "description": "780 sec"
                },
                {
                  "value": "26",
                  "description": "810 sec"
                },
                {
                  "value": "27",
                  "description": "840 sec"
                },
                {
                  "value": "28",
                  "description": "870 sec"
                },
                {
                  "value": "29",
                  "description": "900 sec (15 min)"
                },
                {
                  "value": "30",
                  "description": "930 sec"
                },
                {
                  "value": "31",
                  "description": "960 sec"
                },
                {
                  "value": "32",
                  "description": "990 sec"
                },
                {
                  "value": "33",
                  "description": "1020 sec"
                },
                {
                  "value": "34",
                  "description": "1050 sec"
                },
                {
                  "value": "35",
                  "description": "1080 sec"
                },
                {
                  "value": "36",
                  "description": "1110 sec"
                },
                {
                  "value": "37",
                  "description": "1140 sec"
                },
                {
                  "value": "38",
                  "description": "1170 sec"
                },
                {
                  "value": "39",
                  "description": "1200 sec (20 min)"
                },
                {
                  "value": "40",
                  "description": "1230 sec"
                },
                {
                  "value": "41",
                  "description": "1260 sec"
                },
                {
                  "value": "42",
                  "description": "1290 sec"
                },
                {
                  "value": "43",
                  "description": "1320 sec"
                },
                {
                  "value": "44",
                  "description": "1350 sec"
                },
                {
                  "value": "45",
                  "description": "1380 sec"
                },
                {
                  "value": "46",
                  "description": "1410 sec"
                },
                {
                  "value": "47",
                  "description": "1440 sec"
                },
                {
                  "value": "48",
                  "description": "1470 sec"
                },
                {
                  "value": "49",
                  "description": "1500 sec (25 min)"
                },
                {
                  "value": "50",
                  "description": "3 hrs"
                },
                {
                  "value": "51",
                  "description": "6 hrs"
                },
                {
                  "value": "52",
                  "description": "9 hrs"
                },
                {
                  "value": "53",
                  "description": "12 hrs"
                },
                {
                  "value": "54",
                  "description": "15 hrs"
                },
                {
                  "value": "55",
                  "description": "18 hrs"
                },
                {
                  "value": "56",
                  "description": "21 hrs"
                },
                {
                  "value": "57",
                  "description": "24 hrs"
                },
                {
                  "value": "58",
                  "description": "27 hrs"
                },
                {
                  "value": "59",
                  "description": "30 hrs"
                },
                {
                  "value": "60",
                  "description": "33 hrs"
                },
                {
                  "value": "61",
                  "description": "36 hrs"
                },
                {
                  "value": "62",
                  "description": "39 hrs"
                },
                {
                  "value": "63",
                  "description": "42 hrs (max)"
                }
              ]
            }
          },
          {
            "data": "Display Orientation",
            "shortcut": "DSO",
            "description": "Adjusts the display orientation",
            "bitoffs": "26",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "0°"
                },
                {
                  "value": "1",
                  "description": "90°"
                },
                {
                  "value": "2",
                  "description": "180°"
                },
                {
                  "value": "3",
                  "description": "270°"
                }
              ]
            }
          },
          {
            "data": "Button Lock Control",
            "shortcut": "BLC",
            "description": "Set the button lock status",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Unlocked"
                },
                {
                  "value": "1",
                  "description": "Locked"
                }
              ]
            }
          },
          {
            "data": "Service Command",
            "shortcut": "SER",
            "description": "Initiates certain temporary service operations",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No change"
                },
                {
                  "value": "1",
                  "description": "Open valve"
                },
                {
                  "value": "2",
                  "description": "Run initialisation"
                },
                {
                  "value": "3",
                  "description": "Close valve"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 125,
    "eep": "a5-20-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Holter Regelarmaturen GmbH & Co. KG"
    ]
  },
  "a5-20-10": {
    "number": "0x10",
    "title": "Generic HVAC Interface",
    "status": "released",
    "description": "<br/><br/>\n          Functions: Mode, Vane Position, Fan Speed, Sensors and On/Off: With this\n          EEP plus the already existing EEP A5-10-03 and A5-20-11 all the information of AC\n          indoor unit can be sent and received allowing a much easier and complete control\n          of these units.\n          <br/>\n          <br/>\n          DIRECTION-1 = Receive mode: Commands received by the HVAC interface.\n          <br/>\n          DIRECTION-2 = Transmit mode: Commands sent by the HVAC interface.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Mode",
            "shortcut": "MD",
            "description": "The modes are the same as in KNX and LON allowing a more transparent integration with this protocols\nand it has plenty of free positions for future expansion",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Heat"
                },
                {
                  "value": "2",
                  "description": "Morning Warmup"
                },
                {
                  "value": "3",
                  "description": "Cool"
                },
                {
                  "value": "4",
                  "description": "Night Purge"
                },
                {
                  "value": "5",
                  "description": "Precool"
                },
                {
                  "value": "6",
                  "description": "Off"
                },
                {
                  "value": "7",
                  "description": "Test"
                },
                {
                  "value": "8",
                  "description": "Emergency Heat"
                },
                {
                  "value": "9",
                  "description": "Fan only"
                },
                {
                  "value": "10",
                  "description": "Free cool"
                },
                {
                  "value": "11",
                  "description": "Ice"
                },
                {
                  "value": "12",
                  "description": "Max heat"
                },
                {
                  "value": "13",
                  "description": "Economic heat/cool"
                },
                {
                  "value": "14",
                  "description": "Dehumidification (dry)"
                },
                {
                  "value": "15",
                  "description": "Calibration"
                },
                {
                  "value": "16",
                  "description": "Emergency cool"
                },
                {
                  "value": "17",
                  "description": "Emergency steam"
                },
                {
                  "value": "18",
                  "description": "max cool"
                },
                {
                  "value": "19",
                  "description": "Hvc load"
                },
                {
                  "value": "20",
                  "description": "no load"
                },
                {
                  "min": "21",
                  "max": "30",
                  "description": "reserved"
                },
                {
                  "value": "31",
                  "description": "Auto Heat"
                },
                {
                  "value": "32",
                  "description": "Auto Cool"
                },
                {
                  "min": "33",
                  "max": "254",
                  "description": "reserved"
                },
                {
                  "value": "255",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Vane position",
            "shortcut": "VPS",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Horizontal"
                },
                {
                  "value": "2",
                  "description": "Pos2"
                },
                {
                  "value": "3",
                  "description": "Pos3"
                },
                {
                  "value": "4",
                  "description": "Pos4"
                },
                {
                  "value": "5",
                  "description": "Vertical"
                },
                {
                  "value": "6",
                  "description": "Swing"
                },
                {
                  "min": "7",
                  "max": "10",
                  "description": "Reserved"
                },
                {
                  "value": "11",
                  "description": "Vertical swing"
                },
                {
                  "value": "12",
                  "description": "Horizontal swing"
                },
                {
                  "value": "13",
                  "description": "Horizontal and vertical swing"
                },
                {
                  "value": "14",
                  "description": "Stop swing"
                },
                {
                  "value": "15",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Fan Speed",
            "shortcut": "FANSP",
            "description": "fan speed value goes from 1 to 14. 1 is the lowest fan speed allowed by the AC and from there it\nincrements with the value of this variable. Typically AC units have up to 5-6 speeds. Any speed higher than\nthe maximum the AC allows would set it to the higher speed.\n0 is auto and 15 is N/A",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "min": "1",
                  "max": "14",
                  "description": "Up to 14 fan speeds being 1 the lowest"
                },
                {
                  "value": "15",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Control variable",
            "shortcut": "CVAR",
            "description": "Control variable; value 255 = auto",
            "info": "DB_1 Control variable 0… 100% 0...100, 255 = Auto",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100, 255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Room occupancy",
            "shortcut": "RO",
            "description": "The interfaces can automatically control the behaviour of the AC without integration in automation\nsystems when linked to presence/movement sensors.",
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupied"
                },
                {
                  "value": "1",
                  "description": "StandBy (waiting to perform action)"
                },
                {
                  "value": "2",
                  "description": "Unoccupied (action performed)"
                },
                {
                  "value": "3",
                  "description": "Off (no occupancy and no action)"
                }
              ]
            }
          },
          {
            "data": "On/Off",
            "shortcut": "O/I",
            "description": "On/Off",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "off (the unit is not running)"
                },
                {
                  "value": "1",
                  "description": "on"
                }
              ]
            }
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Mode",
            "shortcut": "MD",
            "description": "The modes are the same as in KNX and LON allowing a more transparent integration with this protocols\nand it has plenty of free positions for future expansion",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Heat"
                },
                {
                  "value": "2",
                  "description": "Morning Warmup"
                },
                {
                  "value": "3",
                  "description": "Cool"
                },
                {
                  "value": "4",
                  "description": "Night Purge"
                },
                {
                  "value": "5",
                  "description": "Precool"
                },
                {
                  "value": "6",
                  "description": "Off"
                },
                {
                  "value": "7",
                  "description": "Test"
                },
                {
                  "value": "8",
                  "description": "Emergency Heat"
                },
                {
                  "value": "9",
                  "description": "Fan only"
                },
                {
                  "value": "10",
                  "description": "Free cool"
                },
                {
                  "value": "11",
                  "description": "Ice"
                },
                {
                  "value": "12",
                  "description": "Max heat"
                },
                {
                  "value": "13",
                  "description": "Economic heat/cool"
                },
                {
                  "value": "14",
                  "description": "Dehumidification (dry)"
                },
                {
                  "value": "15",
                  "description": "Calibration"
                },
                {
                  "value": "16",
                  "description": "Emergency cool"
                },
                {
                  "value": "17",
                  "description": "Emergency steam"
                },
                {
                  "value": "18",
                  "description": "max cool"
                },
                {
                  "value": "19",
                  "description": "Hvc load"
                },
                {
                  "value": "20",
                  "description": "no load"
                },
                {
                  "min": "21",
                  "max": "30",
                  "description": "reserved"
                },
                {
                  "value": "31",
                  "description": "Auto Heat"
                },
                {
                  "value": "32",
                  "description": "Auto Cool"
                },
                {
                  "min": "33",
                  "max": "254",
                  "description": "reserved"
                },
                {
                  "value": "255",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Vane position",
            "shortcut": "VPS",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Horizontal"
                },
                {
                  "value": "2",
                  "description": "Pos2"
                },
                {
                  "value": "3",
                  "description": "Pos3"
                },
                {
                  "value": "4",
                  "description": "Pos4"
                },
                {
                  "value": "5",
                  "description": "Vertical"
                },
                {
                  "value": "6",
                  "description": "Swing"
                },
                {
                  "min": "7",
                  "max": "10",
                  "description": "Reserved"
                },
                {
                  "value": "11",
                  "description": "Vertical swing"
                },
                {
                  "value": "12",
                  "description": "Horizontal swing"
                },
                {
                  "value": "13",
                  "description": "Horizontal and vertical swing"
                },
                {
                  "value": "14",
                  "description": "Stop swing"
                },
                {
                  "value": "15",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Fan Speed",
            "shortcut": "FANSP",
            "description": "fan speed value goes from 1 to 14. 1 is the lowest fan speed allowed by the AC and from there it\nincrements with the value of this variable. Typically AC units have up to 5-6 speeds. Any speed higher than\nthe maximum the AC allows would set it to the higher speed.\n0 is auto and 15 is N/A",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "min": "1",
                  "max": "14",
                  "description": "Up to 14 fan speeds being 1 the lowest"
                },
                {
                  "value": "15",
                  "description": "N/A"
                }
              ]
            }
          },
          {
            "data": "Control variable",
            "shortcut": "CVAR",
            "description": "Control variable (linear); value 255 = auto",
            "info": "DB_1 Control variable 0… 100% 0...100, 255 = Auto",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "100, 255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Room occupancy",
            "shortcut": "RO",
            "description": "Room occupancy",
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupied"
                },
                {
                  "value": "1",
                  "description": "StandBy (waiting to perform action)"
                },
                {
                  "value": "2",
                  "description": "Unoccupied (action performed)"
                },
                {
                  "value": "3",
                  "description": "Off (no occupancy and no action)"
                }
              ]
            }
          },
          {
            "data": "On/Off",
            "shortcut": "O/I",
            "description": "On/Off",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "off"
                },
                {
                  "value": "1",
                  "description": "on"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 126,
    "eep": "a5-20-10",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Intesis Software SL"
    ]
  },
  "a5-20-11": {
    "number": "0x11",
    "title": "Generic HVAC Interface – Error Control",
    "status": "released",
    "description": "<br/><br/>\n          Error Control: AC Error Code, Error States and Disablements. With this\n          EEP plus the already existing EEP A5-10-03 and A5-20-10 all the information of AC indoor\n          unit can be sent and received allowing a much easier and complete control of these units.\n          <br/>\n          <br/>\n          DIRECTION-1 = Receive mode: Commands received by the HVAC interface.\n          <br/>\n          DIRECTION-2 = Transmit mode: Commands sent by the HVAC interface.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "23"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "Disable remote controller",
            "shortcut": "DRC",
            "description": "Disable remote controller<br/>(When in receive mode it controls if the interface overwrites the remote controller commands.)",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Enable Remote controller"
                },
                {
                  "value": "1",
                  "description": "Disable Remote controller"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "31",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "External disablement",
            "shortcut": "EXDS",
            "description": "External disablement",
            "info": {},
            "bitoffs": "23",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not disabled"
                },
                {
                  "value": "1",
                  "description": "Disabled"
                }
              ]
            }
          },
          {
            "data": "Window contact",
            "shortcut": "WC",
            "description": "Window contact",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Windows opened"
                },
                {
                  "value": "1",
                  "description": "Windows closed"
                }
              ]
            }
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "Remote controller Disablement",
            "shortcut": "RCD",
            "description": "Remote controller Disablement<br/>(In transmit it sends the status of this parameter. If the manufacturer doesn't support this option, it will send allways 0, no matter what it receives.)",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Remote controller enabled"
                },
                {
                  "value": "1",
                  "description": "Remote controller disabled"
                }
              ]
            }
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Error Code",
            "shortcut": "ERR",
            "description": "Error Code (DB3 HI,DB2 LO); generated by A.C.",
            "info": {},
            "bitoffs": "0",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "scale": {
              "min": "0",
              "max": "65535"
            },
            "unit": "N/A"
          },
          {
            "data": "Reserved",
            "shortcut": "RES",
            "description": "Reserved (0b0000)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": {},
                "description": "Reserved"
              }
            }
          },
          {
            "data": "Other disablement",
            "shortcut": "OD",
            "description": "Manufacturer defined. It is just to provide an extra “disablement signal” that could be used for other\ndevices. People would not have to change anything then as this is already an established “signal”",
            "info": {},
            "bitoffs": "20",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not disabled"
                },
                {
                  "value": "1",
                  "description": "Disabled"
                }
              ]
            }
          },
          {
            "data": "Window contact disablement",
            "shortcut": "WCD",
            "description": "Window contact disablement",
            "info": {},
            "bitoffs": "21",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not disabled"
                },
                {
                  "value": "1",
                  "description": "Disabled"
                }
              ]
            }
          },
          {
            "data": "Key card disablement",
            "shortcut": "KCD",
            "description": "Key carddisablement",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not disabled"
                },
                {
                  "value": "1",
                  "description": "Disabled"
                }
              ]
            }
          },
          {
            "data": "External disablement",
            "shortcut": "ED",
            "description": "External disablement",
            "info": {},
            "bitoffs": "23",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not disabled"
                },
                {
                  "value": "1",
                  "description": "Disabled"
                }
              ]
            }
          },
          {
            "data": "Window contact",
            "shortcut": "WC",
            "description": "Window contact",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Windows opened"
                },
                {
                  "value": "1",
                  "description": "Windows closed"
                }
              ]
            }
          },
          {
            "data": "Alarm State",
            "shortcut": "AS",
            "description": "Alarm State",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ok"
                },
                {
                  "value": "1",
                  "description": "Error"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 127,
    "eep": "a5-20-11",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Intesis Software SL"
    ]
  },
  "a5-20-12": {
    "number": "0x12",
    "title": "Temperature Controller Input",
    "status": "released",
    "description": "",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Control Variable override",
            "shortcut": "CV",
            "description": "Actual value for controller",
            "info": "DB_3: Control variable … 100 % 0...255",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "FanStage override",
            "shortcut": "FANOR",
            "description": "FanStage override",
            "info": "",
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Stage 0"
                },
                {
                  "value": "1",
                  "description": "Stage 1"
                },
                {
                  "value": "2",
                  "description": "Stage 2"
                },
                {
                  "value": "3",
                  "description": "Stage 3"
                },
                {
                  "value": "31",
                  "description": "auto"
                },
                {
                  "value": "255",
                  "description": "not available"
                }
              ]
            }
          },
          {
            "data": "Setpoint shift",
            "shortcut": "SPS",
            "description": "Actual set point could be shifted",
            "info": "DB_1: 10K…\n              0… +10K 0…\n              128… 255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-10",
              "max": "+10"
            },
            "unit": "°K"
          },
          {
            "data": "Fan override",
            "shortcut": "FANOR",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Automatic"
                },
                {
                  "value": "1",
                  "description": "Override Fan DB2"
                }
              ]
            }
          },
          {
            "data": "Controller mode",
            "shortcut": "CTM",
            "description": {},
            "info": {},
            "bitoffs": "25",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto mode"
                },
                {
                  "value": "1",
                  "description": "Heating"
                },
                {
                  "value": "2",
                  "description": "Cooling"
                },
                {
                  "value": "3",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Controller state",
            "shortcut": "CST",
            "description": "Controller state",
            "info": "Controller state",
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Automatic"
                },
                {
                  "value": "1",
                  "description": "Override control variable DB3"
                }
              ]
            }
          },
          {
            "data": "Energy hold-off / Dew point",
            "shortcut": "ERH",
            "description": "Energy hold-off / Dew point",
            "info": "Energy hold-off / Dew point",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal"
                },
                {
                  "value": "1",
                  "description": "Energy hold-off/ Dew point"
                }
              ]
            }
          },
          {
            "data": "Room occupancy",
            "shortcut": "RO",
            "description": "Actual room occupancy",
            "info": "Room occupancy",
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupied"
                },
                {
                  "value": "1",
                  "description": "Unoccupied"
                },
                {
                  "value": "2",
                  "description": "StandBy"
                },
                {
                  "value": "3",
                  "description": "Frost"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 128,
    "eep": "a5-20-12",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "HVAC Components",
    "func_number": "0x20",
    "submitter": [
      "Thermokon Sensortechnik GmbH"
    ]
  },
  "a5-30-01": {
    "number": "0x01",
    "title": "Single Input Contact, Battery Monitor",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "SVC",
            "description": "Supply voltage (linear)",
            "info": "DB_2: Supply voltage",
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "120",
                  "description": "Battery LOW"
                },
                {
                  "min": "121",
                  "max": "255",
                  "description": "Battery OK"
                }
              ]
            }
          },
          {
            "data": "Input State",
            "shortcut": "IPS",
            "description": "Input State",
            "info": "DB_1: Input State",
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "195",
                  "description": "Contact closed"
                },
                {
                  "min": "196",
                  "max": "255",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 129,
    "eep": "a5-30-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Digital Input",
    "func_number": "0x30",
    "description": "",
    "submitter": []
  },
  "a5-30-02": {
    "number": "0x02",
    "title": "Single Input Contact",
    "status": "released",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "28"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "2"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Input State",
            "shortcut": "IPS",
            "description": "Input State",
            "info": "DB_0.0: Input State",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Contact closed"
                },
                {
                  "value": "1",
                  "description": "Contact open"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 130,
    "eep": "a5-30-02",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Digital Input",
    "func_number": "0x30",
    "description": "",
    "submitter": []
  },
  "a5-30-03": {
    "number": "0x03",
    "title": "4 Digital Inputs, Wake and Temperature",
    "status": "released",
    "description": "\n            <br/><br/>\n            Description:<br/>\n            This is used for universal modules with 4 digital inputs and a room temperature.\n            The wake input signal of the device is provided to show the telegram transmission trigger.\n            The application meaning and exact data interpretation of the digital channels depends on the end application and is not defined in this profile documentation.\n            <br/><br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>\n            Direction: unidirectional<br/>\n            Addressing: broadcast<br/>\n            Communication trigger: event- & time-triggered<br/>\n            Trigger event: wake event – application dependent<br/>\n            Teach-in method: 4BS teach-in 2\n            <br/><br/>\n            Appendix:<br/>\n            D1.4 – The Status of Wake signalizes the status of the WAKE PIN which has a special\n            meaning in an ultra low application. Usually, by a status change of this input the module\n            is triggered to perform a predefined operation.<br/><br/>\n            Applications using this profile:<br/>\n            <ul>\n            <li> water sensor conductive – Wake Status = 0 (water detected) </li>\n            <li> pressure gauge with minimum or maximum (wake signal, configurable if min or max) </li>\n            <li> indication and individual switching points (digital channels show different areas) </li>\n            </ul>",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear)",
            "info": "Temperature (linear)",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "255",
              "max": "0"
            },
            "scale": {
              "min": "0",
              "max": "40"
            },
            "unit": "°C"
          },
          {
            "data": "Status of Wake",
            "shortcut": "WA0",
            "description": "Value of wake signal",
            "info": "Status of Wake",
            "bitoffs": "19",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 3",
            "shortcut": "DI3",
            "description": "Digital Input 3",
            "info": "Digital Input 3",
            "bitoffs": "20",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 2",
            "shortcut": "DI2",
            "description": "Digital Input 2",
            "info": "Digital Input 2",
            "bitoffs": "21",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 1",
            "shortcut": "DI1",
            "description": "Digital Input 1",
            "info": "Digital Input 1",
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 0",
            "shortcut": "DI0",
            "description": "Digital Input 0",
            "info": "Digital Input 0",
            "bitoffs": "23",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 131,
    "eep": "a5-30-03",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Digital Input",
    "func_number": "0x30",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  },
  "a5-30-04": {
    "number": "0x04",
    "title": "3 Digital Inputs, 1 Digital Input 8 Bits",
    "status": "released",
    "description": "\n            <br/>\n            <br/>Description:\n            <br/>This profile is used for universal module with 1 analog input (= 8 bits resolution digital) and 3 digital inputs.\n            The application meaning and exact data interpretation of the input channels depends on the\n            end application and is not defined in this profile documentation.\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Trigger event: values have changed\n            <br/>Teach-in method: 4BS teach-in 2",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "16"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Digital value-input",
            "shortcut": "DV0",
            "description": "Digital value 1 byte",
            "info": "Digital value-input",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Digital Input 2",
            "shortcut": "DI2",
            "description": "Measured digital Input 2",
            "info": "Digital Input 2",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 1",
            "shortcut": "DI1",
            "description": "Measured digital Input 1",
            "info": "Digital Input 1",
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          },
          {
            "data": "Digital Input 0",
            "shortcut": "DI0",
            "description": "Measured digital Input 0",
            "info": "Digital Input 0",
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Low"
                },
                {
                  "value": "1",
                  "description": "High"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 132,
    "eep": "a5-30-04",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Digital Input",
    "func_number": "0x30",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  },
  "a5-30-05": {
    "number": "0x05",
    "title": "Single Input Contact, Retransmission, Battery Monitor",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: unidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval:\n            <br/>- retransmission: 5 ... 255 seconds (one time configuration)\n            <br/>- number of retransmission times: 0 ... 127 times (one time configuration)\n            <br/>- heartbeat: 60 ... 65535 seconds (one time configuration)\n            <br/>Trigger event: digital input, retransmission, heartbeat\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: 4BS teach-in 2\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Supply voltage",
            "shortcut": "VDD",
            "description": "Supply voltage",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "3.3"
            },
            "unit": "V"
          },
          {
            "data": "Signal type",
            "shortcut": "ST",
            "description": "Signal type",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal signal"
                },
                {
                  "value": "1",
                  "description": "Heart beat signal"
                }
              ]
            }
          },
          {
            "data": "Index of Signals",
            "shortcut": "IOS",
            "description": "Ordinal count",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "enum": {
              "item": {
                "min": "0",
                "max": "127",
                "description": "Increment a counter by new telegram"
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 133,
    "eep": "a5-30-05",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Digital Input",
    "func_number": "0x30",
    "submitter": [
      "ITEC"
    ]
  },
  "a5-37-01": {
    "number": "0x01",
    "title": "Demand Response",
    "status": "released",
    "description": "<br/><br/>\n          Purpose of EEP:<br/>\nDemand Response is a developing standard to allow utility\ncompanies to send requests for reduction in power consumption\nduring peak usage times. It is also used as a means to allow users\nto reduce overall power consumption as energy prices increase.\nHaving an EEP for this will allow ease of integration with\nEnOcean products to this standard. The EEP was designed with a\nvery flexible setting for the level (0-15) as well as a default level\nwhereby the transmitter can specify a specific level for all\ncontrollers to use (0-100% of either maximum or current power\noutput, depending on the load type). This EEP also includes a\ntimeout setting to indicate how long the DR event should last if the\nDR transmitting device does not send heartbeats or subsequent\nnew DR levels.\n<br/>\n<br/>\nDescription:\n<br/>\nThis EEP is included under a new function of Energy\nManagement. Additional types could be added in future for power,\nvoltage, and current data. The proposed EEP type 01 only deals\nwith demand response activation at this point.\nData Byte 3 is the default DR value for devices that\nimplement a control algorithm that uses a set-point. It will be used\nfor any controllers not supporting the current DR Level in the\nmessage and having an adjustable set-point.\n<br/>\n<br/>\nData Byte 2 is the default DR Level for any controllers not\nsupporting the current DR Level in the message and having an\nadjustable control. It can be defined as either a percentage of the\nmaximum power or a percentage of the current power, depending\non the value of bit 7 in Data Byte 2. Bits 0 through 6 contain the\npercentage of power (either relative or absolute) that should be\nused. A value of 0 corresponds to 0% and a value of 100\ncorresponds to 100%. Any value higher that n100 should be\ninterpreted as 100%. For example, if the current DR level is not\nsupported by the controller and Data Byte 2 bit 7 is 0 and Data\nByte 2 bits 0 through 6 are set to 55, then the controller should try\nto use 55% of its maximum power usage. In the case of a lighting\nload with 0-10V dimming, this would correspond to 5.5V on the\ndimming line. In the case of a heating controller with a maximum\nset back of 5 degrees C, this would correspond to a set back of 2.75\ndegrees C (this would most likely be rounded to 3).\n<br/>\n<br/>\nData Byte 1 is the timeout for this DR event. After this\ncommand is sent the controller will stay at the DR level for Data\nByte 1 multiplied by 15 minutes. Once this time has elapsed the\ncontroller will return to normal operation. If Data Byte 1 is 0 then\nthe controller will remain in the DR event until the next DR\ncommand is received. This timeout allows DR devices to leave or\nturn off after setting controllers into a DR state, thus the DR\ntransmitter is not needed to take the devices out of the DR state\nand the controllers will automatically recover. For example a DR\ntransmitter that only sends messages when a DR event is active\ncould be used with the timeout to create a successful DR system.\n<br/>\n<br/>\nData Byte 0, Bits 7 through 4 make up a nibble that will be\nused as the DR level. Levels 0 through 15 will be possible using\nthese bits. Bit 4 will be the lowest bit in this nibble and bit 7 will\nbe the highest. If any level is not supported by a controller then\nthat controller should use the default settings sent in this message\nor map the level to one that it supports.\n<br/>\n<br/>\nData Byte 0 Bits 2 and 1 indicate whether the power adjustment at\nstart and end of the DR event should be randomized or not. This\nfeature is intended to minimize rapid changes on the power\ndistribution equipment by delaying each controller’s response. If\nrandom start or end is enabled, each controller will delay starting\nor ending the DR event by a random time that will vary uniformly\nover a specific time period (for example, 5 seconds, 60 seconds, or\n15 minutes).. The maximum length of these random delays will\ndepend on the implementation in the controller.\n<br/>\n<br/>\nData Byte 0, Bit 0 is the state for loads that are not adjustable\nfor the default DR level. If a controller does not support the current\nDR level and does not have adjustable control then it should use\nthis bit. The two states of this bit are defined as follows: 1 =\nmaximum power usage by controller, 0 = minimum power usage\nby the controller. If for example lights are being controlled, then a\nsetting of 1 will mean the lights should be ON, where as a setting\nof 0 will mean the lights should be OFF. For a thermostat\napplication with non adjustable set back, a setting of 1 will mean\nthat no set back should be applied, whereas a setting of 0 will mean\nthat the full set back should be applied. This setting only applies to\nthe maximum power usage of the controller, if for example the\nlights are currently off and the controller receives a DR event with this bit set, then the lights should not turn ON as the DR event has\nonly set the maximum power usage for the device.",
    "case": [
      {
        "datafield": [
          {
            "data": "DR Level",
            "shortcut": "DRL",
            "description": "DR Level",
            "bitoffs": "24",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "15"
            },
            "scale": {
              "min": "0",
              "max": "15"
            },
            "unit": "N/A"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Temporary default",
            "shortcut": "TMPD",
            "description": "New Temporary default DR set point Min. ... Max. (linear)",
            "info": "DB_3: new Temporary default DR set-point",
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "N/A"
          },
          {
            "data": "Absolute/relative power usage",
            "shortcut": "SPWRU",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Absolute power usage. Interpret\nDB_2.BIT_6...DB_2.BIT_0 as a percentage of the\nmaximum power use."
                },
                {
                  "value": "1",
                  "description": "Relative power usage. Interpret\nDB_2.BIT_6...DB_2.BIT_0 as a percentage of the\ncurrent power use."
                }
              ]
            }
          },
          {
            "data": "Power Usage",
            "shortcut": "PWRU",
            "description": "0% to 100% power usage in 1% increments; 101...127 = interpreted as 100%",
            "info": {},
            "bitoffs": "9",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "N/A"
          },
          {
            "data": "Timeout Setting",
            "shortcut": "TMOS",
            "description": "Time in 15 min. intervals; 0 = No time specified; 1...255 = increasing 15 min. intervals. Max value: 3825 = 255*15",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "1",
              "max": "255"
            },
            "scale": {
              "min": "15",
              "max": "3825"
            },
            "unit": "min"
          },
          {
            "data": "Random start delay",
            "shortcut": "RSD",
            "description": "...",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Randomized end delay",
            "shortcut": "RED",
            "description": "...",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Max/Min Power Usage for Default DR State",
            "shortcut": "MPWRU",
            "description": {},
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Minimum Power usage"
                },
                {
                  "value": "1",
                  "description": "Maximum Power usage"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 134,
    "eep": "a5-37-01",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Energy Management",
    "func_number": "0x37",
    "submitter": [
      "Echoflex Solutions Inc."
    ]
  },
  "a5-38-08": {
    "number": "0x08",
    "title": "Gateway",
    "description": "Communication between gateway and actuator uses byte DB_3 to identify Commands.\n              Commands 0x01 to 0x7F shall be common to all types belonging to this profile.\n              Commands 0x80 to 0xFE can be defined individually for each device type.",
    "case": [
      {
        "title": "0x01 Switching",
        "description": {},
        "status": "released",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x01",
                "description": {}
              }
            }
          },
          {
            "data": "Time",
            "shortcut": "TIM",
            "description": "Time in 1/10 seconds. 0 = no time specifed",
            "info": "DB_2/DB_1: Time in 1/10 seconds.",
            "bitoffs": "8",
            "bitsize": "16",
            "range": {
              "min": "1",
              "max": "65535"
            },
            "scale": {
              "min": "0.1",
              "max": "6553.5"
            },
            "unit": "s"
          },
          {
            "data": "Lock/Unlock",
            "shortcut": "LCK",
            "description": "Lock for duration time if time >0, unlimited time of no time\n                  specified. Locking may be cleared with „unlock“. During lock\n                  phase no other commands will be accepted or executed",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Unlock"
                },
                {
                  "value": "1",
                  "description": "Lock"
                }
              ]
            }
          },
          {
            "data": "Delay or duration",
            "shortcut": "DEL",
            "description": "Delay or duration (if Time > 0);<br/> 0 = Duration (Execute switching command immediately and switch back after duration)<br/> 1 = Delay (Execute switching command after delay)",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Duration"
                },
                {
                  "value": "1",
                  "description": "Delay"
                }
              ]
            }
          },
          {
            "data": "Switching Command",
            "shortcut": "SW",
            "description": "Switching Command ON/OFF",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Off"
                },
                {
                  "value": "1",
                  "description": "On"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "0x02 Dimming",
        "description": "REMARK:\n              <br/>\n              Ramp time is the time needed to transition from minimum to maximum dimming levels.\n              <br/>",
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x02"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x02",
                "description": {}
              }
            }
          },
          {
            "data": "Dimming value",
            "shortcut": "EDIM",
            "description": "Dimming value (absolute [0...255] or relative [0...100])",
            "info": "DB_2: Dimming value (absolute [0...255] or relative [0...100])",
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Ramping time",
            "shortcut": "RMP",
            "description": "Ramping time in seconds, 0 = no ramping, 1... 255 = seconds to 100%",
            "info": "DB_1: Ramping time in seconds",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "s"
          },
          {
            "data": "Dimming Range",
            "shortcut": "EDIM R",
            "description": "Dimming Range",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Absolute value"
                },
                {
                  "value": "1",
                  "description": "Relative value"
                }
              ]
            }
          },
          {
            "data": "Store final value",
            "shortcut": "STR",
            "description": "Store final value",
            "info": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No"
                },
                {
                  "value": "1",
                  "description": "Yes"
                }
              ]
            }
          },
          {
            "data": "Switching Command",
            "shortcut": "SW",
            "description": "Switching Command ON/OFF",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Off"
                },
                {
                  "value": "1",
                  "description": "On"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "0x03 Setpoint shift",
        "description": "<span style=\"background-color:#CDFF7D;border-bottom:2px groove #000000;font-style:italic;\">Submitter: Thermokon Sensortechnik GmbH</span><br/><br/>\n              Used for changing set point, for example summer / winter compensation",
        "br": [
          {},
          {}
        ],
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x03"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x03",
                "description": {}
              }
            }
          },
          {
            "data": "Setpoint",
            "shortcut": "SP",
            "description": "Setpoint shift",
            "info": "DB_1: Setpoint shift -12,7\n                  K… 0… +12,8 K 0…\n                  128… 255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "-12.7",
              "max": "12.8"
            },
            "unit": "K"
          }
        ]
      },
      {
        "title": "0x04 Basic Setpoint",
        "description": "<span style=\"background-color:#CDFF7D;border-bottom:2px groove #000000;font-style:italic;\">Submitter: Thermokon Sensortechnik GmbH</span><br/><br/>\n              Send a new basic set point via DDC to an actuator",
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x04"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "info": "DB_3: 0x04",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x04",
                "description": {}
              }
            }
          },
          {
            "data": "Basic Setpoint",
            "shortcut": "BSP",
            "description": "Basic Setpoint",
            "info": "DB_1: Basic Setpoint 0°C … 51.2°C …\n                  255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51.2"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "0x05 Control variable",
        "description": "<span style=\"background-color:#CDFF7D;border-bottom:2px groove #000000;font-style:italic;\">Submitter: Thermokon Sensortechnik GmbH</span><br/><br/>\n              Set occupancy, energy holdoff and control directly actuator",
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x05"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "info": "DB_3: 0x05",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x05",
                "description": {}
              }
            }
          },
          {
            "data": "Control variable override",
            "shortcut": "CVOV",
            "description": "Control variable override",
            "info": "DB_1: Control variable override 0… 100 % 0...\n                  255",
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Controller mode",
            "shortcut": "CM",
            "description": "Controller Mode",
            "info": {},
            "bitoffs": "25",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Automatic mode selection"
                },
                {
                  "value": "1",
                  "description": "Heating"
                },
                {
                  "value": "2",
                  "description": "Cooling"
                },
                {
                  "value": "3",
                  "description": "Off"
                }
              ]
            }
          },
          {
            "data": "Controller state",
            "shortcut": "CS",
            "description": "Controller state",
            "info": {},
            "bitoffs": "27",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Automatic"
                },
                {
                  "value": "1",
                  "description": "Override"
                }
              ]
            }
          },
          {
            "data": "Energy hold off",
            "shortcut": "ENHO",
            "description": "Energy Hold Off",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal"
                },
                {
                  "value": "1",
                  "description": "Energy holdoff/ Dew point"
                }
              ]
            }
          },
          {
            "data": "Room occupancy",
            "shortcut": "RMOCC",
            "description": "Room occupancy",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Occupied"
                },
                {
                  "value": "1",
                  "description": "Unoccupied"
                },
                {
                  "value": "2",
                  "description": "Standby"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "0x06 Fan stage",
        "description": "<span style=\"background-color:#CDFF7D;border-bottom:2px groove #000000;font-style:italic;\">Submitter: Thermokon Sensortechnik GmbH</span><br/><br/>\n              Set directly fan stage<br/>",
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x06"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "3"
          },
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "info": "DB_3: 0x06",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x06",
                "description": {}
              }
            }
          },
          {
            "data": "FanStage override",
            "shortcut": "FO",
            "description": "FanStage override",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Stage 0"
                },
                {
                  "value": "1",
                  "description": "Stage 1"
                },
                {
                  "value": "2",
                  "description": "Stage 2"
                },
                {
                  "value": "3",
                  "description": "Stage 3"
                },
                {
                  "value": "255",
                  "description": "Auto"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "0x07 Blind Central Command",
        "description": "<span style=\"background-color:#CDFF7D;border-bottom:2px groove #000000;font-style:italic;\">Submitter: PEHA / infratec</span><br/><br/>\n              With this central command all blinds, awnings and shutters can be manipulated.<br/><br/>\n            <br/>\n            Remarks for data table:\n            <br/><br/>\n            REMARK 1:<br/>\n            The angle is usually available in blinds and awning modules.<br/>\n            Normally, in shutter modules the angle value is ignored.<br/>\n            The angle value can be set from -180° (e.g. maximum slat angle at the fully\n            SHUT position) to 180° (e.g. maximum slat angle at the fully OPEN position).<br/>\n            The byte is set with following rule:<br/>\n            Bit7: Sign of the slat angle (0 = positive value, 1 = negative value)<br/>\n            Bit6..0: Slat angle value in 2° steps (e.g. 50 = 100°)\n            <br/><br/>\n            REMARK 2:<br/>\n            If this function (Blind drives to position with angle value)\n            is not supported or not configured, use following rule:<br/>\n            - Position is 0 to 49%  -> The blind opens<br/>\n            - Position is 50 to 100% -> The blind closes.\n            <br/><br/>\n            REMARK 3:<br/>\n            Conventional blinds and shutters can be configured with these 3 parameters\n            to calculate the sufficiently accurate position and angle of the blind.\n            <br/><br/>\n            REMARK 4:<br/>\n            With this command you can adjust the minimal and maximal position of the\n            blinds. So it’s possible to override the running-range of blinds via a central\n            control unit. Local operations are restricted and increase safety\n            (e.g. to open blinds in case of wind or fire).<br/>\n            Condition: The Minimal value must be smaller or equal the maximal value.\n            <br/>\n            <img>graphics/EEP_A5-38-08_CMD07_01.png</img>\n            Example to lock the local functionality: Drive the shutters to a define position\n            and set the minimal and maximal values to this position.\n            <br/><br/>\n            REMARK 5:<br/>\n            These to angle values describe the maximum slat angle at the fully SHUT\n            position and the maximal slat angle at the fully OPEN position.\n            With the time parameter, e.g.:\n            <br/>\n            <img>graphics/EEP_A5-38-08_CMD07_02.png</img>\n            <br/><br/>\n            REMARK 6:<br/>\n            Set the position logic for the blind control and visualization.\n            <br/>\n            <img>graphics/EEP_A5-38-08_CMD07_03.png</img>\n            Note: If the mode is changed, the minimum and maximal values\n            (function 9) are converted as well!\n            <br/><br/>\n            REMARK 7:<br/>\n            For important central commands, it's not necessary to send directly\n            the statefeedback, e.g. when many modules are activated simultaneously.<br/>\n            Note: Special functionality is in function “Status request (0)”, the status is always sent.\n            <br/><br/><br/>",
        "status": "released",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x07"
          }
        },
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Command",
            "shortcut": "COM",
            "description": "Command ID",
            "info": "DB_3: 0x07",
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x07",
                "description": "Shutters / Blinds"
              }
            }
          },
          {
            "data": "Parameter 1",
            "shortcut": "P1",
            "description": "Function defined parameter value",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Func. 00: -- not used –-\n\n                    <br/><br/>Func. 01: -- not used --\n\n                    <br/><br/>Func. 02: -- not used --\n\n                    <br/><br/>Func. 03: -- not used --\n\n                    <br/><br/>Func. 04: 0% ... 100%\n                    <br/>e.g.: 0% = Blind fully open / 100% = Blind fully closed\n\n                    <br/><br/>Func. 05: 0 ... 255 seconds\n\n                    <br/><br/>Func. 06: 0 ... 255 seconds\n\n                    <br/><br/>Func. 07: Runtime value to close the blind\n                    <br/>0 ... 255 seconds\n\n                    <br/><br/>Func. 08: Runtime value for the sunblind reversion time\n                    <br/>This is the time to revolve the sunblind from one\n                    <br/>slat angle end position to the other end position:\n                    <br/>0.0 … 25.5 seconds (0.1s steps)\n\n                    <br/><br/>Func. 09: Set minimal position value\n                    <br/>0 ... 100%\n\n                    <br/><br/>Func. 10: Angle at the fully SHUT position\n                    <br/>Bit7 0 = positive sign\n                    <br/>Bit7 1 = negative sign\n                    <br/>Bit6...0  0 ... 90\n                    <br/>Angle in 2° steps (e.g. 0 = 0°, 90 = 180°)\n\n                    <br/><br/>Func. 11: Position logic\n                    <br/>0 = Highest position = 0% / Lowest position = 100%\n                    <br/>1 = Highest position = 100% / Lowest position = 0%"
              }
            }
          },
          {
            "data": "Parameter 2",
            "shortcut": "P2",
            "description": "Function defined parameter value",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Func. 00: -- not used –-\n\n                    <br/><br/>Func. 01: -- not used --\n\n                    <br/><br/>Func. 02: -- not used --\n\n                    <br/><br/>Func. 03: -- not used --\n\n                    <br/><br/>Func. 04: Angel (see remark 1)\n                    <br/>Bit7 0 = positive sign\n                    <br/>Bit7 1 = negative sign\n                    <br/>Bit6...0  0 ... 90\n                    <br/>Angle in 2° steps (e.g. 0 = 0°, 90 = 180°)\n\n                    <br/><br/>Func. 05: 0.0 ... 25.5 seconds\n\n                    <br/><br/>Func. 06: 0.0 ... 25.5 seconds\n\n                    <br/><br/>Func. 07: Runtime value to open the blind\n                    <br/>0 ... 255 seconds\n\n                    <br/><br/>Func. 08: -- not used --\n\n                    <br/><br/>Func. 09: Set maximal position value\n                    <br/>0 ... 100%\n\n                    <br/><br/>Func. 10: Angle at the fully OPEN position\n                    <br/>Bit7 0 = positive sign\n                    <br/>Bit7 1 = negative sign\n                    <br/>Bit6...0  0 ... 90\n                    <br/>Angle in 2° steps (e.g. 0 = 0°, 90 = 180°)\n\n                    <br/><br/>Func. 11: -- not used --"
              }
            }
          },
          {
            "data": "Function",
            "shortcut": "FUNC",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Do nothing, status request"
                },
                {
                  "value": "1",
                  "description": "Blind stops"
                },
                {
                  "value": "2",
                  "description": "Blind opens"
                },
                {
                  "value": "3",
                  "description": "Blind closes"
                },
                {
                  "value": "4",
                  "description": "Blind drives to position with angle value (see remark 2)"
                },
                {
                  "value": "5",
                  "description": "Blind opens for time (position value) and angle (angle value)"
                },
                {
                  "value": "6",
                  "description": "Blind closes for time (position value) and angle (angle value)"
                },
                {
                  "value": "7",
                  "description": "Set Runtime parameters (see remark 3)"
                },
                {
                  "value": "8",
                  "description": "Set angle configuration (see remark 3)"
                },
                {
                  "value": "9",
                  "description": "Set Min, Max values (see remark 4)"
                },
                {
                  "value": "10",
                  "description": "Set slat angle for SHUT and OPEN position (see remark 5)"
                },
                {
                  "value": "11",
                  "description": "Set position logic (see remark 6)"
                }
              ]
            }
          },
          {
            "data": "Send status flag",
            "shortcut": "SSF",
            "description": "see remark 7",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Send new status of device"
                },
                {
                  "value": "1",
                  "description": "Send no status (e.g. Global central commands)"
                }
              ]
            }
          },
          {
            "data": "Pos. and Angle flag",
            "shortcut": "PAF",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No Angle and position value available"
                },
                {
                  "value": "1",
                  "description": "Angle and position value available"
                }
              ]
            }
          },
          {
            "data": "Service Mode Flag",
            "shortcut": "SMF",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal operation"
                },
                {
                  "value": "1",
                  "description": "Service mode: The module disables all\n                      senders, except this sender, which has set the service mode.\n                      (For example for maintenance)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 135,
    "eep": "a5-38-08",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Central Command",
    "func_number": "0x38",
    "submitter": []
  },
  "a5-38-09": {
    "number": "0x09",
    "title": "Extended Lighting-Control",
    "status": "released",
    "description": "<br/><br/>\n            With this central command all lighting actors can be manipulated.\n                <br/>\n                <br/>\n                <br/>Remarks for data table:\n                <br/>\n                <br/>REMARK 1:\n                <br/>Set the RGB level for corresponding lighting-control.\n                <br/>Devices without this feature ignore this command.\n                <br/>\n                <br/>REMARK 2:\n                <br/>Up to 16 different scenes can be selected and configured.\n                <br/>\n                <br/>REMARK 3:\n                <br/>Change the minimal and maximal dimmer-value. Example:\n                <br/>\n                <img>graphics/EEP_A5-38-09_01.png</img>\n                <br/>General for switchers:\n                <br/>The values 0 .. 127 are defined to “Off”.\n                <br/>The values 128.. 255 are defined to “On”.\n                <br/>\n                <br/>REMARK 4:\n                <br/>Example: If the lamp was replaced, the operating hours are reset to 0.\n                <br/>\n                <br/>REMARK 5:\n                <br/>This function blocks all other commands from the other taught-in\n                transmitters. The transmitter, which has called this function,\n                must delete the blocking state, before the other transmitters can use the device again.\n                <br/>\n                <br/>REMARK 6:\n                <br/>For important central commands, it's not necessary to send directly the\n                statefeedback, e.g. when many modules are activated simultaneously.<br/>\n                Note: Special functionality is in function “Status request (0)”,\n                the status is always sent.\n                <br/>\n                <br/>REMARK 7:\n                <br/>Ramp time is the time needed to transition from minimum to maximum dimming levels.",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Parameter 1",
            "shortcut": "P1",
            "description": "Function defined parameter value",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: -- not used --\n                      <br/>\n                      <br/>Func. 04: -- not used --\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 07: R - Red (0 .. 255)\n                      <br/>\n                      <br/>Func. 08: -- not used --\n                      <br/>\n                      <br/>Func. 09: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 10: Lamp operating hours (MSB 15..8)\n                      <br/>\n                      <br/>Func. 11: -- not used --\n                      <br/>\n                      <br/>Func. 12: Energy metering value (MSB 15..8)"
              }
            }
          },
          {
            "data": "Parameter 2",
            "shortcut": "P2",
            "description": "Function defined parameter value",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 04: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Ramping time (MSB 15...8) (65535 s)\n                      <br/>\n                      <br/>Func. 07: G - Green (0 ... 255)\n                      <br/>\n                      <br/>Func. 08: -- not used --\n                      <br/>\n                      <br/>Func. 09: Dimm-Value (0 ... 255)\n                      <br/>\n                      <br/>Func. 10: Lamp operating hours (7...0 LSB)\n                      <br/>\n                      <br/>Func. 11: -- not used --\n                      <br/>\n                      <br/>Func. 12: Energy metering value (7..0 LSB)"
              }
            }
          },
          {
            "data": "Parameter 3",
            "shortcut": "P3",
            "description": "Function defined parameter value",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": {
                "description": "Func. 00: -- not used –-\n                      <br/>\n                      <br/>Func. 01: -- not used --\n                      <br/>\n                      <br/>Func. 02: -- not used --\n                      <br/>\n                      <br/>Func. 03: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 04: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 05: -- not used --\n                      <br/>\n                      <br/>Func. 06: Ramping time (7...0 LSB) (65535 s)\n                      <br/>\n                      <br/>Func. 07: B - Blue(0 ... 255)\n                      <br/>\n                      <br/>Func. 08:\n                      <br/>Bit7: 0 = Drive to scene-value\n                      <br/>Bit7: 1 = Stores actual value in the scene\n                      <br/>Bit3..0: Scene number 0 ... 15\n                      <br/>\n                      <br/>Func. 09: -- not used --\n                      <br/>\n                      <br/>Func. 10: -- not used --\n                      <br/>\n                      <br/>Func. 11: Blocks the local operations\n                      <br/>Enum:\n                      <br/>0 = Unlock local operations\n                      <br/>1 = Locking switch on commands\n                      <br/>2 = Locking switch off commands\n                      <br/>3 = Locking local operations\n                      <br/>\n                      <br/>Func. 12: Unit of energy metering value\n                      <br/>Enum:\n                      <br/>0 = mW\n                      <br/>1 = W\n                      <br/>2 = kW\n                      <br/>3 = MW\n                      <br/>4 = Wh\n                      <br/>5 = kWh\n                      <br/>6 = MWh\n                      <br/>7 = GWh\n                      <br/>8 = mA\n                      <br/>9 = 1/10 A\n                      <br/>10 = mV\n                      <br/>11 = 1/10 V\n                      <br/>12 ... 15 Not used"
              }
            }
          },
          {
            "data": "Function",
            "shortcut": "FUNC",
            "description": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Do nothing, status request"
                },
                {
                  "value": "1",
                  "description": "Switched off"
                },
                {
                  "value": "2",
                  "description": "Switched on (Memory value)"
                },
                {
                  "value": "3",
                  "description": "Dimming up with ramping time"
                },
                {
                  "value": "4",
                  "description": "Dimming down with ramping time"
                },
                {
                  "value": "5",
                  "description": "Dimming stops"
                },
                {
                  "value": "6",
                  "description": "Set dimmer-value and ramping time"
                },
                {
                  "value": "7",
                  "description": "Set RGB values (see remark 1)"
                },
                {
                  "value": "8",
                  "description": "Scene function (see remark 2)"
                },
                {
                  "value": "9",
                  "description": "Set minimal and maximal dimmer-value (see remark 3)"
                },
                {
                  "value": "10",
                  "description": "Set the operating hours of the lamp (see remark 4)"
                },
                {
                  "value": "11",
                  "description": "Locking local operations (see remark 5)"
                },
                {
                  "value": "12",
                  "description": "Set a new value for the energy metering\n                    (overwrite the actual value with the selected unit)"
                }
              ]
            }
          },
          {
            "data": "Send status flag",
            "shortcut": "SSF",
            "description": "see remark 6",
            "bitoffs": "29",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Send new status of device"
                },
                {
                  "value": "1",
                  "description": "Send no status (e.g. Global central commands)"
                }
              ]
            }
          },
          {
            "data": "Store final value",
            "shortcut": "SFV",
            "description": {},
            "bitoffs": "30",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No"
                },
                {
                  "value": "1",
                  "description": "Yes"
                }
              ]
            }
          },
          {
            "data": "Service Mode Flag",
            "shortcut": "SMF",
            "description": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal operation"
                },
                {
                  "value": "1",
                  "description": "Service mode: The module disables all\n                      senders, except this sender, which has set the service mode.\n                      (For example for maintenance)"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 136,
    "eep": "a5-38-09",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Central Command",
    "func_number": "0x38",
    "submitter": [
      "PEHA",
      "infratec"
    ]
  },
  "a5-3f-00": {
    "number": "0x00",
    "title": "Radio Link Test",
    "status": "released",
    "description": "<br/><br/>\n              Units supporting the EEP Radio Link Test shall offer a functionality that allows for radio link testing between them (Position A to Position B, point-to-point only). Testing shall be possible without the need for prior teach-in and as an option it shall cover two way communications.\n              <br/>\n              <br/>\n              Further, testing shall be backward compatible to existing EnOcean installations that support at least 1BS (RORG=0xD5) and 4BS (RORG=0xA5) EnOcean messages.\n              <br/>\n              <br/>\n              The main area of RLT application are in-field testing of radio links between portable test equipment placed at different locations as well as between portable test equipment and fixed installation, e.g. an EnOcean Gateway.\n              <br/>\n              <h4>Functional description of RLT:</h4>\n              When two units perform radio link testing one unit needs to act in a mode called RLT Master and\n              the other unit needs to act in a mode called RLT Slave.\n              On a RLT enabled unit one or both modes may be supported. The mode(s) supported shall require\n              explicitly activation at run time.\n              <br/>\n              After activation a RLT Master listens for RLT_Query messages. On reception of at least one\n              RLT_Query message a RLT Master responds with an RLT_Response message. Following that it\n              starts transmission of RLT_MasterTest messages within a maximum time frame of 250ms and\n              awaits the response from the RLT Slave for each RLT_MasterTest message sent.\n              A radio link test communication consists of a minimum of 16 and a maximum of 256\n              RLT_MasterTest messages. Timing distance between individual RLT_MasterTest messages shall\n              not exceed 250ms.\n              When the radio link test communication is completed the RLT Master gets deactivated\n              automatically.\n              <br/>\n              After activation a RLT Slave periodically transmits RLT_Query messages (1 message / 2s). It stops\n              transmission of RLT_Query messages as soon as it has received at least one RLT_Response\n              message. It then waits for RLT_MasterTest messages from the same EnOcean ID and replies to\n              them within a maximum delay of 100ms thru RLT_SlaveTest messages.\n              If it does not receive RLT_MasterTest messages from the same EnOcean ID for a time period of\n              5s, the RLT Slave restarts periodic transmission of RLT_Query messages.\n              The RLT Slave requires explicit deactivation.\n              <h4>RLT_Query Message</h4>\n              This Message is a “4BS Teach-In Query” message with FUNC, Type and Manufacturer ID set\n              properly. For details please refer to the description of the 4BS teach-in process.\n              <h4>RLT_Response Message</h4>\n              This Message is a “4BS Teach-In Response” message with FUNC, Type and Manufacturer ID set\n              properly. For details please refer to the description of the 4BS teach-in process.\n              As a RLT Master does accept teach-in of a RLT Slave only for the time period required by a single\n              RLT communication it shall indicate the EEP to be supported but the EnOcean ID of the RLT Slave\n              not to be stored permanently.",
    "case": [
      {
        "title": "RLT_MasterTest_4BS",
        "description": "This is the 4BS message sent by the RLT Master during a radio link test communication",
        "direction": "1",
        "condition": {
          "datafield": [
            {
              "bitoffs": "29",
              "bitsize": "2",
              "value": "2"
            },
            {
              "bitoffs": "31",
              "bitsize": "1",
              "value": "0"
            }
          ]
        },
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": "Not used",
            "shortcut": "",
            "description": "",
            "info": {},
            "bitoffs": "0",
            "bitsize": "28",
            "enum": {
              "item": {
                "value": "0",
                "description": {}
              }
            }
          },
          {
            "data": "MSG_ID",
            "shortcut": "MSGID",
            "description": "Message ID",
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": "2",
                "description": {}
              }
            }
          },
          {
            "data": "MSG-Source",
            "shortcut": "MSGS",
            "description": "Message Source",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "RLT-Master"
              }
            }
          }
        ]
      },
      {
        "title": "RLT_SlaveTest_4BS",
        "description": "This is the 4BS message sent by the RLT Slave in reply to an RLT_MasterTest_4BS message.",
        "direction": "2",
        "condition": {
          "datafield": [
            {
              "bitoffs": "29",
              "bitsize": "2",
              "value": "2"
            },
            {
              "bitoffs": "31",
              "bitsize": "1",
              "value": "1"
            }
          ]
        },
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "Sub-Telegram Counter",
            "shortcut": "STCNT",
            "description": "related to RLT_MasterTest_4BS message received\n                  Repeater level 2",
            "info": {},
            "bitoffs": "0",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "not supported"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "1 sub telegram"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "2 sub telegram"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "≥ 3 sub telegram"
                }
              }
            ]
          },
          {
            "data": "RSSI Level in dBm",
            "shortcut": "RSLV",
            "description": "related to RLT_MasterTest_4BS message received\n                  Repeater level 1",
            "info": {},
            "bitoffs": "2",
            "bitsize": "6",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "not supported"
                },
                {
                  "value": "0x01",
                  "description": "≥-31",
                  "unit": "dBm"
                },
                {
                  "value": "0x02",
                  "description": "-32",
                  "unit": "dBm"
                },
                {
                  "value": "0x3F",
                  "description": "≤-93",
                  "unit": "dBm"
                }
              ]
            }
          },
          {
            "data": "Sub-Telegram Counter/RSSI Level in dBm",
            "shortcut": "RSLV",
            "description": "Related to RLT_MasterTest_4BS message received\n Repeater level 1 (for details see DB3)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": {},
                "description": "See prev"
              }
            }
          },
          {
            "data": "Sub-Telegram Counter/RSSI Level in dBm",
            "shortcut": "RSLV",
            "description": "Related to RLT_MasterTest_4BS message received direct link",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": {},
                "description": "See prev"
              }
            }
          },
          {
            "data": "RSSI Level in dBm",
            "shortcut": "RSLV",
            "description": "Non-EnOcean signal detection since last RLT_MasterTest message\n RSSI Level with 6dB quantization steps",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "not supported"
                },
                {
                  "value": "0x01",
                  "description": "≥ -31",
                  "unit": "dBm"
                },
                {
                  "value": "0x02",
                  "description": "-32...-37",
                  "unit": "dBm"
                },
                {
                  "value": "0x03",
                  "description": "-38...-43",
                  "unit": "dBm"
                },
                {
                  "value": "0x04",
                  "description": "-44...-49",
                  "unit": "dBm"
                },
                {
                  "value": "0x05",
                  "description": "-50...-55",
                  "unit": "dBm"
                },
                {
                  "value": "0x06",
                  "description": "-56...-61",
                  "unit": "dBm"
                },
                {
                  "value": "0x07",
                  "description": "-62...-67",
                  "unit": "dBm"
                },
                {
                  "value": "0x08",
                  "description": "-68...-73",
                  "unit": "dBm"
                },
                {
                  "value": "0x09",
                  "description": "-74...-79",
                  "unit": "dBm"
                },
                {
                  "value": "0x0A",
                  "description": "-80...-85",
                  "unit": "dBm"
                },
                {
                  "value": "0x0B",
                  "description": "≤ -92",
                  "unit": "dBm"
                }
              ]
            }
          },
          {
            "data": "MSG_ID",
            "shortcut": "MSGID",
            "description": {},
            "info": {},
            "bitoffs": "29",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": "2",
                "description": {}
              }
            }
          },
          {
            "data": "MSG-Source",
            "shortcut": "MSGS",
            "description": {},
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "RLT-Slave"
              }
            }
          }
        ]
      },
      {
        "title": "RLT_MasterTest_1BS",
        "description": "This is the 1BS message sent by the RLT Master during a radio link test communication.<br/><br/>\n                REMARK: The column 'Bitrange' is automatically generated from the telegram type and the offset. The column Bitrange shows currently DB_3 instead of DB_0. This isn't a bug in the XML, only a weakness of the formatting. AT THIS POINT, DB_0 WOULD BE CORRECT.<br/>",
        "direction": "1",
        "condition": {
          "datafield": {
            "bitoffs": "31",
            "bitsize": "1",
            "value": "0"
          }
        },
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "RLT MSG-Counter MSB",
            "shortcut": "MC-MSB",
            "description": "Round-trip, covering all RLT_x_1BS messages\n  4 bit MSB",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": {},
                "description": {}
              }
            }
          },
          {
            "data": "RLT MSG-Counter LSB",
            "shortcut": "MC-LSB",
            "description": "Round-trip, covering all RLT_x_1BS messages\n  2 bit LSB",
            "info": {},
            "bitoffs": "5",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": {},
                "description": {}
              }
            }
          },
          {
            "data": "MSG-Source",
            "shortcut": "MSGS",
            "description": "Message Source",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "RLT Master"
              }
            }
          }
        ]
      },
      {
        "title": "RLT_SlaveTest_1BS",
        "description": "This is the 1BS message sent by the RLT Slave in reply to an RLT_MasterTest_1BS message.<br/><br/>\n                REMARK: The column 'Bitrange' is automatically generated from the telegram type and the offset. The column Bitrange shows currently DB_3 instead of DB_0. This isn't a bug in the XML, only a weakness of the formatting. AT THIS POINT, DB_0 WOULD BE CORRECT.<br/>",
        "direction": "2",
        "condition": {
          "datafield": {
            "bitoffs": "31",
            "bitsize": "1",
            "value": "1"
          }
        },
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "RLT MSG-Counter MSB",
            "shortcut": "MC-MSB",
            "description": "Round-trip, covering all RLT_x_1BS messages\n  4 bit MSB",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": {},
                "description": {}
              }
            }
          },
          {
            "data": "RLT MSG-Counter LSB",
            "shortcut": "MC-LSB",
            "description": "Round-trip, covering all RLT_x_1BS messages\n  2 bit LSB",
            "info": {},
            "bitoffs": "5",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": {},
                "description": {}
              }
            }
          },
          {
            "data": "MSG-Source",
            "shortcut": "MSGS",
            "description": "Message Source",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "RLT-Slave"
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 137,
    "eep": "a5-3f-00",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Universal",
    "func_number": "0x3F",
    "submitter": [
      "PROBARE"
    ]
  },
  "a5-3f-7f": {
    "number": "0x7F",
    "title": "Universal",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Description</span>\n              <br/>\n              This profile was intended for manufacturer specific applications.\n              Every manufacturer may independently define the types within this profile.\n              <br/><br/>\n              This profile was replaced by the use of MSC-Telegrams with the advantage\n              of more payloads and the manufacturer Id as identification.\n              For future applications only use MSC-Telegrams.\n              <br/><br/>\n              This description is only necessary for legacy reasons.\n              <br/><br/>\n              <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n              <br/>Direction: unidirectional / bidirectional\n              <br/>Addressing: unicast (ADT) / broadcast\n              <br/>Communication trigger: event- & time-triggered\n              <br/>Communication interval: application specific\n              <br/>Trigger event: application specific\n              <br/>Tx delay: not specified\n              <br/>Rx timeout: not specified\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n              <br/>Teach-in method: 4BS teach-in\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Security</span>\n              <br/>Encryption supported: no\n              <br/>Security level format: -",
    "case": [
      {
        "datafield": [
          {
            "data": "LRN Bit",
            "shortcut": "LRNB",
            "description": "LRN Bit",
            "bitoffs": "28",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Teach-in telegram"
                },
                {
                  "value": "1",
                  "description": "Data telegram"
                }
              ]
            }
          },
          {
            "data": "undefined",
            "shortcut": "undef",
            "description": "undefined",
            "info": {},
            "bitoffs": "0",
            "bitsize": "28"
          },
          {
            "data": "undefined",
            "shortcut": "undef",
            "description": "undefined",
            "info": {},
            "bitoffs": "29",
            "bitsize": "3"
          }
        ]
      }
    ],
    "originalIndex": 138,
    "eep": "a5-3f-7f",
    "rorg_title": "4BS Telegram",
    "rorg_number": "0xA5",
    "func_title": "Universal",
    "func_number": "0x3F",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "d2-00-01": {
    "number": "0x01",
    "title": "RCP with Temperature Measurement and Display (BI-DIR)",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"background-color:#F8DF36;\">\n            Note: EEP Release 2.1, 2.5, and 2.6 reflected a wrong byte-order for all messages of this EEP!</span><br/>\n            <span style=\"background-color:#FFF08D;\">\n            Example Message Type A:</span><br/>\n            <span style=\"background-color:#FFF08D;\">\n            Instead of DB_1 = 0x01    DB_0 = 0x81 (which is correct for KP=1 and CV=1)</span><br/>\n            <span style=\"background-color:#FFF08D;\">\n            by mistake DB_1 = 0x81    DB_0 = 0x11 (which is wrong) was printed.</span><br/>\n            <span style=\"background-color:#FFF08D;\">\n            We apologize for the mistake.</span>",
    "case": [
      {
        "title": "Message type A / ID 01 (First User Action on RCP)",
        "description": "Direction: Sensor -> Gateway<br/>\n            Transaction Response: Message Type B or Type E<br/>\n            Chaining: No<br/>\n            Timing: T1+ = 170ms<br/>\n            <img>graphics/EEP_D2-00-01_Message_A.png</img>",
        "condition": {
          "datafield": {
            "bitoffs": "5",
            "bitsize": "3",
            "value": "1"
          }
        },
        "datafield": [
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id; 0x01",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "1",
                "description": "Message Id"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "9",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "5"
          },
          {
            "data": "User Action",
            "shortcut": "KP",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "not used"
                },
                {
                  "value": "0x01",
                  "description": "Presence"
                },
                {
                  "value": "0x02",
                  "description": "Temperature Set Point “down” or “—“"
                },
                {
                  "value": "0x03",
                  "description": "not used"
                },
                {
                  "value": "0x04",
                  "description": "not used"
                },
                {
                  "value": "0x05",
                  "description": "Temperature Set Point “up” or “+”"
                },
                {
                  "value": "0x06",
                  "description": "Fan"
                },
                {
                  "min": "0x07",
                  "max": "0x1F",
                  "description": "Not Used"
                }
              ]
            }
          },
          {
            "data": "ConfigValid",
            "shortcut": "CV",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Configuration data not valid (e.g. never received message of type E)"
                },
                {
                  "value": "0x01",
                  "description": "Configuration data valid"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message Type B / ID 02 (Display Content)",
        "description": "Direction: Gateway -> Sensor<br/>\n            Reply to Message Type A<br/>\n            Response: None<br/>\n            Chaining: Up to 2 messages per chain<br/>\n            Timing: T2+ = 300ms<br/>\n            <img>graphics/EEP_D2-00-01_Message_B.png</img><br/>\n            IMPORTANT NOTE:<br/>\n            The symbols Sa, Sb, Sc, Sd, Se are optional. One or more of those symbols are available\n            on the display only if the manufacturer of a RCP implements them in a specific design.\n            Thus, they are NOT mandatory for a RCP in order to comply with this EEP.<br/>",
        "condition": {
          "datafield": {
            "bitoffs": "5",
            "bitsize": "3",
            "value": "2"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "3"
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id;0x02",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "2",
                "description": "Message Id"
              }
            }
          },
          {
            "data": "MoreData",
            "shortcut": "MD",
            "description": {},
            "info": {},
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "no more data"
                },
                {
                  "value": "0x01",
                  "description": "more data will follow after T2+"
                }
              ]
            }
          },
          {
            "data": "Fan",
            "shortcut": "F",
            "description": {},
            "info": {},
            "bitoffs": "1",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Do not display"
                },
                {
                  "value": "0x01",
                  "description": "Speed Level 0"
                },
                {
                  "value": "0x02",
                  "description": "Speed Level 1"
                },
                {
                  "value": "0x03",
                  "description": "Speed Level 2"
                },
                {
                  "value": "0x04",
                  "description": "Speed Level 3"
                },
                {
                  "min": "0x05",
                  "max": "0x07",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Fan manual",
            "shortcut": "M",
            "description": {},
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Fan manual"
                }
              ]
            }
          },
          {
            "data": "Figure A Type",
            "shortcut": "TA",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Do not display"
                },
                {
                  "value": "0x01",
                  "description": "Room Temperature",
                  "unit": "°C"
                },
                {
                  "value": "0x02",
                  "description": "Room Temperature",
                  "unit": "°F"
                },
                {
                  "value": "0x03",
                  "description": "Nominal Temperature",
                  "unit": "°C"
                },
                {
                  "value": "0x04",
                  "description": "Nominal Temperature",
                  "unit": "°F"
                },
                {
                  "value": "0x05",
                  "description": "Delta Temperature Set Point",
                  "unit": "°C"
                },
                {
                  "value": "0x06",
                  "description": "Delta Temperature Set Point",
                  "unit": "°F"
                },
                {
                  "value": "0x07",
                  "description": "Delta Temperature Set Point(graphic)"
                },
                {
                  "value": "0x08",
                  "description": "Time 00:00 to 23:59 [24h]"
                },
                {
                  "value": "0x09",
                  "description": "Time 00:00 to 11:59 [AM]"
                },
                {
                  "value": "0x0A",
                  "description": "Time 00:00 to 11:59 [PM]"
                },
                {
                  "value": "0x0B",
                  "description": "Date 01.01 to 31.12 [DD.MM]"
                },
                {
                  "value": "0x0C",
                  "description": "Date 01.01 to 12.31 [MM.DD]"
                },
                {
                  "value": "0x0D",
                  "description": "Illumination (linear) 0 to 9999",
                  "unit": "lx"
                },
                {
                  "value": "0x0E",
                  "description": "Percentage 0 to 100",
                  "unit": "%"
                },
                {
                  "value": "0x0F",
                  "description": "Parts per Million 0 to 9999",
                  "unit": "ppm"
                },
                {
                  "value": "0x10",
                  "description": "Relative Humidity 0 to 100",
                  "unit": "% rH"
                },
                {
                  "min": "0x11",
                  "max": "0x1F",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Presence",
            "shortcut": "PR",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Do not display"
                },
                {
                  "value": "0x01",
                  "description": "Present"
                },
                {
                  "value": "0x02",
                  "description": "Not present"
                },
                {
                  "value": "0x03",
                  "description": "Night time reduction"
                },
                {
                  "min": "0x04",
                  "max": "0x07",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Figure A Value",
            "shortcut": "ZA",
            "description": "Format according to TA:<br/>Byte-Order: Little-Endian!",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "min": "0x01",
                  "max": "0x07",
                  "description": "0 ... 4000",
                  "unit": "0.01°"
                },
                {
                  "min": "0x08",
                  "max": "0x0A",
                  "description": "Time 0000 ... 2359"
                },
                {
                  "min": "0x0B",
                  "max": "0x0C",
                  "description": "Date 0101 ... 3112"
                },
                {
                  "value": "0x0D",
                  "description": "0 ... 9999",
                  "unit": "lx"
                },
                {
                  "min": "0x0E",
                  "max": "0x10",
                  "description": "0 ... 10000",
                  "unit": "0.01%"
                },
                {
                  "value": "0x0F",
                  "description": "0 ... 9999",
                  "unit": "ppm"
                }
              ]
            }
          },
          {
            "data": "Heating",
            "shortcut": "Sa",
            "description": "optional",
            "info": {},
            "bitoffs": "39",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Off"
                },
                {
                  "value": "0x1",
                  "description": "On"
                }
              ]
            }
          },
          {
            "data": "Cooling",
            "shortcut": "Sb",
            "description": "optional",
            "info": {},
            "bitoffs": "38",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Off"
                },
                {
                  "value": "0x1",
                  "description": "On"
                }
              ]
            }
          },
          {
            "data": "Dew-Point",
            "shortcut": "Sc",
            "description": "optional",
            "info": {},
            "bitoffs": "37",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Warning"
                },
                {
                  "value": "0x1",
                  "description": "No warning"
                }
              ]
            }
          },
          {
            "data": "Window",
            "shortcut": "Sd",
            "description": "optional",
            "info": {},
            "bitoffs": "36",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Closed"
                },
                {
                  "value": "0x1",
                  "description": "Opened"
                }
              ]
            }
          },
          {
            "data": "User Notification",
            "shortcut": "Se",
            "description": "optional",
            "info": {},
            "bitoffs": "35",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Off"
                },
                {
                  "value": "0x1",
                  "description": "On"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message Type C / ID 03 (Repeated User Action on RCP)",
        "description": "Direction: Sensor -> Gateway<br/>\n            Fire and Forget<br/>\n            Response: None <br/>\n            Chaining: No<br/>\n            Timing: may only be sent within 5s from latest receipt of a Message Type B<br/>\n            <img>graphics/EEP_D2-00-01_Message_C.png</img><br/>",
        "condition": {
          "datafield": {
            "bitoffs": "5",
            "bitsize": "3",
            "value": "3"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "4",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id; 0x03",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "3",
                "description": "Message Id"
              }
            }
          },
          {
            "data": "Fan",
            "shortcut": "F",
            "description": {},
            "info": {},
            "bitoffs": "1",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "no change"
                },
                {
                  "value": "0x01",
                  "description": "Speed Level 0"
                },
                {
                  "value": "0x02",
                  "description": "Speed Level 1"
                },
                {
                  "value": "0x03",
                  "description": "Speed Level 2"
                },
                {
                  "value": "0x04",
                  "description": "Speed Level 3"
                },
                {
                  "value": "0x05",
                  "description": "Speed Level Auto"
                },
                {
                  "min": "0x06",
                  "max": "0x07",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Set Point A Type",
            "shortcut": "TA",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "no change"
                },
                {
                  "min": "0x01",
                  "max": "0x04",
                  "description": "not used"
                },
                {
                  "value": "0x05",
                  "description": "Temperature Set Point [°]"
                },
                {
                  "min": "0x06",
                  "max": "0x1F",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Presence",
            "shortcut": "PR",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "no change"
                },
                {
                  "value": "0x01",
                  "description": "Present"
                },
                {
                  "value": "0x02",
                  "description": "Not present"
                },
                {
                  "value": "0x03",
                  "description": "Night time reduction"
                },
                {
                  "min": "0x04",
                  "max": "0x07",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "Set Point A Value",
            "shortcut": "ZA",
            "description": "Format according to TA: 0x05 [0.01°]<br/><br/>Byte-Order: Little-Endian!",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "range": {
              "min": "-1270",
              "max": "+1270"
            },
            "scale": {
              "min": "-12.70",
              "max": "+12.70"
            },
            "unit": "°"
          }
        ]
      },
      {
        "title": "Message Type D / ID 04 (Measurement Result)",
        "description": "Direction: Sensor -> Gateway<br/>\n            Fire and Forget<br/>\n            Response: None<br/>\n            Chaining: No<br/>\n            Timing: None<br/>\n            <img>graphics/EEP_D2-00-01_Message_D.png</img><br/>",
        "condition": {
          "datafield": {
            "bitoffs": "5",
            "bitsize": "3",
            "value": "4"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "5"
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id;0x04",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "4",
                "description": "Message Id"
              }
            }
          },
          {
            "data": "Channel A Value",
            "shortcut": "VA (LSB)",
            "description": "Format according to TA:<br/><br/>LSB (Bit 7 ... 0)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "4000"
            },
            "scale": {
              "min": "0",
              "max": "40.00"
            },
            "unit": "°"
          },
          {
            "data": "Channel A Value",
            "shortcut": "VA (MSB)",
            "description": "See: VA (LSB)<br/><br/>MSB (Bit 11 ... 8)",
            "info": {},
            "bitoffs": "20",
            "bitsize": "4"
          },
          {
            "data": "Channel A Type",
            "shortcut": "TA",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Temperature [°C]"
                },
                {
                  "min": "0x01",
                  "max": "0x0E",
                  "description": "not used"
                },
                {
                  "value": "0x0F",
                  "description": "Measurement result not valid"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message Type E / ID 05 (Sensor Configuration)",
        "description": "Direction: Gateway -> Sensor<br/>\n            Reply to Message Type A<br/>\n            Response: None <br/>\n            Chaining: Up to 2 messages per chain<br/>\n            Timing: T2+ = 300ms<br/>\n            <img>graphics/EEP_D2-00-01_Message_E.png</img><br/>",
        "condition": {
          "datafield": {
            "bitoffs": "5",
            "bitsize": "3",
            "value": "5"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "28",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "44",
            "bitsize": "1"
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id; 0x05",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "5",
                "description": "Message Id"
              }
            }
          },
          {
            "data": "MoreData",
            "shortcut": "MD",
            "description": {},
            "info": {},
            "bitoffs": "4",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "no more data"
                },
                {
                  "value": "0x1",
                  "description": "more data will follow after T2+"
                }
              ]
            }
          },
          {
            "data": "Set Point Range Limit",
            "shortcut": "SPR",
            "description": "Limit of Set Point Range, absolute value:<br/><br/>\n                REMARK:<br/>Set Point Range shall be symmetrical to 0°",
            "info": {},
            "bitoffs": "9",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Set Point disabled"
                },
                {
                  "min": "0x01",
                  "max": "0x7F",
                  "description": "0,1° … 12,7° [0,1°]",
                  "scale": {
                    "min": "0.1",
                    "max": "12.7"
                  },
                  "unit": "°"
                }
              ]
            }
          },
          {
            "data": "Set PointSteps",
            "shortcut": "SPS",
            "description": "Number of Set Point Steps:<br/><br/>\n                REMARK:<br/>Specifies the number of equidistant steps between 0 and Set Point Range Limit",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Set Point disabled"
                },
                {
                  "min": "0x01",
                  "max": "0x7F",
                  "description": "1 … 127",
                  "scale": {
                    "min": "1",
                    "max": "127"
                  }
                }
              ]
            }
          },
          {
            "data": "Temperature Measurement Timing",
            "shortcut": "TT (LSB)",
            "description": "Time between two subsequent Temperature measurements\n                  <br/><br/>\n                  LSB (Bit 3 ... 0)",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Temperature measurement disabled"
                },
                {
                  "min": "0x01",
                  "max": "0x3C",
                  "description": "10 … 600s [10s]",
                  "scale": {
                    "min": "10",
                    "max": "600"
                  },
                  "unit": "s"
                }
              ]
            }
          },
          {
            "data": "Temperature Measurement Timing",
            "shortcut": "TT (MSB)",
            "description": "Time between two subsequent Temperature measurements\n                  <br/><br/>\n                  MSB (Bit 5 ... 4)",
            "info": {},
            "bitoffs": "38",
            "bitsize": "2"
          },
          {
            "data": "Fan",
            "shortcut": "F",
            "description": "Number of Fan Speed Levels available to user:",
            "info": {},
            "bitoffs": "35",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Fan Speed disabled"
                },
                {
                  "min": "0x1",
                  "max": "0x7",
                  "description": "1 … 7",
                  "scale": {
                    "min": "1",
                    "max": "7"
                  }
                }
              ]
            }
          },
          {
            "data": "Presence",
            "shortcut": "PR",
            "description": "Number of Presence Levels available to user",
            "info": {},
            "bitoffs": "32",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Presence disabled"
                },
                {
                  "min": "0x1",
                  "max": "0x7",
                  "description": "1 … 7",
                  "scale": {
                    "min": "1",
                    "max": "7"
                  }
                }
              ]
            }
          },
          {
            "data": "Keep Alive Timing",
            "shortcut": "KA",
            "description": "Number of measurements (without trigger of a message\n                  Type D) between two subsequent “Keep Alive messages”:",
            "info": {},
            "bitoffs": "45",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Transmission of measurement result with\n                      each Temperature measurement"
                },
                {
                  "min": "0x1",
                  "max": "0x7",
                  "description": "10 … 70 measurements [step-size 10]",
                  "scale": {
                    "min": "10",
                    "max": "70"
                  }
                }
              ]
            }
          },
          {
            "data": "Significant Temperature Difference",
            "shortcut": "ST",
            "description": "Difference between two subsequent temperature\n                measurements to trigger a Message Type D [0.2°]",
            "info": {},
            "bitoffs": "40",
            "bitsize": "4",
            "range": {
              "min": "0x0",
              "max": "0xF"
            },
            "scale": {
              "min": "0.0",
              "max": "3.0"
            },
            "unit": "°"
          }
        ]
      }
    ],
    "originalIndex": 139,
    "eep": "d2-00-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Room Control Panel (RCP)",
    "func_number": "0x00",
    "submitter": [
      "Fr. Sauter AG"
    ]
  },
  "d2-01-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "<br/><br/>",
    "case": [
      {
        "title": "CMD 0x1 - Actuator Set Output",
        "description": "This message is sent to an actuator. It controls switching / dimming of one or all channels of an actuator.\n\t\t\t<br/><br/>\n            <img>graphics/EEP_D2-01-xx_CMD_01.png</img>\n            <br/>\n   \t\t\tREMARK:<br/>\n            In case an Actuator Set Output message specifies a parameter that is not supported by the device being addresses, such device shall react as following:<br/>\n            - channel not supported by device -> ignore message<br/>\n            - dimming command to switching device -> no change of status<br/>\n            - dimming command with non supported speed -> dim with regular speed<br/>\n            <br/>\n            RECOMMENDATION:<br/>\n            Dimmers should take things like phase shifting into account to provide\n            dimming based on power consumption (results in brightness for lamps) rather than\n            interpreting percentage values as phase angle only.\n            <br/>\n            <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "1"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x01",
                "description": "ID 01"
              }
            }
          },
          {
            "data": "Dim value",
            "shortcut": "DV",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Switch to new output value"
                },
                {
                  "value": "0x01",
                  "description": "Dim to new output value – dim timer 1"
                },
                {
                  "value": "0x02",
                  "description": "Dim to new output value – dim timer 2"
                },
                {
                  "value": "0x03",
                  "description": "Dim to new output value – dim timer 3"
                },
                {
                  "value": "0x04",
                  "description": "Stop dimming"
                },
                {
                  "min": "0x05",
                  "max": "0x07",
                  "description": "not used"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Output value",
            "shortcut": "OV",
            "description": {},
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Output value 0% or OFF"
                },
                {
                  "min": "0x01",
                  "max": "0x64",
                  "description": "Output value 1% to 100% or ON"
                },
                {
                  "min": "0x65",
                  "max": "0x7E",
                  "description": "Not used"
                },
                {
                  "value": "0x7F",
                  "description": "Output value not valid / not applicable"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          }
        ]
      },
      {
        "title": "CMD 0x2 - Actuator Set Local",
        "description": "This message is sent to an actuator. It configures one or all channels of an actuator.\n                <br/>\n                <br/>Response Timing: None\n                <br/>\n                <br/>\n                RECOMMENDATION:\n                <br/>\n                In case the device implements an internal order for dim timers, this order\n                should be from “dim timer 1” (fast) to “dim timer 3” (slow).\n                The configured time shall always be interpreted for a full range (0 to 100%) dimming.\n                <br/>\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_02.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "2"
          }},
        "datafield": [
          {
            "data": "Taught-in devices",
            "shortcut": "d/e",
            "description": {},
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Disable taught-in devices (with different EEP)"
                },
                {
                  "value": "0b1",
                  "description": "Enable taught-in devices (with different EEP)"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "1",
            "bitsize": "3"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x02",
                "description": "ID 02"
              }
            }
          },
          {
            "data": "Over current shut down",
            "shortcut": "OC",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Over current shut down: static off"
                },
                {
                  "value": "0b1",
                  "description": "Over current shut down: automatic restart"
                }
              ]
            }
          },
          {
            "data": "reset over current shut down",
            "shortcut": "RO",
            "description": {},
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Reset over current shut down: not active"
                },
                {
                  "value": "0b1",
                  "description": "Reset over current shut down: trigger signal"
                }
              ]
            }
          },
          {
            "data": "Local control",
            "shortcut": "LC",
            "description": {},
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Disable local control"
                },
                {
                  "value": "0b1",
                  "description": "Enable local control"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Dim timer 3",
            "shortcut": "DT3",
            "description": {},
            "info": {},
            "bitoffs": "20",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Not used"
                },
                {
                  "min": "0x01",
                  "max": "0x0F",
                  "description": "Dim timer 3 [0,5 … 7,5s / steps 0,5s]"
                }
              ]
            }
          },
          {
            "data": "Dim timer 1",
            "shortcut": "DT1",
            "description": {},
            "info": {},
            "bitoffs": "28",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Not used"
                },
                {
                  "min": "0x01",
                  "max": "0x0F",
                  "description": "Dim timer 1 [0,5 … 7,5s / steps 0,5s]"
                }
              ]
            }
          },
          {
            "data": "Dim timer 2",
            "shortcut": "DT2",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Not used"
                },
                {
                  "min": "0x01",
                  "max": "0x0F",
                  "description": "Dim timer 2 [0,5 … 7,5s / steps 0,5s]"
                }
              ]
            }
          },
          {
            "data": "User interface indication",
            "shortcut": "d/n",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "User interface indication: day operation"
                },
                {
                  "value": "0b1",
                  "description": "User interface indication: night operation"
                }
              ]
            }
          },
          {
            "data": "Power Failure",
            "shortcut": "PF",
            "description": {},
            "info": {},
            "bitoffs": "25",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Disable Power Failure Detection"
                },
                {
                  "value": "0b1",
                  "description": "Enable Power Failure Detection"
                }
              ]
            }
          },
          {
            "data": "Default state",
            "shortcut": "DS",
            "description": {},
            "info": {},
            "bitoffs": "26",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Default state: 0% or OFF"
                },
                {
                  "value": "0b01",
                  "description": "Default state: 100% or ON"
                },
                {
                  "value": "0b10",
                  "description": "Default state: remember previous state"
                },
                {
                  "value": "0b11",
                  "description": "Not used"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x3 - Actuator Status Query",
        "description": "This message is sent to an actuator. It requests the status of one or all channels of an actuator.\n                <br/>\n                <br/>\n                Response Timing:<br/>\n                An Actuator Status Response message shall be received within a maximum of 300ms from the time of transmission of this message.\n                In case no such response is received within this time frame the action shall be treated as completed without result.\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_03.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "3"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x03",
                "description": "ID 03"
              }
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "3"
          }
        ]
      },
      {
        "title": "CMD 0x4 - Actuator Status Response",
        "description": "This message is sent by an actuator if one of the following events occurs:<br/>\n                          -\tStatus of one channel has been changed locally<br/>\n                          -\tMessage Actuator Status Query has been received<br/>\n                <br/>\n                Response Timing:<br/>\n                This message shall be sent within a maximum of 50ms from the time of reception of the Actuator Status Query message.<br/>\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_04.png</img>\n                <br/>\n                REMARK 1:<br/>\n                In case an Actuator Status Query message specifies a parameter that is not supported by the device being addresses, such device shall ignore the message and shall not answer using the Actuator Status Response message.<br/>\n                REMARK 2:<br/>\n                In case an Actuator Status Query message queries all output channels supported by a device being addresses, such device shall answer per each output channel by using an individual Actuator Measurement Response message.<br/>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "4"
          }},
        "datafield": [
          {
            "data": "Power Failure",
            "shortcut": "PF",
            "description": {},
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Power Failure Detection disabled/not supported"
                },
                {
                  "value": "0b1",
                  "description": "Power Failure Detection enabled"
                }
              ]
            }
          },
          {
            "data": "Power Failure Detection",
            "shortcut": "PFD",
            "description": {},
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Power Failure not detected/not supported/disabled"
                },
                {
                  "value": "0b1",
                  "description": "Power Failure Detected"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "2",
            "bitsize": "2"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x04",
                "description": "ID 04"
              }
            }
          },
          {
            "data": "Over current switch off",
            "shortcut": "OC",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Over current switch off: ready / not supported"
                },
                {
                  "value": "0b1",
                  "description": "Over current switch off: executed"
                }
              ]
            }
          },
          {
            "data": "Error level",
            "shortcut": "EL",
            "description": {},
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Error level 0: hardware OK"
                },
                {
                  "value": "0b01",
                  "description": "Error level 1: hardware warning"
                },
                {
                  "value": "0b10",
                  "description": "Error level 2: hardware failure"
                },
                {
                  "value": "0b11",
                  "description": "Error level not supported"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "Not applicable, do not use"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Local control",
            "shortcut": "LC",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Local control disabled / not supported"
                },
                {
                  "value": "0b1",
                  "description": "Local control enabled"
                }
              ]
            }
          },
          {
            "data": "Output value",
            "shortcut": "OV",
            "description": {},
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Output value 0% or OFF"
                },
                {
                  "min": "0x01",
                  "max": "0x64",
                  "description": "Output value 1% to 100% or ON"
                },
                {
                  "min": "0x65",
                  "max": "0x7E",
                  "description": "Not used"
                },
                {
                  "value": "0x7F",
                  "description": "output value not valid / not set"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x5 - Actuator Set Measurement",
        "description": "The command defines values at offset 32 and at offset 40 which\n              are the limits for the transmission periodicity of messages.\n              MIT must not be set to 0, MAT >= MIT.\n                <br/>\n                <br/>Response Timing: None\n                <br/>\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_05.png</img>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "5"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "20",
            "bitsize": "1"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x05",
                "description": "ID 05"
              }
            }
          },
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Report measurement: query only"
                },
                {
                  "value": "0b1",
                  "description": "Report measurement: query / auto reporting"
                }
              ]
            }
          },
          {
            "data": "Reset measurement",
            "shortcut": "RE",
            "description": {},
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Reset measurement: not active"
                },
                {
                  "value": "0b1",
                  "description": "Reset measurement: trigger signal"
                }
              ]
            }
          },
          {
            "data": "Measurement mode",
            "shortcut": "e/p",
            "description": {},
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Energy measurement"
                },
                {
                  "value": "0b1",
                  "description": "Power measurement"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Measurement delta to be reported (LSB)",
            "shortcut": "MD_LSB",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "N/A"
          },
          {
            "data": "Measurement delta to be reported (MSB)",
            "shortcut": "MD_MSB",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "N/A"
          },
          {
            "data": "Unit",
            "shortcut": "UN",
            "description": {},
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Energy [Ws]"
                },
                {
                  "value": "0x01",
                  "description": "Energy [Wh]"
                },
                {
                  "value": "0x02",
                  "description": "Energy [KWh]"
                },
                {
                  "value": "0x03",
                  "description": "Power [W]"
                },
                {
                  "value": "0x04",
                  "description": "Power [KW]"
                },
                {
                  "min": "0x05",
                  "max": "0x07",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "data": "Maximum time between two subsequent actuator messages",
            "shortcut": "MAT",
            "description": "Measurement Response messages [10s]",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "1",
                  "max": "255",
                  "scale": {
                    "min": "10",
                    "max": "2550"
                  },
                  "unit": "s"
                },
                {
                  "value": "0",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Minimum time between two subsequent actuator messages",
            "shortcut": "MIT",
            "description": "Measurement Response messages [s]",
            "info": {},
            "bitoffs": "40",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "1",
                  "max": "255",
                  "scale": {
                    "min": "1",
                    "max": "255"
                  },
                  "unit": "s"
                },
                {
                  "value": "0",
                  "description": "Reserved"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x6 - Actuator Measurement Query",
        "description": "This message is sent to an actuator. The actuator replies with an Actuator Measurement Response message.\n                <br/>\n                <br/>Response Timing:\n                <br/>An Actuator Message Response message shall be received within a maximum of 300ms from the time of transmission of this message.\nIn case no such response is received within this time frame the action shall be treated as completed without result.\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_06.png</img>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "6"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "data": "Query",
            "shortcut": "qu",
            "description": {},
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Query energy"
                },
                {
                  "value": "0b1",
                  "description": "Query power"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x7 - Actuator Measurement Response",
        "description": "This message is sent by an actuator if one of the following events occurs:<br/>\n              -\tMeasurement results trigger an automated transmission (see Actuator Set Measurement message)<br/>\n              -\tMessage Actuator Measurement Query has been received\n                <br/>\n                <br/>Response Timing:<br/>\n                This message shall be sent within a maximum of 50ms from the time of reception of the Actuator Measurement Query message.\n                <br/>\n                <img>graphics/EEP_D2-01-xx_CMD_07.png</img>\n                <br/>\n                REMARK 1:<br/>\n                In case an Actuator Measurement Query message specifies a parameter that is not supported by the device addressed, such device shall ignore the message and shall not answer using the Actuator Measurement Response message.\n                <br/>\n                REMARK 2:<br/>\n                In case an Actuator Measurement Query message queries all output channels supported by a device being addresses, such device shall answer per each output channel by using an individual Actuator Measurement Response message.\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "7"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x07",
                "description": "ID 07"
              }
            }
          },
          {
            "data": "Unit",
            "shortcut": "UN",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Energy [Ws]"
                },
                {
                  "value": "0x01",
                  "description": "Energy [Wh]"
                },
                {
                  "value": "0x02",
                  "description": "Energy [KWh]"
                },
                {
                  "value": "0x03",
                  "description": "Power [W]"
                },
                {
                  "value": "0x04",
                  "description": "Power [KW]"
                },
                {
                  "min": "0x05",
                  "max": "0x07",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "Not applicable, do not use"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Measurement value (4 bytes)",
            "shortcut": "MV",
            "description": "DB3 = MSB / DB0 = LSB",
            "info": {},
            "bitoffs": "16",
            "bitsize": "32",
            "range": {
              "min": "0",
              "max": "4294967295"
            },
            "unit": "N/A"
          }
        ]
      },
      {
        "title": "CMD 0x8 - Actuator Set Pilot Wire Mode",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_08.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "8"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "5"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x08",
                "description": "ID 08"
              }
            }
          },
          {
            "data": "Pilotwire mode",
            "shortcut": "PM",
            "description": {},
            "info": {},
            "bitoffs": "13",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Off"
                },
                {
                  "value": "0x01",
                  "description": "Comfort"
                },
                {
                  "value": "0x02",
                  "description": "Eco"
                },
                {
                  "value": "0x03",
                  "description": "Anti-freeze"
                },
                {
                  "value": "0x04",
                  "description": "Comfort-1"
                },
                {
                  "value": "0x05",
                  "description": "Comfort-2"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x9 - Actuator Pilot Wire Mode Query",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_09.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "9"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x09",
                "description": "ID 09"
              }
            }
          }
        ]
      },
      {
        "title": "CMD 0xA - Actuator Pilot Wire Mode Response",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_0A.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "10"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "5"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x0A",
                "description": "ID 0A"
              }
            }
          },
          {
            "data": "Pilotwire mode",
            "shortcut": "PM",
            "description": {},
            "info": {},
            "bitoffs": "13",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Off"
                },
                {
                  "value": "0x01",
                  "description": "Comfort"
                },
                {
                  "value": "0x02",
                  "description": "Eco"
                },
                {
                  "value": "0x03",
                  "description": "Anti-freeze"
                },
                {
                  "value": "0x04",
                  "description": "Comfort-1"
                },
                {
                  "value": "0x05",
                  "description": "Comfort-2"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0xB - Actuator Set External Interface Settings",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_0B.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "11"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "51",
            "bitsize": "5"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x0B",
                "description": "ID 0B"
              }
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Auto OFF Timer",
            "shortcut": "AOT",
            "description": "Timer to automatically set OFF output channel when it is set ON",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0000",
                  "description": "Timer deactivated"
                },
                {
                  "min": "0x0001",
                  "max": "0xFFFE",
                  "scale": {
                    "min": "0.1",
                    "max": "6553.4"
                  },
                  "unit": "s"
                },
                {
                  "value": "0xFFFF",
                  "description": "Does not modify saved value"
                }
              ]
            }
          },
          {
            "data": "Delay OFF Timer",
            "shortcut": "DOT",
            "description": "Delay timer before setting output channel to OFF value received by radio cmd",
            "info": {},
            "bitoffs": "32",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0000",
                  "description": "Timer deactivated"
                },
                {
                  "min": "0x0001",
                  "max": "0xFFFE",
                  "scale": {
                    "min": "0.1",
                    "max": "6553.4"
                  },
                  "unit": "s"
                },
                {
                  "value": "0xFFFF",
                  "description": "Does not modify saved value"
                }
              ]
            }
          },
          {
            "data": "External Switch/Push Button",
            "shortcut": "EBM",
            "description": "External interface mode",
            "info": {},
            "bitoffs": "48",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Not applicable"
                },
                {
                  "value": "0b01",
                  "description": "External Switch"
                },
                {
                  "value": "0b10",
                  "description": "External Push Button"
                },
                {
                  "value": "0b11",
                  "description": "Auto detect"
                }
              ]
            }
          },
          {
            "data": "2-state switch",
            "shortcut": "SWT",
            "description": "Switching state",
            "info": {},
            "bitoffs": "50",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Change of key state sets ON or OFF"
                },
                {
                  "value": "0b01",
                  "description": "Specific ON/OFF positions.<br/>\n                    ON when contacts are closed.<br/>\n                    OFF when contacts are open."
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0xC - Actuator External Interface Settings Query",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_0C.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "12"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "3"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x0C",
                "description": "ID 0C"
              }
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "All output channels supported by the device"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0xD - Actuator External Interface Settings Response",
        "description": "<img>graphics/EEP_D2-01-xx_CMD_0D.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "13"
          }},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "51",
            "bitsize": "5"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x0D",
                "description": "ID 0D"
              }
            }
          },
          {
            "data": "I/O channel",
            "shortcut": "I/O",
            "description": {},
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x1D",
                  "description": "Output channel (to load)"
                },
                {
                  "value": "0x1E",
                  "description": "Not applicable"
                },
                {
                  "value": "0x1F",
                  "description": "Input channel (from mains supply)"
                }
              ]
            }
          },
          {
            "data": "Auto OFF Timer",
            "shortcut": "AOT",
            "description": "Timer to automatically set OFF output channel when it is set ON",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0000",
                  "description": "Timer deactivated"
                },
                {
                  "min": "0x0001",
                  "max": "0xFFFE",
                  "scale": {
                    "min": "0.1",
                    "max": "6553.4"
                  },
                  "unit": "s"
                },
                {
                  "value": "0xFFFF",
                  "description": "Does not modify saved value"
                }
              ]
            }
          },
          {
            "data": "Delay OFF Timer",
            "shortcut": "DOT",
            "description": "Delay timer before setting output channel to OFF value received by radio cmd",
            "info": {},
            "bitoffs": "32",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0000",
                  "description": "Timer deactivated"
                },
                {
                  "min": "0x0001",
                  "max": "0xFFFE",
                  "scale": {
                    "min": "0.1",
                    "max": "6553.4"
                  },
                  "unit": "s"
                },
                {
                  "value": "0xFFFF",
                  "description": "Does not modify saved value"
                }
              ]
            }
          },
          {
            "data": "External Switch/Push Button",
            "shortcut": "EBM",
            "description": "External interface mode",
            "info": {},
            "bitoffs": "48",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Not applicable"
                },
                {
                  "value": "0b01",
                  "description": "External Switch"
                },
                {
                  "value": "0b10",
                  "description": "External Push Button"
                },
                {
                  "value": "0b11",
                  "description": "Auto detect"
                }
              ]
            }
          },
          {
            "data": "2-state switch",
            "shortcut": "SWT",
            "description": "Switching state",
            "info": {},
            "bitoffs": "50",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Change of key state sets ON or OFF"
                },
                {
                  "value": "0b01",
                  "description": "Specific ON/OFF positions.\n                      <br/>ON when contacts are closed.\n                      <br/>OFF when contacts are open."
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 140,
    "eep": "d2-01-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "Team"
    ]
  },
  "d2-01-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 141,
    "eep": "d2-01-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-02": {
    "$t": "",
    "number": "0x02",
    "title": "Type 0x02 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 142,
    "eep": "d2-01-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-03": {
    "$t": "",
    "number": "0x03",
    "title": "Type 0x03 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 143,
    "eep": "d2-01-03",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-04": {
    "$t": "",
    "number": "0x04",
    "title": "Type 0x04 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 144,
    "eep": "d2-01-04",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-05": {
    "$t": "",
    "number": "0x05",
    "title": "Type 0x05 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 145,
    "eep": "d2-01-05",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-06": {
    "$t": "",
    "number": "0x06",
    "title": "Type 0x06 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 146,
    "eep": "d2-01-06",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-07": {
    "$t": "",
    "number": "0x07",
    "title": "Type 0x07 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 147,
    "eep": "d2-01-07",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-08": {
    "$t": "",
    "number": "0x08",
    "title": "Type 0x08 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 148,
    "eep": "d2-01-08",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-09": {
    "$t": "",
    "number": "0x09",
    "title": "Type 0x09 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 149,
    "eep": "d2-01-09",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-0a": {
    "$t": "",
    "number": "0x0A",
    "title": "Type 0x0A (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 150,
    "eep": "d2-01-0a",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-0b": {
    "$t": "",
    "number": "0x0B",
    "title": "Type 0x0B (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 151,
    "eep": "d2-01-0b",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-0c": {
    "$t": "",
    "number": "0x0C",
    "title": "Type 0x0C",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Description</span>\n            <br/>Intended for heating module with Pilotwire command and Energy Measurement.\n            <br/>Pilot wire includes 6 different modes:\n            <br/>- Off\n            <br/>- Comfort\n            <br/>- Eco\n            <br/>- Anti-freeze\n            <br/>- Comfort-1°C\n            <br/>- Comfort-2°C\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: bidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event-triggered\n            <br/>Communication interval: at each state change / every 5 minutes\n            <br/>Trigger event: actuator status change, consumption information change\n            <br/>Tx delay: -\n            <br/>Rx timeout: -\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: Universal teach-in (UTE)\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/>\n          <table>\n          <tr>\n          <th>Supported command</th>\n          <th>Type 0x0C</th>\n          </tr>\n          <tr>\n            <td>0x1 – Actuator Set Output</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x2 – Actuator Set Local</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x3 – Actuator Status Query</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x4 – Actuator Status Response</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x5 – Actuator Set Measurement</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x6 – Actuator Measurement Query</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x7 – Actuator Measurement Response</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x8 – Actuator Set Pilot Wire Mode</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0x9 – Actuator Pilot Wire Mode Query</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          <tr>\n            <td>0xA – Actuator Pilot Wire Mode Response</td>\n            <td style=\"background-color:#FFFFFF\">X</td>\n          </tr>\n          </table>\n          <br/>\n          <span style=\"border-bottom:2px groove #000000;\">Telegram Definition</span>\n          <br/>\n          The telegrams corresponding to Command IDs: 0x1, 0x2, 0x3, 0x4, 0x5, 0x6\n          and 0x7 are already defined in EEP V2.6.2 and do not change.\n          <br/>\n          <br/>",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 152,
    "eep": "d2-01-0c",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "AVIDSEN"
    ]
  },
  "d2-01-0d": {
    "$t": "",
    "number": "0x0D",
    "title": "Type 0x0D",
    "status": "released",
    "description": "\n\t\t      <br/>\n\t\t      <br/>\n              <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Description for TYPE 0x0D, 0x0E, 0x0F, 0x12</span>\n\t\t      <br/>\n              <br/>Add three commands:\n              <br/>- CMD 0xB – Actuator Set External Interface Settings\n              <br/>- CMD 0xC – Actuator External Interface Settings Query\n              <br/>- CMD 0xD – Actuator External Interface Settings Response\n              <br/>\n              <br/>Supported functions:\n              <br/>- External Switch/Push Button Control\n              <br/>- External Switch/Push Button Type (Bi-stable or Mono-stable / 2-state switch)\n              <br/>- Auto OFF Timer\n              <br/>- Delay OFF Timer\n              <br/>\n              <br/>Add D2-01-0D profile – Micro smart plug with 1 channel, no metering capabilities\n              <br/>Add D2-01-0E profile – Micro smart plug with 1 channel, and metering capabilities\n              <br/>Add D2-01-0F profile – Slot-in module with 1 channel, no metering capabilities\n              <br/>Add D2-01-12 profile – Slot-in module with 2 channels, no metering capabilities\n              <br/>\n              <br/>These new profiles are modifications of the existing ones, please find below a listing:\n              <br/>- Profile D2-01-0D is all same as D2-01-0A but with one modification\n              <br/>- Profile D2-01-0E is all same as D2-01-0B but with one modification\n              <br/>- Profiles D2-01-0F is all same as D2-01-0A but with three modifications\n              <br/>- Profiles D2-01-12 is all same as D2-01-0A but with four modifications\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <br/><span style=\"border-bottom:2px groove #000000;\">Description of new supported functions</span><br/>\n\t\t      <br/><b>External Switch/Push Button Control</b>\n\t\t      <br/><br/>\n              As for “Local Control” function, it indicates if the product can be\n              controlled using an additional physical interface, as an external\n              push button or wall switch. This interface is not directly integrated\n              to the product, but can be connected using wires.\n              <br/>\n\t\t      <br/><b>External Switch/Push Button Type</b>\n              <ul><li>Bi-stable or Mono-stable:\n              <br/>\n              External interface can be composed of bi-stable button (switch) or\n              mono-stable button (push button). Depending of the type selected,\n              the product will have different reactions when switch/push button\n              actions are detected.\n              <br/>\n              - If bi-stable button type selected, each change of state (open or\n              close) toggle the output.\n              <br/>\n              - If mono-stable button type selected, first change of state (open\n              or close) toggle the output, second change (close or open) is\n              ignored, and output remains unchanged.\n\t\t      <br/>\n              NOTE: If the product has more than one output, the external interface\n              type is applied for all outputs.\n              </li></ul>\n              <ul><li>2-state switch:\n              <br/>\n              This parameter is effective only if external switch/push button type\n              is set as “bi-stable”. When this setting is enabled, the device will\n              turn ON output(s) when contacts are closed and turn OFF output(s)\n              when contacts are open. When this setting is disabled (default mode),\n              a change of contacts state will toggle the output(s).\n              </li></ul>\n\t\t      <br/><b>Auto OFF Timer</b>\n\t\t      <br/>\n              This functions turns OFF the output when time elapsed.\n\t\t      <br/>\n              Use case: In corridor, when you turn ON the light, you want it\n              to be turned OFF automatically after a certain time.\n              <br/>\n              <br/><b>Delay OFF Timer</b>\n              <br/>\n              When the device receives a valid radio command, setting an output state to OFF,\n              instead of setting immediately the new output state, this function set\n              the new output state when time elapsed.\n              <br/>\n              Use Case: In hotel room, when you send a radio command (removing card\n              from card switch) to turn OFF the light, instead, turn OFF light after\n              a certain time, to allow people to leave the room.\n              <br/>\n              <br/>\n\t\t      The addition of these functions required three new commands:\n              <br/>- CMD 0xB – Actuator Set External Interface Settings\n              <br/>- CMD 0xC – Actuator External Interface Settings Query\n\t\t      <br/>- CMD 0xD – Actuator External Interface Settings Response\n              <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n\t\t      <br/>Direction: bidirectional\n\t\t      <br/>Addressing: broadcast\n\t\t      <br/>Communication trigger: event triggered\n\t\t      <br/>Communication interval: no fix interval\n\t\t      <br/>Trigger event: actuator status change, consumption information\n\t\t      <br/>Tx delay: -\n\t\t      <br/>Rx timeout: -\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n\t\t      <br/>Teach-in method: Universal teach-in (UTE)\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Security</span>\n\t\t      <br/>Encryption supported: no\n\t\t      <br/>Security level format: -\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <br/>\n              <table>\n\t\t        <tr>\n\t\t          <th>Supported command</th>\n\t\t          <th>Type 0x0D</th>\n\t\t          <th>Type 0x0E</th>\n\t\t          <th>Type 0x0F</th>\n\t\t          <th>Type 0x12</th>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x1 – Actuator Set Output</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x2 – Actuator Set Local</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x3 – Actuator Status Query</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x4 – Actuator Status Response</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x5 – Actuator Set Measurement</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x6 – Actuator Measurement Query</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x7 – Actuator Measurement Response</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x8 – Actuator Set Pilot Wire Mode</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0x9 – Actuator Pilot Wire Mode Query</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xA – Actuator Pilot Wire Mode Response</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xB – Actuator Set External Interface Settings</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xC – Actuator External Interface Settings Query</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t        <tr>\n\t\t          <td>0xD – Actuator External Interface Settings Response</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">-</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t          <td style=\"background-color:#FFFFFF\">X</td>\n\t\t        </tr>\n\t\t      </table>\n\t\t      <br/>",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 153,
    "eep": "d2-01-0d",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "ID-RF"
    ]
  },
  "d2-01-0e": {
    "$t": "",
    "number": "0x0E",
    "title": "Type 0x0E",
    "status": "released",
    "description": "\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Description see TYPE 0x0D</span>\n\t\t      <br/>\n\t\t      <br/>",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 154,
    "eep": "d2-01-0e",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "ID-RF"
    ]
  },
  "d2-01-0f": {
    "$t": "",
    "number": "0x0F",
    "title": "Type 0x0F",
    "status": "released",
    "description": "\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Description see TYPE 0x0D</span>\n\t\t      <br/>\n\t\t      <br/>",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 155,
    "eep": "d2-01-0f",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "ID-RF"
    ]
  },
  "d2-01-10": {
    "$t": "",
    "number": "0x10",
    "title": "Type 0x10 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 156,
    "eep": "d2-01-10",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-11": {
    "$t": "",
    "number": "0x11",
    "title": "Type 0x11 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 157,
    "eep": "d2-01-11",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": []
  },
  "d2-01-12": {
    "$t": "",
    "number": "0x12",
    "title": "Type 0x12",
    "status": "released",
    "description": "\n\t\t      <br/>\n\t\t      <br/>\n\t\t      <span style=\"border-bottom:2px groove #000000;\">Description see TYPE 0x0D</span>\n\t\t      <br/>\n\t\t      <br/>",
    "ref": {
      "rorg": "D2",
      "func": "01",
      "type": "00"
    },
    "originalIndex": 158,
    "eep": "d2-01-12",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Electronic switches and dimmers with Energy Measurement and Local Control",
    "func_number": "0x01",
    "submitter": [
      "ID-RF"
    ]
  },
  "d2-02-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "CMD 0x1 - Sensor Measurement",
        "description": "This message is sent by a sensor if one of the following events occurs:\n                <br/>\n                <br/>- Measurement results trigger an automated transmission (see Actuator Set Measurement message)\n                <br/>\n                <br/>- Message Actuator Measurement Query has been received\n                <br/>\n                <br/>Response Timing: None\n                <br/>\n                <br/>\n                <img>graphics/EEP_D2-02-xx_CMD_01.png</img>\n                <br/>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x01",
                "description": "ID 01"
              }
            }
          },
          {
            "data": "Measurement type",
            "shortcut": "type",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Temperature (0…65535: -40 to +120°C)"
                },
                {
                  "value": "0x01",
                  "description": "Illumination (0…65535: 0 to 2047lx)"
                },
                {
                  "value": "0x02",
                  "description": "Occupancy (0: not detected; 1: detected)"
                },
                {
                  "value": "0x03",
                  "description": "Smoke\n                      <br/>The following content applies for the value in DB_0 and DB_1:\n                      <br/>0x00 - No smoke detected\n                      <br/>0x01 - Smoke detected via ionization chamber\n                      <br/>0x02 - Smoke detected via optical chamber\n                      <br/>0x03 - Smoke detected via both chambers\n                      <br/>"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "11",
            "bitsize": "5"
          },
          {
            "data": "Measurement value (2 bytes)",
            "shortcut": "MV",
            "description": "DB_0 = LSB / DB_1 = MSB",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "65535"
            },
            "unit": "N/A"
          }
        ]
      },
      {
        "title": "CMD 0x2 - Sensor Test/Trigger",
        "description": "This message is sent to a sensor.\n              It causes the sensor to enter self-test mode or trigger an alarm (if supported).\n                <br/>\n                <br/>Response Timing: None\n                <br/>\n                <br/>\n                <img>graphics/EEP_D2-02-xx_CMD_02.png</img>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x02",
                "description": "ID 02"
              }
            }
          },
          {
            "data": "Self-test",
            "shortcut": "ST",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Self-test mode"
                },
                {
                  "value": "0b1",
                  "description": "Normal operation"
                }
              ]
            }
          },
          {
            "data": "Trigger alarm",
            "shortcut": "TA",
            "description": {},
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Trigger alarm"
                },
                {
                  "value": "0b1",
                  "description": "Normal operation"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "10",
            "bitsize": "6"
          }
        ]
      },
      {
        "title": "CMD 0x3 - Actuator Set Measurement",
        "description": "This message is sent to a sensor. It configures the measurement behaviour of the sensor.\n                <br/>\n                <br/>Response Timing: None\n                <br/>\n                <br/>\n                <img>graphics/EEP_D2-02-xx_CMD_03.png</img>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x03",
                "description": "ID 03"
              }
            }
          },
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0b0",
                  "description": "Report measurement: query only"
                },
                {
                  "value": "0b1",
                  "description": "Report measurement: query / auto reporting"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "9",
            "bitsize": "7"
          },
          {
            "data": "Measurement delta to be reported (LSB)",
            "shortcut": "MD_LSB",
            "description": {},
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "N/A"
          },
          {
            "data": "Measurement delta to be reported (MSB)",
            "shortcut": "MD_MSB",
            "description": {},
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "N/A"
          },
          {
            "reserved": {},
            "bitoffs": "20",
            "bitsize": "1"
          },
          {
            "data": "Unit",
            "shortcut": "UN",
            "description": {},
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "Temperature (°C)"
                },
                {
                  "value": "0x01",
                  "description": "Illumination (lx)"
                },
                {
                  "min": "0x02",
                  "max": "0x07",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "data": "Maximum time between two subsequent Actuator",
            "shortcut": "MAT",
            "description": "Measurement Response messages [10s]",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "10",
              "max": "2550"
            },
            "unit": "s"
          },
          {
            "data": "Minimum time between two subsequent Actuator",
            "shortcut": "MIT",
            "description": "Measurement Response messages [s]",
            "info": {},
            "bitoffs": "40",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "255"
            },
            "unit": "s"
          }
        ]
      },
      {
        "title": "CMD 0x4 - Sensor Measurement Query",
        "description": "This message is sent to a sensor. The sensor replies with an Sensor Measurement message.\n                <br/>\n                <br/>Response Timing:\n                <br/>A Sensor Measurement message shall be received within a maximum of\n                300ms from the time of transmission of this message.\n                <br/>In case no such response is received within this time frame the action\n                shall be treated as completed without result.\n                <br/>\n                <img>graphics/EEP_D2-02-xx_CMD_04.png</img>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x04",
                "description": "ID 04"
              }
            }
          },
          {
            "data": "Query",
            "shortcut": "qu",
            "description": {},
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Query temperature"
                },
                {
                  "value": "0x1",
                  "description": "Query illumination"
                },
                {
                  "value": "0x2",
                  "description": "Query occupancy"
                },
                {
                  "value": "0x3",
                  "description": "Query smoke"
                },
                {
                  "min": "0x4",
                  "max": "0x7",
                  "description": "Not used"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "11",
            "bitsize": "5"
          }
        ]
      }
    ],
    "originalIndex": 159,
    "eep": "d2-02-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Sensors for Temperature, Illumination, Occupancy And Smoke",
    "func_number": "0x02",
    "submitter": [
      "MSR-Office"
    ]
  },
  "d2-02-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "02",
      "type": "00"
    },
    "originalIndex": 160,
    "eep": "d2-02-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Sensors for Temperature, Illumination, Occupancy And Smoke",
    "func_number": "0x02",
    "submitter": []
  },
  "d2-02-02": {
    "$t": "",
    "number": "0x02",
    "title": "Type 0x02 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "02",
      "type": "00"
    },
    "originalIndex": 161,
    "eep": "d2-02-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Sensors for Temperature, Illumination, Occupancy And Smoke",
    "func_number": "0x02",
    "submitter": []
  },
  "d2-03-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n                <b>EEP Properties:</b>\n                <br/>DATA EXCHANGE\n                <br/>Direction: unidirectional\n                <br/>Addressing: broadcast\n                <br/>Communication trigger: event-triggered\n                <br/>Communication interval: N/A\n                <br/>Trigger event: N/A\n                <br/>Tx delay: N/A\n                <br/>Rx timeout : N/A\n                <br/>\n                <br/>TEACH-IN\n                <br/>Teach-in method: Universal teach-in (UTE) + Secure Teach-in (for secure communication)\n                <br/>\n                <br/>SECURITY\n                <br/>Encryption supported: yes\n                <br/>\n                <br/>\n                <br/>\n                <b>EEP Family Table:</b>\n                <br/><br/>\n            <table>\n              <tr>\n                <th>Supported function</th>\n                <th>Type 00</th>\n              </tr>\n              <tr>\n                <td>2 Rocker Switch</td>\n                <td style=\"background-color:#FFFFFF\">X</td>\n              </tr>\n            </table>",
    "case": [
      {
        "description": "The encrypted telegram has the R-ORG 0x30. The payload (4 bits) is encrypted.\n              That telegram can be repeated. After decryption and the authentication of the CMAC,\n              the telegram turns into a non-encrypted EnOcean telegram with the R-ORG 0x32.\n              The payload will be expanded to 8 bits (4 MSB set to zero) and can then be\n              interpreted as described in the telegram definition table.\n                <br/>\n                <br/>The decrypted telegram may not be repeated as the information is not secure anymore.\n              The following table provides information about the conversion between the profiles\n              D2-03-00 and F6-02-01:\n                <br/>\n                <br/>\n                <table>\n                  <tr>\n                    <th>D2-03-00 DATA</th>\n                    <th>F6-02-01 DATA</th>\n                    <th>F6-02-01 STATUS</th>\n                  </tr>\n                  <tr>\n                    <td>0...4</td>\n                    <td style=\"background-color:#F1FFB7\">-</td>\n                    <td style=\"background-color:#F1FFB7\">-</td>\n                  </tr>\n                  <tr>\n                    <td>5</td>\n                    <td style=\"background-color:#F1FFB7\">0x17</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>6</td>\n                    <td style=\"background-color:#F1FFB7\">0x70</td>\n                    <td style=\"background-color:#F1FFB7\">0x20</td>\n                  </tr>\n                  <tr>\n                    <td>7</td>\n                    <td style=\"background-color:#F1FFB7\">0x37</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>8</td>\n                    <td style=\"background-color:#F1FFB7\">0x10</td>\n                    <td style=\"background-color:#F1FFB7\">0x20</td>\n                  </tr>\n                  <tr>\n                    <td>9</td>\n                    <td style=\"background-color:#F1FFB7\">0x15</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>10</td>\n                    <td style=\"background-color:#F1FFB7\">0x35</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>11</td>\n                    <td style=\"background-color:#F1FFB7\">0x50</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>12</td>\n                    <td style=\"background-color:#F1FFB7\">0x70</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>13</td>\n                    <td style=\"background-color:#F1FFB7\">0x10</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>14</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                    <td style=\"background-color:#F1FFB7\">0x30</td>\n                  </tr>\n                  <tr>\n                    <td>15</td>\n                    <td style=\"background-color:#F1FFB7\">bxxx0xxxx</td>\n                    <td style=\"background-color:#F1FFB7\">0x20</td>\n                  </tr>\n                </table>\n                <br/>\n                <br/>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Rocker Information",
            "shortcut": "RI2",
            "description": "Information about pressed rockers (similar to RPS profiles)",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Button A1 + B0 pressed, energy bow pressed"
                },
                {
                  "value": "6",
                  "description": "3 or 4 buttons pressed, energy bow pressed"
                },
                {
                  "value": "7",
                  "description": "Button A0 + B0 pressed, energy bow pressed"
                },
                {
                  "value": "8",
                  "description": "No buttons pressed, energy bow pressed"
                },
                {
                  "value": "9",
                  "description": "Button A1 + B1 pressed, energy bow pressed"
                },
                {
                  "value": "10",
                  "description": "Button A0 + B1 pressed, energy bow pressed"
                },
                {
                  "value": "11",
                  "description": "Button B1 pressed, energy bow pressed"
                },
                {
                  "value": "12",
                  "description": "Button B0 pressed, energy bow pressed"
                },
                {
                  "value": "13",
                  "description": "Button A1 pressed, energy bow pressed"
                },
                {
                  "value": "14",
                  "description": "Button A0 pressed, energy bow pressed"
                },
                {
                  "value": "15",
                  "description": "Energy bow released"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 162,
    "eep": "d2-03-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Light, Switching + Blind Control",
    "func_number": "0x03",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "d2-03-10": {
    "number": "0x10",
    "title": "Mechanical Handle",
    "status": "released",
    "description": "\n              <br/>\n              <br/>This document contains the description of\n              <span style=\"border-bottom:2px groove #000000;\">decrypted</span> mechanical handle data.\n              The mechanical handle profile must be redefined because there is no\n              status field in EnOcean security available.\n              <br/>\n              <br/>\n              <b>EEP Properties:</b>\n              <br/>DATA EXCHANGE\n              <br/>Direction: unidirectional\n              <br/>Addressing: broadcast\n              <br/>Communication trigger: event-triggered\n              <br/>Communication interval: N/A\n              <br/>Trigger event: rotate mechanical handle\n              <br/>Tx delay: N/A\n              <br/>Rx timeout: N/A\n              <br/>\n              <br/>TEACH-IN\n              <br/>Teach-in method: Secure Teach-in, followed by special RPS teach-in\n              sequence: Mechanical handle (closed => opened => closed within 2s)\n              <br/>\n              <br/>SECURITY\n              <br/>Encryption supported: yes\n              <br/>Security level format:",
    "case": [
      {
        "datafield": {
          "data": "Window handle, decrypted data",
          "shortcut": "WIN",
          "description": "Movement of the window handle",
          "bitoffs": "0",
          "bitsize": "8",
          "enum": {
            "item": [
              {
                "value": "0b00000001",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_01.png</img>"
              },
              {
                "value": "0b00000010",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_02.png</img>"
              },
              {
                "value": "0b00000011",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_03.png</img>"
              },
              {
                "value": "0b00000100",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_04.png</img>"
              },
              {
                "value": "0b00000011",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_05.png</img>"
              },
              {
                "value": "0b00000010",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_06.png</img>"
              },
              {
                "value": "0b00000011",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_07.png</img>"
              },
              {
                "value": "0b00000100",
                "description": "<br/>\n                      <img style=\"width:70mm;margin:0;position:float\">graphics/Window_Handle_08.png</img>"
              }
            ]
          }
        }
      }
    ],
    "originalIndex": 163,
    "eep": "d2-03-10",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Light, Switching + Blind Control",
    "func_number": "0x03",
    "submitter": [
      "Eltako"
    ]
  },
  "d2-03-20": {
    "number": "0x20",
    "title": "Beacon with Vibration Detection",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Description</span>\n              <br/>\n              This profile is defined for the use in beacon devices.\n              Such devices transmit if the telegram was triggered by a vibration or the timer.\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n              <br/>Direction: unidirectional\n              <br/>Addressing: broadcast\n              <br/>Communication trigger: event- & time-triggered\n              <br/>Communication interval: -\n              <br/>Trigger event: Vibration (movement), timer\n              <br/>Tx delay: -\n              <br/>Rx timeout: -\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n              <br/>Teach-in method: N/A\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Security</span>\n              <br/>Encryption supported: no\n              <br/>Security level format: -\n              <br/>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Appendix</span>\n              <br/>\n              This beacon device can send a radio telegram at a prescribed timing.\n              The receiver can detect the beacon device with this transmission.\n              This device, when attached to a human body, can also be made into a\n              wide variety of beacon-based systems, which keep people within the\n              safe area, or keep them out of the danger zone.\n              <br/><br/>\n              This device can replace a battery with a vibration power generator.\n              The beacon device harvests power from human walking motion and\n              activates the radio transmitter circuit; it does not require\n              batteries of any kind, enabling maintenance-free operation in many\n              applications.\n              <br/><br/>\n              The product to be immediately released comes with no switches, and\n              the future product, to follow soon, will be equipped with pushbuttons\n              for wider application possibilities.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "1",
            "bitsize": "7"
          },
          {
            "data": "Energy Supply",
            "shortcut": "ES",
            "description": "Defines the energy source for the transmission",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Battery supply"
                },
                {
                  "value": "1",
                  "description": "Vibration generator supply"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 164,
    "eep": "d2-03-20",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Light, Switching + Blind Control",
    "func_number": "0x03",
    "submitter": [
      "Star Micronics Co., LTD."
    ]
  },
  "d2-04-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "description": "The manufacturer will indicate emission rates versus battery autonomy and day night status.\n                <br/>\n                <br/>",
        "datafield": [
          {
            "data": "CO2",
            "shortcut": "CO2",
            "description": "Concentration (linear), 1 LSB = 7.84 ppm\n                  <br/>Or\n                  <br/>Concentration (linear), 1 LSB = 19.6 ppm",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "2000 (or 5000)"
            },
            "unit": "ppm"
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Rel. Humidity (linear), 1 LSB = 0.5 %",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "200"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Temperature (linear), 1 LSB = 0.2 °C",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+51"
            },
            "unit": "°C"
          },
          {
            "data": "Day/Night",
            "shortcut": "DN",
            "description": "...",
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Day"
                },
                {
                  "value": "1",
                  "description": "Night"
                }
              ]
            }
          },
          {
            "data": "Battery autonomy",
            "shortcut": "BA",
            "description": "Battery autonomy",
            "info": {},
            "bitoffs": "25",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "100 - 87.5 %"
                },
                {
                  "value": "1",
                  "description": "87.5 - 75 %"
                },
                {
                  "value": "2",
                  "description": "75 - 62.5 %"
                },
                {
                  "value": "3",
                  "description": "62.5 - 50 %"
                },
                {
                  "value": "4",
                  "description": "50 - 37.5 %"
                },
                {
                  "value": "5",
                  "description": "37.5 - 25 %"
                },
                {
                  "value": "6",
                  "description": "25 - 12.5 %"
                },
                {
                  "value": "7",
                  "description": "12.5 - 0 %"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "28",
            "bitsize": "4"
          }
        ]
      }
    ],
    "originalIndex": 165,
    "eep": "d2-04-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": [
      "NanoSense"
    ]
  },
  "d2-04-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 166,
    "eep": "d2-04-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-02": {
    "$t": "",
    "number": "0x02",
    "title": "Type 0x02 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 167,
    "eep": "d2-04-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-03": {
    "$t": "",
    "number": "0x03",
    "title": "Type 0x03 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 168,
    "eep": "d2-04-03",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-04": {
    "$t": "",
    "number": "0x04",
    "title": "Type 0x04 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 169,
    "eep": "d2-04-04",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-05": {
    "$t": "",
    "number": "0x05",
    "title": "Type 0x05 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 170,
    "eep": "d2-04-05",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-06": {
    "$t": "",
    "number": "0x06",
    "title": "Type 0x06 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 171,
    "eep": "d2-04-06",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-07": {
    "$t": "",
    "number": "0x07",
    "title": "Type 0x07 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 172,
    "eep": "d2-04-07",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-08": {
    "$t": "",
    "number": "0x08",
    "title": "Type 0x08 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 173,
    "eep": "d2-04-08",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-09": {
    "$t": "",
    "number": "0x09",
    "title": "Type 0x09 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 174,
    "eep": "d2-04-09",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-10": {
    "$t": "",
    "number": "0x10",
    "title": "Type 0x10 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 175,
    "eep": "d2-04-10",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-1a": {
    "$t": "",
    "number": "0x1A",
    "title": "Type 0x1A (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 176,
    "eep": "d2-04-1a",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-1b": {
    "$t": "",
    "number": "0x1B",
    "title": "Type 0x1B (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 177,
    "eep": "d2-04-1b",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-1c": {
    "$t": "",
    "number": "0x1C",
    "title": "Type 0x1C (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 178,
    "eep": "d2-04-1c",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-1d": {
    "$t": "",
    "number": "0x1D",
    "title": "Type 0x1D (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 179,
    "eep": "d2-04-1d",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-04-1e": {
    "$t": "",
    "number": "0x1E",
    "title": "Type 0x1E (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "04",
      "type": "00"
    },
    "originalIndex": 180,
    "eep": "d2-04-1e",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "CO2, Humidity, Temperature, Day/Night and Autonomy",
    "func_number": "0x04",
    "submitter": []
  },
  "d2-05-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "CMD 1 - Go to Position and Angle",
        "description": "Once the actuator is configured either by the “Set Parameters” command\n              or through manual configuration (using local buttons) the position\n              of the blinds can be controlled with this command.\n              <br/>\n              When the actuator is set to “blockage” mode, neither local nor\n              central positioning and configuration commands will be executed.\n              This mode is intended for putting the device temporarily out of\n              service, e.g. for a maintenance operation.\n              <br/>\n              When the actuator is set to the “alarm” mode neither local nor\n              central positioning and configuration commands will be executed.\n              Before entering the “alarm” mode, the actuator will execute the\n              “alarm action” as configured by the “Set parameter” command.\n              <br/>\n              When this command is sent with the “deblockage” option, the actuator\n              terminates the “alarm” or “blockage” mode and enters the normal mode.\n              <br/>\n              <br/>\n              Exemplary illustration of data bytes 0 ... 3:\n              <br/>\n              <img>graphics/D2-05-xx_00.png</img>\n              <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "28",
            "bitsize": "4",
            "value": "0x01"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "20",
            "bitsize": "1"
          },
          {
            "data": "Position",
            "shortcut": "POS",
            "description": "Vertical position",
            "info": {},
            "bitoffs": "1",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "127",
                  "description": "Do not change"
                }
              ]
            }
          },
          {
            "data": "Angle",
            "shortcut": "ANG",
            "description": "Rotation angle",
            "info": {},
            "bitoffs": "9",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "127",
                  "description": "Do not change"
                }
              ]
            }
          },
          {
            "data": "Repositioning",
            "shortcut": "REPO",
            "description": "How to adjust the internal positioning tracker\n                before going to the new position",
            "info": {},
            "bitoffs": "17",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Go directly to POS/ANG",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Go up (0%), then to POS/ANG"
                },
                {
                  "value": "2",
                  "description": "Go down (100%), then to POS/ANG"
                },
                {
                  "value": "3 ... 7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Locking modes",
            "shortcut": "LOCK",
            "description": "Set/reset locking modes",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Do not change",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Set blockage mode"
                },
                {
                  "value": "2",
                  "description": "Set alarm mode"
                },
                {
                  "value": "3 ... 6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Deblockage"
                }
              ]
            }
          },
          {
            "data": "Channel",
            "shortcut": "CHN",
            "description": "Channel address",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0",
                "description": "Channel 1"
              }
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "28",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "1",
                "description": "Goto command"
              }
            }
          }
        ]
      },
      {
        "title": "CMD 2 - Stop",
        "description": "This command immediately stops a running blind motor. It has no\n              effect when the actuator is in “blockage” or “alarm” mode,\n              i.e. it will not stop an eventual “go up” or “go down” alarm action.\n              <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "0x02"
          }
        },
        "datafield": [
          {
            "data": "Channel",
            "shortcut": "CHN",
            "description": "Channel address",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0",
                "description": "Channel 1"
              }
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "2",
                "description": "Stop command"
              }
            }
          }
        ]
      },
      {
        "title": "CMD 3 - Query Position and Angle",
        "description": "This command requests the actuator to return a “reply” command.\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "0x03"
          }
        },
        "datafield": [
          {
            "data": "Channel",
            "shortcut": "CHN",
            "description": "Channel address",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0",
                "description": "Channel 1"
              }
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "3",
                "description": "Query command"
              }
            }
          }
        ]
      },
      {
        "title": "CMD 4 - Reply Position and Angle",
        "description": "Either upon request (“Query” command) or after an internal trigger\n              (see EEP Properties) the actuator sends this command to inform\n              about its current state.\n              <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "28",
            "bitsize": "4",
            "value": "0x04"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "5"
          },
          {
            "data": "Position",
            "shortcut": "POS",
            "description": "Current vertical position",
            "info": {},
            "bitoffs": "1",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "127",
                  "description": "Position unknown, will be known<br/> after the next goto cmd"
                }
              ]
            }
          },
          {
            "data": "Angle",
            "shortcut": "ANG",
            "description": "Current rotation angle",
            "info": {},
            "bitoffs": "9",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "127",
                  "description": "Angle unknown, will be known<br/> after the\n                    next goto cmd"
                }
              ]
            }
          },
          {
            "data": "Locking modes",
            "shortcut": "LOCK",
            "description": "Current locking mode",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Normal (no lock)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Blockage mode"
                },
                {
                  "value": "2",
                  "description": "Alarm mode"
                },
                {
                  "value": "3 ... 7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Channel",
            "shortcut": "CHN",
            "description": "Channel address",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0",
                "description": "Channel 1"
              }
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "28",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "4",
                "description": "Reply command"
              }
            }
          }
        ]
      },
      {
        "title": "CMD 5 - Set parameters",
        "description": "This command sets one or multiple configuration parameters of the\n              actuator. When a parameter value is set to “-> no change“ this\n              parameter will not be modified. The VERT and ROT parameters describe\n              the duration needed by the motor for a full run of the blind, or\n              for a complete turn of the slats, respectively.\n              They have to be measured on site and assigned to the actuator.\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "36",
            "bitsize": "4",
            "value": "0x05"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "5"
          },
          {
            "data": "Set vertical",
            "shortcut": "VERT",
            "description": "Measured duration of a vertical run",
            "info": {},
            "bitoffs": "1",
            "bitsize": "15",
            "enum": {
              "item": [
                {
                  "min": "500",
                  "max": "30000",
                  "scale": {
                    "min": "5000",
                    "max": "300000"
                  },
                  "unit": "ms"
                },
                {
                  "value": "0 ... 499",
                  "description": "Reserved"
                },
                {
                  "value": "32767 (0x7FFF)",
                  "description": "-> No change"
                }
              ]
            }
          },
          {
            "data": "Set rotation",
            "shortcut": "ROT",
            "description": "Measured duration of rotation",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "1",
                  "max": "254",
                  "scale": {
                    "min": "10",
                    "max": "2540"
                  },
                  "unit": "ms"
                },
                {
                  "value": "0",
                  "description": "No rotation"
                },
                {
                  "value": "255",
                  "description": "-> No change"
                }
              ]
            }
          },
          {
            "data": "Set alarm action",
            "shortcut": "AA",
            "description": "Besides locking all other commands entering the\n                alarm mode results in",
            "info": {},
            "bitoffs": "29",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No action",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Immediate stop"
                },
                {
                  "value": "2",
                  "description": "Go up (0%)"
                },
                {
                  "value": "3",
                  "description": "Go down (100%)"
                },
                {
                  "value": "4 ... 6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "-> No change"
                }
              ]
            }
          },
          {
            "data": "Channel",
            "shortcut": "CHN",
            "description": "Channel address",
            "info": {},
            "bitoffs": "32",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0",
                "description": "Channel 1"
              }
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "36",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "5",
                "description": "Set parameters command"
              }
            }
          }
        ]
      }
    ],
    "originalIndex": 181,
    "eep": "d2-05-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Blinds Control for Position and Angle",
    "func_number": "0x05",
    "submitter": [
      "AWAG Elektrotechnik AG"
    ]
  },
  "d2-06-01": {
    "number": "0x01",
    "title": "Alarm, Position Sensor, Vacation Mode, Optional Sensors",
    "status": "released",
    "description": "\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n            <br/>Direction: bidirectional\n            <br/>Addressing: broadcast\n            <br/>Communication trigger: event- & time-triggered\n            <br/>Communication interval: Time-Triggered: Default is 20 Minutes; Event-Triggered\n            <br/>Trigger event: Alarm, Handle Movement, Window Movement, Button Presses\n            <br/>Tx delay: 500 ms\n            <br/>Rx timeout: 100 ms\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Teach-in</span>\n            <br/>Teach-in method: Universal teach-in (UTE)\n            <br/>\n            <br/>\n            <span style=\"border-bottom:2px groove #000000;\">Security</span>\n            <br/>Encryption supported: no\n            <br/>Security level format: -\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Product Description</span>\n            <br/>\n            <br/>The device represented by this EEP is a “Multi-Sensor Window Handle\n            with Alarm Functionality”. It is powered by two 1.5V AA batteries.\n            <br/>\n            <br/>It can be equipped with the following set of features:\n            <br/>- Alarm Sensor\n            <br/>- Handle Position Sensor\n            <br/>- Window Position Sensor\n            <br/>- Two General Purpose Buttons\n            <br/>- Temperature Sensor\n            <br/>- Humidity Sensor\n            <br/>- Illumination Sensor\n            <br/>- Motion Sensor\n            <br/>- Vacation Mode\n            <br/>- Battery Level Measurement\n            <br/>- Buzzer\n            <br/>- Two LEDs\n            <br/>\n            <br/>\n            Details to all features are listed below.\n            <br/>\n            <br/>\n            For pairing the bidirectional UTE method is used.\n            <br/>\n            <br/>\n            The device transmits the actual sensor values periodically (dDefault:\n            20 minutes) or on an event like “Handle Movement” or “Alarm”.\n            <br/>\n            <br/>\n            After each transmission of a packet the radio part of the handle is\n            in receive mode for a certain amount of time (default: 500 ms) and\n            accepts then messages from a paired Controller/Gateway/… .\n            For normal operation it is not necessary to send data to the handle.\n            It is just needed to make some configurations, get log data or\n            control some parts of the handle.\n            <br/>\n            <br/>\n            Because it is possible to have all possible permutations of the\n            handle features out in the market, the EEP approach presented in\n            this document is used. The variety of handle-products with different\n            equipped features does not fit well to the EEP family approach\n            preferred in the EnOcean world.\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Feature Description</span>\n            <br/>\n            The handle may have all or a subset of the features described here.\n            If a feature is not available (e.g. the sensor is not equipped),\n            then this will be marked in the radio telegram (see detailed tables below).\n            <br/>\n            <br/>\n            <b>Burglary Alarm Sensor</b><br/>\n            The handle can detect if someone tries to commit burglary on the\n            window the handle is mounted on. The Burglary Alarm Sensor is\n            automatically enabled/disabled each time the window is closed/opened.\n            If an alarm is detected, a radio packet is send with “Burglary Alarm\n            Triggered” flag set and (if handle is equipped with a buzzer) a local\n            alarm sound is generated by the internal buzzer for a certain amount\n            of time (180 s). During the alarm time a repeated “Burglary Alarm On”\n            is send every 15 seconds + Random Offset (0…7 seconds).\n            <br/>\n            <br/>\n            <b>Protection Plus Alarm Sensor</b><br/>\n            Protection Plus is a feature, which generates an alarm every time the\n            handle is moved. Due to security reasons, the detailed documentation\n            about this feature is available from SODA GmbH only under NDA.\n            <br/>\n            <br/>\n            <b>Handle Position</b><br/>\n            The position of the handle is detected and transmitted on every change.\n            <br/>\n            <br/>\n            <b>Window Position</b><br/>\n            It is possible to detect if the window is tilted or not tilted.\n            A packet is send on every change.\n            <br/>\n            <br/>\n            <b>General Purpose Buttons</b><br/>\n            There are two buttons on the handle which can be used as general\n            purpose buttons to control blinds/shutters, lights, etc. <br/>\n            A packet is send when a button is pressed and again when it is released.\n            <br/>\n            <br/>\n            <b>Temperature Sensor, Humidity Sensor, Brightness Sensor</b><br/>\n            The environmental sensors are updated periodically (adjustable,\n            default: 20 minutes) and after this a packet with the updated values\n            is send.\n            <br/>\n            <br/>\n            <b>Motion Sensor</b><br/>\n            The handle can be equipped with a PIR Motion sensor which triggers a\n            packet every time a motion change is detected.\n            <br/>\n            <br/>\n            <b>Vacation Mode</b><br/>\n            If the Vacation Mode is enabled, the red LEDs on the sides of the\n            handle light up every few seconds. This signalizes that the alarm\n            monitoring is active and should be daunting for potential burglars.<br/>\n            The Vacation Mode can be enabled/disabled by a radio command or by a\n            button press locally on the handle. If it is activated locally, a\n            radio packet is sent out to signalize the change to a paired gateway.\n            <br/>\n            <br/>\n            <b>Battery Monitor</b><br/>\n            The handle monitors its battery level and transmits the state of the\n            battery.\n            <br/>\n            <br/>\n            <b>Battery Low Click</b><br/>\n            If enabled, the handle also makes some click noises when the battery\n            level is critical.\n            <br/>\n            <br/>\n            <b>Handle Closed Click</b><br/>\n            The handle generates a click sound every time the handle is closed\n            (put in downward position). This signalizes the activation of the\n            alarm monitoring and gives an acoustic feedback to the user. This\n            click sound can be enabled or disabled by a radio command.\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Communication Example</span>\n            <br/><img>graphics/D2-06-01_01.png</img>\n            <br/>\n            <br/><span style=\"border-bottom:2px groove #000000;\">Telegram Definition</span>\n            <br/>\n            <br/>The device uses different types of messages for bidirectional\n            communication. The MSB of the VLD payload defines the type of message\n            as shown below in the first table. The different message types are\n            listed in the second table. A detailed description of each message\n            type is then followed in separate tables.\n            <br/>\n            <br/>\n            <img>graphics/D2-06-01_02.png</img>",
    "case": [
      {
        "title": "Message Type 0x00: Sensor Values",
        "description": "<img>graphics/D2-06-01_MT00.png</img>\n              <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x00"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "77",
            "bitsize": "3"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x00",
                "description": "Message Type Sensor Values"
              }
            }
          },
          {
            "data": "Burglary Alarm",
            "shortcut": "BAL",
            "description": "Burglary Alarm Trigger Signal",
            "info": {},
            "bitoffs": "8",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Burglary Alarm Not Triggered"
                },
                {
                  "value": "0x1",
                  "description": "Burglary Alarm Triggered"
                },
                {
                  "min": "0x2",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid",
                  "info": {}
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Protection Plus Alarm",
            "shortcut": "PPAL",
            "description": "Protection Plus Alarm Trigger Signal",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Protection Plus Alarm Not Triggered"
                },
                {
                  "value": "0x1",
                  "description": "Protection Plus Alarm Triggered"
                },
                {
                  "min": "0x2",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Handle Position",
            "shortcut": "HP",
            "description": "Position of Handle",
            "info": {},
            "bitoffs": "16",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Handle Position Undefined"
                },
                {
                  "value": "0x1",
                  "description": "Handle Up"
                },
                {
                  "value": "0x2",
                  "description": "Handle Down"
                },
                {
                  "value": "0x3",
                  "description": "Handle Left"
                },
                {
                  "value": "0x4",
                  "description": "Handle Right"
                },
                {
                  "min": "0x5",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid",
                  "info": {}
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Window State",
            "shortcut": "WS",
            "description": "State of Window",
            "info": {},
            "bitoffs": "20",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Window State Undefined"
                },
                {
                  "value": "0x1",
                  "description": "Window Not Tilted"
                },
                {
                  "value": "0x2",
                  "description": "Window Tilted"
                },
                {
                  "min": "0x3",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid",
                  "info": {}
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Button Right",
            "shortcut": "BR",
            "description": "Button Right Activities",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Button Pressed"
                },
                {
                  "value": "0x2",
                  "description": "Button Released"
                },
                {
                  "min": "0x3",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Button Left",
            "shortcut": "BL",
            "description": "Button Left Activities",
            "info": {},
            "bitoffs": "28",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Button Pressed"
                },
                {
                  "value": "0x2",
                  "description": "Button Released"
                },
                {
                  "min": "0x3",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Motion",
            "shortcut": "M",
            "description": "Motion sensing like typical PIR sensors",
            "info": {},
            "bitoffs": "32",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Motion Not Triggered"
                },
                {
                  "value": "0x1",
                  "description": "Motion Triggered"
                },
                {
                  "min": "0x2",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Vacation Mode",
            "shortcut": "V",
            "description": "If Vacation Mode is active, the LEDs of<br/>\n                the handle light up every few seconds.<br/><br/>\n                Vacation Mode can be activated remotely<br/>\n                by a radio command or locally by a<br/>\n                button press at the handle",
            "info": {},
            "bitoffs": "36",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Vacation Mode Locally Switched On"
                },
                {
                  "value": "0x2",
                  "description": "Vacation Mode Locally Switched Off"
                },
                {
                  "min": "0x3",
                  "max": "0xD",
                  "description": "Reserved"
                },
                {
                  "value": "0xE",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "0xF",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Temperature",
            "shortcut": "T",
            "description": "Measurement of Temperature in linear<br/>\n                0.32 °C steps",
            "info": {},
            "bitoffs": "40",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "250",
                  "scale": {
                    "min": "-20",
                    "max": "+60"
                  },
                  "unit": "°C"
                },
                {
                  "min": "251",
                  "max": "253",
                  "description": "Reserved"
                },
                {
                  "value": "254",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "255",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Humidity",
            "shortcut": "H",
            "description": "Measurement of Relative Humidity in<br/>\n                linear 0.5 % steps",
            "info": {},
            "bitoffs": "48",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "200",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "min": "201",
                  "max": "253",
                  "description": "Reserved"
                },
                {
                  "value": "254",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "255",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Illumination",
            "shortcut": "I",
            "description": "Illumination linear in 1 lx steps",
            "info": {},
            "bitoffs": "56",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "60000",
                  "scale": {
                    "min": "0",
                    "max": "60000"
                  },
                  "unit": "lx"
                },
                {
                  "value": "60001",
                  "description": "Over Range"
                },
                {
                  "min": "60002",
                  "max": "65533",
                  "description": "Reserved"
                },
                {
                  "value": "65534",
                  "description": "Supported + Invalid"
                },
                {
                  "value": "65535",
                  "description": "Not Supported"
                }
              ]
            }
          },
          {
            "data": "Battery State",
            "shortcut": "BS",
            "description": "State of the battery charge<br/>\n                in 5 % steps",
            "info": {},
            "bitoffs": "72",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "20",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "min": "21",
                  "max": "31",
                  "description": "Reserved"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message Type 0x10: Configuration Report",
        "description": "<img>graphics/D2-06-01_MT10.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x10"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "11",
            "bitsize": "5"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x10",
                "description": "Message Type Configuration Report"
              }
            }
          },
          {
            "data": "Vacation Mode",
            "shortcut": "VMR",
            "description": "Status of Vacation Mode",
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Vacation Mode is Off"
                },
                {
                  "value": "0x1",
                  "description": "Vacation Mode is On"
                }
              ]
            }
          },
          {
            "data": "Handle Closed Click",
            "shortcut": "HCCR",
            "description": "Status of Handle Closed Click Feature",
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Handle Closed Click Feature is Disabled"
                },
                {
                  "value": "0x1",
                  "description": "Handle Closed Click Feature is Enabled"
                }
              ]
            }
          },
          {
            "data": "Battery Low Click",
            "shortcut": "BLCR",
            "description": "Status of Battery Low Click Feature",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Battery Low Click Feature is Disabled"
                },
                {
                  "value": "0x1",
                  "description": "Battery Low Click Feature is Enabled"
                }
              ]
            }
          },
          {
            "data": "Sensor Update Interval",
            "shortcut": "SUIR",
            "description": "Interval in seconds between the update<br/>\n                of the environmental sensors.<br/><br/>\n                After each update period a Sensor Value<br/>\n                packet (Message Type 0x00, see above)<br/>\n                is transmitted",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "min": "0x0000",
                  "max": "0x0004",
                  "description": "Reserved"
                },
                {
                  "min": "0x0005",
                  "max": "0xFFFF",
                  "scale": {
                    "min": "5",
                    "max": "65535"
                  },
                  "unit": "s"
                }
              ]
            }
          },
          {
            "data": "Vacation Blink Interval",
            "shortcut": "VBIR",
            "description": "Interval in seconds between the LED blinks<br/>\n                when Vacation Mode is activated",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0x00",
                  "max": "0x02",
                  "description": "Reserved"
                },
                {
                  "min": "0x03",
                  "max": "0xFF",
                  "scale": {
                    "min": "3",
                    "max": "255"
                  },
                  "unit": "s"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message Type 0x20: Log Data 01",
        "description": "<img>graphics/D2-06-01_MT20.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x20"
          }
        },
        "datafield": [
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x20",
                "description": "Message Type Log Data 01"
              }
            }
          },
          {
            "data": "Power Ons",
            "shortcut": "PON",
            "description": "Number of Power Ons",
            "info": {},
            "bitoffs": "8",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          },
          {
            "data": "Alarms",
            "shortcut": "ALL",
            "description": "Number of Alarms",
            "info": {},
            "bitoffs": "40",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          }
        ]
      },
      {
        "title": "Message Type 0x21: Log Data 02",
        "description": "<img>graphics/D2-06-01_MT21.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x21"
          }
        },
        "datafield": [
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x21",
                "description": "Message Type Log Data 02"
              }
            }
          },
          {
            "data": "Handle Movements Closed",
            "shortcut": "HMC",
            "description": "Number of Handle Movements Closed",
            "info": {},
            "bitoffs": "8",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          },
          {
            "data": "Handle Movements Opened",
            "shortcut": "HMO",
            "description": "Number of Handle Movements Opened",
            "info": {},
            "bitoffs": "40",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          },
          {
            "data": "Handle Movements Tilted",
            "shortcut": "HMT",
            "description": "Number of Handle Movements Tilted",
            "info": {},
            "bitoffs": "72",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          }
        ]
      },
      {
        "title": "Message Type 0x22: Log Data 03",
        "description": "<img>graphics/D2-06-01_MT22.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x22"
          }
        },
        "datafield": [
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x22",
                "description": "Message Type Log Data 03"
              }
            }
          },
          {
            "data": "Window Tilts",
            "shortcut": "WT",
            "description": "Number of Window Tilts",
            "info": {},
            "bitoffs": "8",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          }
        ]
      },
      {
        "title": "Message Type 0x23: Log Data 04",
        "description": "<img>graphics/D2-06-01_MT23.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x23"
          }
        },
        "datafield": [
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x23",
                "description": "Message Type Log Data 04"
              }
            }
          },
          {
            "data": "Button Right Presses",
            "shortcut": "BRP",
            "description": "Number of Button Right Presses",
            "info": {},
            "bitoffs": "8",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          },
          {
            "data": "Button Left Presses",
            "shortcut": "BLP",
            "description": "Number of Button Left Presses",
            "info": {},
            "bitoffs": "40",
            "bitsize": "32",
            "enum": {
              "item": {
                "min": "0x00000000",
                "max": "0xFFFFFFFF",
                "description": {}
              }
            }
          }
        ]
      },
      {
        "title": "Message Type 0x80: Control and Settings",
        "description": "<img>graphics/D2-06-01_MT80.png</img>\n                <b>Notes:</b><br/>\n                The following settings are stored non volatile inside the handle\n                and only need to be send on a change request:<br/>\n                - Handle Closed Click Feature<br/>\n                - Battery Low Click Feature<br/>\n                - Sensor Update Interval<br/>\n                - Vacation Blink Interval<br/>\n                <br/>\n                It is possible to trigger several of the actions in one message;\n                e.g. if DB3.7 and DB3.6 both are set, the handle will transmit\n                the messages with the message types: 0x10, 0x20, 0x21, 0x22 and 0x23\n                <br/><br/>",
        "condition": {
          "datafield": {
            "bitoffs": "0",
            "bitsize": "8",
            "value": "0x80"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "15",
            "bitsize": "1"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Descriptor of this message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "8",
            "enum": {
              "item": {
                "value": "0x80",
                "description": "Message Type Control and Settings"
              }
            }
          },
          {
            "data": "Get Configuration Settings",
            "shortcut": "GCS",
            "description": "Start Transmission of the Configuration<br/>\n                Settings (Message Type 0x10, see above)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Start Transmission"
                }
              ]
            }
          },
          {
            "data": "Get Log Data",
            "shortcut": "GLD",
            "description": "Start Transmission of the Log Data Packets<br/>\n                (Message Type 0x2x, see above)",
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Start Transmission"
                }
              ]
            }
          },
          {
            "data": "Vacation Mode",
            "shortcut": "VMS",
            "description": "Set Vacation Mode",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "Switch Vacation Mode Off"
                },
                {
                  "value": "0x1",
                  "description": "Switch Vacation Mode On"
                }
              ]
            }
          },
          {
            "data": "Handle Closed Click",
            "shortcut": "HCCS",
            "description": "Set Handle Closed Click Feature",
            "info": {},
            "bitoffs": "11",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Disable Handle Closed Click Feature"
                },
                {
                  "value": "0x2",
                  "description": "Enable Handle Closed Click Feature"
                },
                {
                  "value": "0x3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Battery Low Click",
            "shortcut": "BLCS",
            "description": "Set Battery Low Click Feature",
            "info": {},
            "bitoffs": "13",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0x0",
                  "description": "No Change"
                },
                {
                  "value": "0x1",
                  "description": "Disable Battery Low Click Feature"
                },
                {
                  "value": "0x2",
                  "description": "Enable Battery Low Click Feature"
                },
                {
                  "value": "0x3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Sensor Update Interval",
            "shortcut": "SUIS",
            "description": "Set Sensor Update Interval",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0000",
                  "description": "No Change"
                },
                {
                  "min": "0x0001",
                  "max": "0x0004",
                  "description": "Reserved"
                },
                {
                  "min": "0x0005",
                  "max": "0xFFFF",
                  "scale": {
                    "min": "5",
                    "max": "65535"
                  },
                  "unit": "s"
                }
              ]
            }
          },
          {
            "data": "Vacation Blink Interval",
            "shortcut": "VBIS",
            "description": "Set Vacation Blink Interval",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0x00",
                  "description": "No Change"
                },
                {
                  "min": "0x01",
                  "max": "0x02",
                  "description": "Reserved"
                },
                {
                  "min": "0x03",
                  "max": "0xFF",
                  "scale": {
                    "min": "3",
                    "max": "255"
                  },
                  "unit": "s"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 182,
    "eep": "d2-06-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Multisensor Window Handle",
    "func_number": "0x06",
    "submitter": [
      "SODA GmbH"
    ]
  },
  "d2-10-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "General Message",
        "description": "<br/>\n              exemplary illustration of data bytes 0/1:\n              <br/>\n              <img>graphics/D2-10-xx_00.png</img>\n              <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "0",
                "description": "General Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Information request classifier",
            "shortcut": "IRC",
            "description": "Defines the type of information request",
            "info": {},
            "bitoffs": "10",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Time program request"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room control setup request"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Configuration request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Data request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge request"
                }
              }
            ]
          },
          {
            "data": "Feedback classifier",
            "shortcut": "FBC",
            "description": "Defines the type of feedback",
            "info": {},
            "bitoffs": "13",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Message repetition request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Telegram repetition request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge / heartbeat"
                }
              }
            ]
          },
          {
            "data": "General message type",
            "shortcut": "GMT",
            "description": "Indicates if the general message is a feedback or\n                an information request",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Information request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Feedback"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Data Message",
        "description": "",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "26",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "1"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "1",
                "description": "Data Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Measured humidity",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Humidity validity flag",
            "shortcut": "HVF",
            "description": "Indicates if the value for humidity is valid",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Fan speed control",
            "shortcut": "FS",
            "description": "Fan speed",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Fan speed validity flag",
            "shortcut": "FSV",
            "description": "Indicates if the fan speed value is valid",
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Fan speed mode",
            "shortcut": "FSM",
            "description": "Defines the mode the fan runs in",
            "info": {},
            "bitoffs": "25",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Individual fan speed control"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Central fan speed control"
                }
              }
            ]
          },
          {
            "data": "Custom warning 2",
            "shortcut": "CW2",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "27",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Custom warning 1",
            "shortcut": "CW1",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "28",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Mold warning",
            "shortcut": "MW",
            "description": "Flag for an application depending mold warning",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Window open detection",
            "shortcut": "WOD",
            "description": "Indicates if an open window is detected",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Open"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Closed"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Battery status",
            "shortcut": "BS",
            "description": "Battery status",
            "info": {},
            "bitoffs": "33",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Critical"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Low"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Good"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Solar-powered status",
            "shortcut": "SPS",
            "description": "Indicates if the device is powered by its solar cell",
            "info": {},
            "bitoffs": "35",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Not solar-powered"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Solar-powered"
                }
              }
            ]
          },
          {
            "data": "PIR status",
            "shortcut": "PIR",
            "description": "Indicates if the PIR detected a movement",
            "info": {},
            "bitoffs": "36",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Locked"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Movement detected"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "No movement detected"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Occupancy button status",
            "shortcut": "OBS",
            "description": "Indicates if the occupancy button was pressed and its occupancy status",
            "info": {},
            "bitoffs": "38",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Button pressed and unoccupied"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Button pressed and occupied"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Cooling",
            "shortcut": "COO",
            "description": "Recent cooling operation status",
            "info": {},
            "bitoffs": "40",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Automatic"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Off"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "On"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Heating",
            "shortcut": "HEA",
            "description": "Recent heating operation status",
            "info": {},
            "bitoffs": "42",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Automatic"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Off"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "On"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room control mode",
            "shortcut": "RCM",
            "description": "Recent room control mode",
            "info": {},
            "bitoffs": "44",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Building protection"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Pre-comfort"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Economy"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Comfort"
                }
              }
            ]
          },
          {
            "data": "Temperature set point validity",
            "shortcut": "SPV",
            "description": "Indicates if the temperature set point value is valid",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature validity",
            "shortcut": "TPV",
            "description": "Indicates if the temperature value is valid",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point",
            "shortcut": "TSP",
            "description": "Recent temperature set point",
            "info": {},
            "bitoffs": "48",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Recent room temperature",
            "info": {},
            "bitoffs": "56",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "Configuration Message",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "23",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "54",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "61",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "2",
                "description": "Configuration Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "PIR status lock",
            "shortcut": "PSL",
            "description": "Indicates if the PIR status is transmitted or kept inside the room control panel",
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Temperature scale lock",
            "shortcut": "TSL",
            "description": "Indicates if the temperature scale can be changed at the room control panel",
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Display content lock",
            "shortcut": "DCL",
            "description": "Indicates if the display content can be changed at the room control panel",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Date / time lock",
            "shortcut": "DTL",
            "description": "Indicates if date and time can be changed at the room control panel",
            "info": {},
            "bitoffs": "11",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Time program lock",
            "shortcut": "TPL",
            "description": "Indicates if the time program can be changed at the room control panel",
            "info": {},
            "bitoffs": "12",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Occupancy button lock",
            "shortcut": "OBL",
            "description": "Indicates if the occupancy status can be changed at the room control panel",
            "info": {},
            "bitoffs": "13",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Temperature set point lock",
            "shortcut": "SPL",
            "description": "Indicates if the temperature set point can be changed at the room control panel",
            "info": {},
            "bitoffs": "14",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Fan speed lock",
            "shortcut": "FSL",
            "description": "Indicates if the fan speed can be changed at the room control panel",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Radio communication interval",
            "shortcut": "RCI",
            "description": "Defines the longest time between two consecutive telegrams (clock-based communication)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "6",
            "enum": [
              {
                "item": {
                  "value": "63",
                  "description": "24 hours"
                }
              },
              {
                "item": {
                  "value": "62",
                  "description": "12 hours"
                }
              },
              {
                "item": {
                  "value": "61",
                  "description": "3 hours"
                }
              },
              {
                "item": {
                  "min": "1",
                  "max": "60",
                  "description": "1...60 min"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No communication interval"
                }
              }
            ]
          },
          {
            "data": "Key lock",
            "shortcut": "KL",
            "description": "Indicates if all buttons on the device are locked",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Display content",
            "shortcut": "DC",
            "description": "Defines the main display content",
            "info": {},
            "bitoffs": "24",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Humidity"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Display off"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Temperature set point"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Room temperature (external)"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room temperature (internal)"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Time"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature scale",
            "shortcut": "TS",
            "description": "Defines the used temperature scale for the room control panel display and menus",
            "info": {},
            "bitoffs": "27",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "° Fahrenheit"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "° Celsius"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Daylight saving time flag",
            "shortcut": "DST",
            "description": "Indicates if daylight saving time is supported",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Not supported"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Supported"
                }
              }
            ]
          },
          {
            "data": "Time notation",
            "shortcut": "TN",
            "description": "Defines the used time notation",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "12 h"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "24 h"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Day",
            "shortcut": "DAY",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "32",
            "bitsize": "5",
            "range": {
              "min": "1",
              "max": "31"
            },
            "scale": {
              "min": "1",
              "max": "31"
            },
            "unit": "day"
          },
          {
            "data": "Month",
            "shortcut": "MON",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "37",
            "bitsize": "4",
            "range": {
              "min": "1",
              "max": "12"
            },
            "scale": {
              "min": "1",
              "max": "12"
            },
            "unit": "mon"
          },
          {
            "data": "Year",
            "shortcut": "YR",
            "description": "Date format: YYYY/MM/DD <br/>year = 2000 + x",
            "info": {},
            "bitoffs": "41",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "127"
            },
            "scale": {
              "min": "2000",
              "max": "2127"
            },
            "unit": "year"
          },
          {
            "data": "Minute",
            "shortcut": "MIN",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "48",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "min"
          },
          {
            "data": "Hour",
            "shortcut": "HR",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "56",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "h"
          },
          {
            "data": "Date / time update flag",
            "shortcut": "DTU",
            "description": "Indicates if an update of date or time is provided",
            "info": {},
            "bitoffs": "63",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Update"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No update"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Room Control Setup",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "40",
            "bitsize": "4"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "3",
                "description": "Room Control Setup"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Temperature set point building protection mode",
            "shortcut": "SPB",
            "description": "Temperature set point building protection mode",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point pre-comfort mode",
            "shortcut": "SPP",
            "description": "Temperature set point pre-comfort mode",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point economy mode",
            "shortcut": "SPE",
            "description": "Temperature set point economy mode",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point comfort mode",
            "shortcut": "SPC",
            "description": "Temperature set point comfort mode",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point flag building protection mode",
            "shortcut": "SFB",
            "description": "Indicates if a temperature set point for the building protection mode is provided",
            "info": {},
            "bitoffs": "44",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag pre-comfort mode",
            "shortcut": "SFP",
            "description": "Indicates if a temperature set point for the pre-comfort mode is provided",
            "info": {},
            "bitoffs": "45",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag economy mode",
            "shortcut": "SFE",
            "description": "Indicates if a temperature set point for the economy mode is provided",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag comfort mode",
            "shortcut": "SFC",
            "description": "Indicates if a temperature set point for the comfort mode is provided",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Time Program Setup",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "46",
            "bitsize": "1"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "4",
                "description": "Time Program Setup"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "End time: Minute",
            "shortcut": "ETM",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "10",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "1"
          },
          {
            "data": "End time: Hour",
            "shortcut": "ETH",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "19",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "1"
          },
          {
            "data": "Start time: Minute",
            "shortcut": "STM",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "26",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "1"
          },
          {
            "data": "Start time: Hour",
            "shortcut": "STH",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "35",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "1"
          },
          {
            "data": "Period",
            "shortcut": "PER",
            "description": "Assigned period of time (weekdays) for the provided schedule time",
            "info": {},
            "bitoffs": "40",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "15",
                  "description": "Friday - Monday"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "Friday - Sunday"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "Thursday - Friday"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "Wednesday - Friday"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "Tuesday - Thursday"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "Monday - Wednesday"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "Sunday"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "Saturday"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "Friday"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Thursday"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Wednesday"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Tuesday"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Monday"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Saturday - Sunday"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Monday - Friday"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Monday - Sunday"
                }
              }
            ]
          },
          {
            "data": "Room control mode",
            "shortcut": "RCM",
            "description": "Assigned room control mode for the provided schedule time",
            "info": {},
            "bitoffs": "44",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Building protection"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Pre-comfort"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Economy"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Comfort"
                }
              }
            ]
          },
          {
            "data": "Time program deletion",
            "shortcut": "TPD",
            "description": "Deletes the stored time program",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Deletion"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No deletion"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 183,
    "eep": "d2-10-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Room Control Panels with Temperature & Fan Speed Control, Room Status Information and Time Program",
    "func_number": "0x10",
    "submitter": [
      "Kieback&Peter GmbH & CO KG"
    ]
  },
  "d2-10-01": {
    "number": "0x01",
    "title": "Type 0x01",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "General Message",
        "description": "<br/>exemplary illustration of data bytes 0/1:\n                <br/>\n                <img>graphics/D2-10-xx_00.png</img>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "0",
                "description": "General Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Information request classifier",
            "shortcut": "IRC",
            "description": "Defines the type of information request",
            "info": {},
            "bitoffs": "10",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Time program request"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room control setup request"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Configuration request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Data request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge request"
                }
              }
            ]
          },
          {
            "data": "Feedback classifier",
            "shortcut": "FBC",
            "description": "Defines the type of feedback",
            "info": {},
            "bitoffs": "13",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Message repetition request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Telegram repetition request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge / heartbeat"
                }
              }
            ]
          },
          {
            "data": "General message type",
            "shortcut": "GMT",
            "description": "Indicates if the general message is a feedback or\n                an information request",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Information request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Feedback"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Data Message",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "17",
            "bitsize": "7"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "25",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "26",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "35",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "36",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "40",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "42",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "1",
                "description": "Data Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Custom warning 2",
            "shortcut": "CW2",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "27",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Custom warning 1",
            "shortcut": "CW1",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "28",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Window open detection",
            "shortcut": "WOD",
            "description": "Indicates if an open window is detected",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Open"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Closed"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Battery status",
            "shortcut": "BS",
            "description": "Battery status",
            "info": {},
            "bitoffs": "33",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Critical"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Low"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Good"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Occupancy button status",
            "shortcut": "OBS",
            "description": "Indicates if the occupancy button was pressed and its occupancy status",
            "info": {},
            "bitoffs": "38",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Button pressed and unoccupied"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Button pressed and occupied"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room control mode",
            "shortcut": "RCM",
            "description": "Recent room control mode",
            "info": {},
            "bitoffs": "44",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Building protection"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Pre-comfort"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Economy"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Comfort"
                }
              }
            ]
          },
          {
            "data": "Temperature set point validity",
            "shortcut": "SPV",
            "description": "Indicates if the temperature set point value is valid",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature validity",
            "shortcut": "TPV",
            "description": "Indicates if the temperature value is valid",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point",
            "shortcut": "TSP",
            "description": "Recent temperature set point",
            "info": {},
            "bitoffs": "48",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Recent room temperature",
            "info": {},
            "bitoffs": "56",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "Configuration Message",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "15",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "23",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "54",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "61",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "2",
                "description": "Configuration Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Temperature scale lock",
            "shortcut": "TSL",
            "description": "Indicates if the temperature scale can be changed at the room control panel",
            "info": {},
            "bitoffs": "9",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Display content lock",
            "shortcut": "DCL",
            "description": "Indicates if the display content can be changed at the room control panel",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Date / time lock",
            "shortcut": "DTL",
            "description": "Indicates if date and time can be changed at the room control panel",
            "info": {},
            "bitoffs": "11",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Time program lock",
            "shortcut": "TPL",
            "description": "Indicates if the time program can be changed at the room control panel",
            "info": {},
            "bitoffs": "12",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Occupancy button lock",
            "shortcut": "OBL",
            "description": "Indicates if the occupancy status can be changed at the room control panel",
            "info": {},
            "bitoffs": "13",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Temperature set point lock",
            "shortcut": "SPL",
            "description": "Indicates if the temperature set point can be changed at the room control panel",
            "info": {},
            "bitoffs": "14",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Radio communication interval",
            "shortcut": "RCI",
            "description": "Defines the longest time between two consecutive telegrams (clock-based communication)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "6",
            "enum": [
              {
                "item": {
                  "value": "63",
                  "description": "24 hours"
                }
              },
              {
                "item": {
                  "value": "62",
                  "description": "12 hours"
                }
              },
              {
                "item": {
                  "value": "61",
                  "description": "3 hours"
                }
              },
              {
                "item": {
                  "min": "1",
                  "max": "60",
                  "description": "1...60 min"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No communication interval"
                }
              }
            ]
          },
          {
            "data": "Key lock",
            "shortcut": "KL",
            "description": "Indicates if all buttons on the device are locked",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Display content",
            "shortcut": "DC",
            "description": "Defines the main display content",
            "info": {},
            "bitoffs": "24",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Humidity"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Display off"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Temperature set point"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Room temperature (external)"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room temperature (internal)"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Time"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature scale",
            "shortcut": "TS",
            "description": "Defines the used temperature scale for the room control panel display and menus",
            "info": {},
            "bitoffs": "27",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "° Fahrenheit"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "° Celsius"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Daylight saving time flag",
            "shortcut": "DST",
            "description": "Indicates if daylight saving time is supported",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Not supported"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Supported"
                }
              }
            ]
          },
          {
            "data": "Time notation",
            "shortcut": "TN",
            "description": "Defines the used time notation",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "12 h"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "24 h"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Day",
            "shortcut": "DAY",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "32",
            "bitsize": "5",
            "range": {
              "min": "1",
              "max": "31"
            },
            "scale": {
              "min": "1",
              "max": "31"
            },
            "unit": "day"
          },
          {
            "data": "Month",
            "shortcut": "MON",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "37",
            "bitsize": "4",
            "range": {
              "min": "1",
              "max": "12"
            },
            "scale": {
              "min": "1",
              "max": "12"
            },
            "unit": "mon"
          },
          {
            "data": "Year",
            "shortcut": "YR",
            "description": "Date format: YYYY/MM/DD\n                  <br/>year = 2000 + x",
            "info": {},
            "bitoffs": "41",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "127"
            },
            "scale": {
              "min": "2000",
              "max": "2127"
            },
            "unit": "year"
          },
          {
            "data": "Minute",
            "shortcut": "MIN",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "48",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "min"
          },
          {
            "data": "Hour",
            "shortcut": "HR",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "56",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "h"
          },
          {
            "data": "Date / time update flag",
            "shortcut": "DTU",
            "description": "Indicates if an update of date or time is provided",
            "info": {},
            "bitoffs": "63",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Update"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No update"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Room Control Setup",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "40",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "45",
            "bitsize": "1"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "3",
                "description": "Room Control Setup"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Temperature set point building protection mode",
            "shortcut": "SPB",
            "description": "Temperature set point building protection mode",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point economy mode",
            "shortcut": "SPE",
            "description": "Temperature set point economy mode",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point comfort mode",
            "shortcut": "SPC",
            "description": "Temperature set point comfort mode",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point flag building protection mode",
            "shortcut": "SFB",
            "description": "Indicates if a temperature set point for the building protection mode is provided",
            "info": {},
            "bitoffs": "44",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag economy mode",
            "shortcut": "SFE",
            "description": "Indicates if a temperature set point for the economy mode is provided",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag comfort mode",
            "shortcut": "SFC",
            "description": "Indicates if a temperature set point for the comfort mode is provided",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Time Program Setup",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "46",
            "bitsize": "1"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "4",
                "description": "Time Program Setup"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "End time: Minute",
            "shortcut": "ETM",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "10",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "1"
          },
          {
            "data": "End time: Hour",
            "shortcut": "ETH",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "19",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "1"
          },
          {
            "data": "Start time: Minute",
            "shortcut": "STM",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "26",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "1"
          },
          {
            "data": "Start time: Hour",
            "shortcut": "STH",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "35",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "1"
          },
          {
            "data": "Period",
            "shortcut": "PER",
            "description": "Assigned period of time (weekdays) for the provided schedule time",
            "info": {},
            "bitoffs": "40",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "15",
                  "description": "Friday - Monday"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "Friday - Sunday"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "Thursday - Friday"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "Wednesday - Friday"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "Tuesday - Thursday"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "Monday - Wednesday"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "Sunday"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "Saturday"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "Friday"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Thursday"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Wednesday"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Tuesday"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Monday"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Saturday - Sunday"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Monday - Friday"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Monday - Sunday"
                }
              }
            ]
          },
          {
            "data": "Room control mode",
            "shortcut": "RCM",
            "description": "Assigned room control mode for the provided schedule time",
            "info": {},
            "bitoffs": "44",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Building protection"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Pre-comfort"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Economy"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Comfort"
                }
              }
            ]
          },
          {
            "data": "Time program deletion",
            "shortcut": "TPD",
            "description": "Deletes the stored time program",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Deletion"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No deletion"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 184,
    "eep": "d2-10-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Room Control Panels with Temperature & Fan Speed Control, Room Status Information and Time Program",
    "func_number": "0x10",
    "submitter": [
      "Kieback&Peter GmbH & CO KG"
    ]
  },
  "d2-10-02": {
    "number": "0x02",
    "title": "Type 0x02",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "General Message",
        "description": "<br/>exemplary illustration of data bytes 0/1:\n                <br/>\n                <img>graphics/D2-10-xx_00.png</img>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "0",
                "description": "General Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Information request classifier",
            "shortcut": "IRC",
            "description": "Defines the type of information request",
            "info": {},
            "bitoffs": "10",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Time program request"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room control setup request"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Configuration request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Data request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge request"
                }
              }
            ]
          },
          {
            "data": "Feedback classifier",
            "shortcut": "FBC",
            "description": "Defines the type of feedback",
            "info": {},
            "bitoffs": "13",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Message repetition request"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Telegram repetition request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Acknowledge / heartbeat"
                }
              }
            ]
          },
          {
            "data": "General message type",
            "shortcut": "GMT",
            "description": "Indicates if the general message is a feedback or\n                an information request",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Information request"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Feedback"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Data Message",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "17",
            "bitsize": "7"
          },
          {
            "reserved": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "25",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "26",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "29",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "40",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "42",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "1",
                "description": "Data Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Custom warning 2",
            "shortcut": "CW2",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "27",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Custom warning 1",
            "shortcut": "CW1",
            "description": "Flag for an application specific warning",
            "info": {},
            "bitoffs": "28",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "True"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "False"
                }
              }
            ]
          },
          {
            "data": "Window open detection",
            "shortcut": "WOD",
            "description": "Indicates if an open window is detected",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Open"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Closed"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Battery status",
            "shortcut": "BS",
            "description": "Battery status",
            "info": {},
            "bitoffs": "33",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Critical"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Low"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Good"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Solar-powered status",
            "shortcut": "SPS",
            "description": "Indicates if the device is powered by its solar cell",
            "info": {},
            "bitoffs": "35",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Not solar-powered"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Solar-powered"
                }
              }
            ]
          },
          {
            "data": "PIR status",
            "shortcut": "PIR",
            "description": "Indicates if the PIR detected a movement",
            "info": {},
            "bitoffs": "36",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Locked"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Movement detected"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "No movement detected"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Occupancy button status",
            "shortcut": "OBS",
            "description": "Indicates if the occupancy button was pressed and its occupancy status",
            "info": {},
            "bitoffs": "38",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Button pressed and unoccupied"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Button pressed and occupied"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room control mode",
            "shortcut": "RCM",
            "description": "Recent room control mode",
            "info": {},
            "bitoffs": "44",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Building protection"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Pre-comfort"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Economy"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Comfort"
                }
              }
            ]
          },
          {
            "data": "Temperature set point validity",
            "shortcut": "SPV",
            "description": "Indicates if the temperature set point value is valid",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature validity",
            "shortcut": "TPV",
            "description": "Indicates if the temperature value is valid",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point",
            "shortcut": "TSP",
            "description": "Recent temperature set point",
            "info": {},
            "bitoffs": "48",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature",
            "shortcut": "TMP",
            "description": "Recent room temperature",
            "info": {},
            "bitoffs": "56",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "Configuration Message",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "9",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "14",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "15",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "22",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "23",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "54",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "61",
            "bitsize": "2"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "2",
                "description": "Configuration Message"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "PIR status lock",
            "shortcut": "PSL",
            "description": "Indicates if the PIR status is transmitted or kept inside the room control panel",
            "info": {},
            "bitoffs": "8",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Display content lock",
            "shortcut": "DCL",
            "description": "Indicates if the display content can be changed at the room control panel",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Date / time lock",
            "shortcut": "DTL",
            "description": "Indicates if date and time can be changed at the room control panel",
            "info": {},
            "bitoffs": "11",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Time program lock",
            "shortcut": "TPL",
            "description": "Indicates if the time program can be changed at the room control panel",
            "info": {},
            "bitoffs": "12",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Occupancy button lock",
            "shortcut": "OBL",
            "description": "Indicates if the occupancy status can be changed at the room control panel",
            "info": {},
            "bitoffs": "13",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Unlocked"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Locked"
                }
              }
            ]
          },
          {
            "data": "Radio communication interval",
            "shortcut": "RCI",
            "description": "Defines the longest time between two consecutive telegrams (clock-based communication)",
            "info": {},
            "bitoffs": "16",
            "bitsize": "6",
            "enum": [
              {
                "item": {
                  "value": "63",
                  "description": "24 hours"
                }
              },
              {
                "item": {
                  "value": "62",
                  "description": "12 hours"
                }
              },
              {
                "item": {
                  "value": "61",
                  "description": "3 hours"
                }
              },
              {
                "item": {
                  "min": "1",
                  "max": "60",
                  "description": "1...60 min"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No communication interval"
                }
              }
            ]
          },
          {
            "data": "Display content",
            "shortcut": "DC",
            "description": "Defines the main display content",
            "info": {},
            "bitoffs": "24",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "7",
                  "description": "Humidity"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "Display off"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "Temperature set point"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "Room temperature (external)"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Room temperature (internal)"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Time"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature scale",
            "shortcut": "TS",
            "description": "Defines the used temperature scale for the room control panel display and menus",
            "info": {},
            "bitoffs": "27",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "° Fahrenheit"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "° Celsius"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Daylight saving time flag",
            "shortcut": "DST",
            "description": "Indicates if daylight saving time is supported",
            "info": {},
            "bitoffs": "29",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Not supported"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Supported"
                }
              }
            ]
          },
          {
            "data": "Time notation",
            "shortcut": "TN",
            "description": "Defines the used time notation",
            "info": {},
            "bitoffs": "30",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "12 h"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "24 h"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Day",
            "shortcut": "DAY",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "32",
            "bitsize": "5",
            "range": {
              "min": "1",
              "max": "31"
            },
            "scale": {
              "min": "1",
              "max": "31"
            },
            "unit": "day"
          },
          {
            "data": "Month",
            "shortcut": "MON",
            "description": "Date format: YYYY/MM/DD",
            "info": {},
            "bitoffs": "37",
            "bitsize": "4",
            "range": {
              "min": "1",
              "max": "12"
            },
            "scale": {
              "min": "1",
              "max": "12"
            },
            "unit": "mon"
          },
          {
            "data": "Year",
            "shortcut": "YR",
            "description": "Date format: YYYY/MM/DD\n                  <br/>year = 2000 + x",
            "info": {},
            "bitoffs": "41",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "127"
            },
            "scale": {
              "min": "2000",
              "max": "2127"
            },
            "unit": "year"
          },
          {
            "data": "Minute",
            "shortcut": "MIN",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "48",
            "bitsize": "6",
            "range": {
              "min": "0",
              "max": "59"
            },
            "scale": {
              "min": "0",
              "max": "59"
            },
            "unit": "min"
          },
          {
            "data": "Hour",
            "shortcut": "HR",
            "description": "Time format: hh:mm",
            "info": {},
            "bitoffs": "56",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "23"
            },
            "scale": {
              "min": "0",
              "max": "23"
            },
            "unit": "h"
          },
          {
            "data": "Date / time update flag",
            "shortcut": "DTU",
            "description": "Indicates if an update of date or time is provided",
            "info": {},
            "bitoffs": "63",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Update"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No update"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Room Control Setup",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "reserved": {},
            "bitoffs": "40",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "bitoffs": "44",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "bitoffs": "45",
            "bitsize": "1"
          },
          {
            "data": "Message identifier",
            "shortcut": "MID",
            "description": "Defines the type of message",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": {
                "value": "3",
                "description": "Room Control Setup"
              }
            }
          },
          {
            "data": "Message continuation flag",
            "shortcut": "MCF",
            "description": "Indicates if another telegram has to be expected or if the message is complete",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "3",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Automatic message control"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Incomplete"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "Complete"
                }
              }
            ]
          },
          {
            "data": "Temperature set point economy mode",
            "shortcut": "SPE",
            "description": "Temperature set point economy mode",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point comfort mode",
            "shortcut": "SPC",
            "description": "Temperature set point comfort mode",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Temperature set point flag economy mode",
            "shortcut": "SFE",
            "description": "Indicates if a temperature set point for the economy mode is provided",
            "info": {},
            "bitoffs": "46",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature set point flag comfort mode",
            "shortcut": "SFC",
            "description": "Indicates if a temperature set point for the comfort mode is provided",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": [
              {
                "item": {
                  "value": "1",
                  "description": "Valid value"
                }
              },
              {
                "item": {
                  "value": "0",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 185,
    "eep": "d2-10-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Room Control Panels with Temperature & Fan Speed Control, Room Status Information and Time Program",
    "func_number": "0x10",
    "submitter": [
      "Kieback&Peter GmbH & CO KG"
    ]
  },
  "d2-11-01": {
    "number": "0x01",
    "title": "Type 0x01",
    "status": "released",
    "case": [
      {
        "title": "Message type A / ID 0 (First switch press after sleep-mode, request new data)",
        "description": "Direction: Sensor -> Gateway\n              <br/><br/>\n              <b>Bit 0.7</b> indicates which setpoint type is actual used at the device.\n              The difference is made at the visualization of the setpoint (real\n              temperature setpoint (24.5°C) or setpoint shift (+ 3.0°C)) and this\n              information is needed for interpreting the value of DB2 at Message\n              Type C (ID2).\n              <br/>\n              <img>graphics/D2-11-00_ID0.png</img>\n              <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "0x00"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "1",
            "bitsize": "3"
          },
          {
            "data": "Setpoint type",
            "shortcut": "SPT",
            "description": "Setpoint type actual used by the device<br/>\n                (temperature correction / temperature setpoint)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature correction"
                },
                {
                  "value": "1",
                  "description": "Temperature setpoint"
                }
              ]
            }
          },
          {
            "data": "Message ID",
            "shortcut": "MID",
            "description": "Message Type A, ID-0",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "ID-0"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "ID-1"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "ID-2"
                }
              },
              {
                "item": {
                  "min": "3",
                  "max": "15",
                  "description": "Reserved"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Message type B / ID 1 (Override device parameter, reply to data request)",
        "description": "Direction: Gateway -> Sensor\n                <br/>\n                <br/>\n                <b>Bit 3.7</b> may be used for setting new setpoint type at the\n                device. If no change is needed mirroring Bit 0.7 of the last\n                received Message Type A is required.\n                <br/>\n                <br/>\n                <b>Byte 2</b> may be used for overwriting the actual setpoint\n                shift at the device (i.e. for resetting the setpoint shift at the\n                evening to default value). If no change is needed mirroring Byte 2\n                of the last received Message-Type C is required.\n                <br/>\n                <br/>\n                <b>Byte 1</b> may be used for setting new basesetpoint at the\n                device. If no change is needed mirroring Byte 1 of the last\n                received Message-Type C is required.\n                <br/>\n                <br/>\n                <b>Bit 0.7 … 0.4</b> may be used for setting new valid setpoint\n                shift at the device. If no change is needed mirroring Bit0.7 … 0.4\n                of the last received Message-Type C is required.\n                <br/>\n                <img>graphics/D2-11-00_ID1.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "0x01"
          }
        },
        "datafield": [
          {
            "data": "Set Setpoint type",
            "shortcut": "SPT",
            "description": "Set setpoint type to be used by the device",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature correction"
                },
                {
                  "value": "1",
                  "description": "Temperature setpoint"
                }
              ]
            }
          },
          {
            "data": "Display heating symbol",
            "shortcut": "DHS",
            "description": "Set/Clear heating symbol at the display",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Heating symbol off"
                },
                {
                  "value": "1",
                  "description": "Heating symbol on"
                }
              ]
            }
          },
          {
            "data": "Display cooling symbol",
            "shortcut": "DCS",
            "description": "Set/Clear cooling symbol at the display",
            "info": {},
            "bitoffs": "2",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Cooling symbol off"
                },
                {
                  "value": "1",
                  "description": "Cooling symbol on"
                }
              ]
            }
          },
          {
            "data": "Display “window open” symbol",
            "shortcut": "SSW",
            "description": "Set/Clear “window open” symbol at the display",
            "info": {},
            "bitoffs": "3",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "“Window open” symbol off"
                },
                {
                  "value": "1",
                  "description": "“Window open” symbol on"
                }
              ]
            }
          },
          {
            "data": "Message ID",
            "shortcut": "MID",
            "description": "Message Type B, ID-1",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "ID-0"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "ID-1"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "ID-2"
                }
              },
              {
                "item": {
                  "min": "3",
                  "max": "15",
                  "description": "Reserved"
                }
              }
            ]
          },
          {
            "data": "Temperature correction",
            "shortcut": "OSO",
            "description": "Override Setpoint offset (linear, min. - … max. +)\n                <br/>(valid temperature correction)",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": {
                "min": "0",
                "max": "255",
                "scale": {
                  "min": "0",
                  "max": "255"
                },
                "unit": "K"
              }
            }
          },
          {
            "data": "Basesetpoint",
            "shortcut": "BSP",
            "description": "Set basesetpoint for visualization of the\n                temperature setpoint",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "14",
                  "description": "Reserved"
                },
                {
                  "min": "15",
                  "max": "30",
                  "scale": {
                    "min": "15",
                    "max": "30"
                  },
                  "unit": "°C"
                },
                {
                  "min": "31",
                  "max": "255",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Valid temperature correction",
            "shortcut": "COA",
            "description": "Set valid temperature correction",
            "info": {},
            "bitoffs": "24",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved"
                },
                {
                  "value": "1",
                  "description": "-1 … +1 K"
                },
                {
                  "value": "2",
                  "description": "-2 … +2 K"
                },
                {
                  "value": "3",
                  "description": "-3 … +3 K"
                },
                {
                  "value": "4",
                  "description": "-4 … +4 K"
                },
                {
                  "value": "5",
                  "description": "-5 … +5 K"
                },
                {
                  "value": "6",
                  "description": "-6 … +6 K"
                },
                {
                  "value": "7",
                  "description": "-7 … +7 K"
                },
                {
                  "value": "8",
                  "description": "-8 … +8 K"
                },
                {
                  "value": "9",
                  "description": "-9 … +9 K"
                },
                {
                  "value": "10",
                  "description": "-10 … +10 K"
                },
                {
                  "min": "11",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Fan Speed",
            "shortcut": "OFS",
            "description": "Override actual Fan Speed",
            "info": {},
            "bitoffs": "28",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "min": "5",
                  "max": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Not available"
                }
              ]
            }
          },
          {
            "data": "Occupancy State",
            "shortcut": "OOS",
            "description": "Override actual Occupancy State",
            "info": {},
            "bitoffs": "31",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "State Unoccupied"
                },
                {
                  "value": "1",
                  "description": "State Occupied"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Message type C / ID 2 (Transmit actual data)",
        "description": "Direction: Sensor -> Gateway\n                <br/>\n                <br/>\n                <b>Bit 5.7</b> indicates which setpoint type is actual used at the\n                device. The difference is made at the visualization of the setpoint\n                (real temperature setpoint (24.5 °C) or setpoint shift (+ 3.0 °C))\n                and this information is needed for interpreting the value of DB2.\n                <br/>\n                <br/>\n                <b>Byte 4</b> transmits the actual measured temperature.\n                <br/>\n                <br/>\n                <b>Byte 2</b> transmits the actual setpoint shift. How to interpret\n                this value is a combination of Bit 5.7, Byte 1 and Bit 0.7 … 0.4.\n                <br/>\n                If the actual setpoint type is setpoint shift, then the value of\n                Byte 2 only represents the scaled valid setpoint shift at Bit 0.7 … 0.4.\n                <br/>\n                If the setpoint type is temperature setpoint, then the temperature\n                setpoint is calculated as sum of the internal basesetpoint at\n                Byte 1 and the scaled valid setpoint shift at Bit 0.7 … 0.4,\n                transmitted at Byte 2.\n                <br/>\n                <br/>\n                <b>Byte 1</b> transmits the actual, at the device stored, basesetpoint.\n                <br/>\n                <br/>\n                <b>Bit 0.7 … 0.4</b> transmits the actual valid, at the device stored,\n                setpoint shift.\n                <br/>\n                <br/>\n                <img>graphics/D2-11-00_ID2.png</img>\n                <br/>",
        "condition": {
          "datafield": {
            "bitoffs": "4",
            "bitsize": "4",
            "value": "0x02"
          }
        },
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "3",
            "bitsize": "1"
          },
          {
            "data": "Setpoint type",
            "shortcut": "SPT",
            "description": "Setpoint type actual used by the device\n                <br/>\n                (temperature correction / temperature setpoint)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Temperature correction"
                },
                {
                  "value": "1",
                  "description": "Temperature setpoint"
                }
              ]
            }
          },
          {
            "data": "Telegram Type",
            "shortcut": "TT",
            "description": "Telegram Trigger",
            "info": {},
            "bitoffs": "1",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Heartbeat"
                },
                {
                  "value": "1",
                  "description": "Change of temperature- or humidity value"
                },
                {
                  "value": "2",
                  "description": "User caused parameter change"
                }
              ]
            }
          },
          {
            "data": "Message ID",
            "shortcut": "MID",
            "description": "Message Type C, ID-2",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "ID-0"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "ID-1"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "ID-2"
                }
              },
              {
                "item": {
                  "min": "3",
                  "max": "15",
                  "description": "Reserved"
                }
              }
            ]
          },
          {
            "data": "Temperature",
            "shortcut": "TEMP",
            "description": "Temperature",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "min": "0",
              "max": "+40"
            },
            "unit": "°C"
          },
          {
            "data": "Humidity",
            "shortcut": "HUMI",
            "description": "Humidity",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "250"
            },
            "scale": {
              "min": "0",
              "max": "+100"
            },
            "unit": "%rH"
          },
          {
            "data": "Setpoint offset",
            "shortcut": "SP",
            "description": "Setpoint shift, linear<br/>\n                (refers to valid setpoint shift at DB0.7 … DB0.4)",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "255"
            },
            "scale": {
              "ref": "BSB"
            },
            "unit": "K"
          },
          {
            "data": "Basesetpoint",
            "shortcut": "IBS",
            "description": "Internal basesetpoint, required for setpoint\n                type “temperature setpoint”",
            "info": {},
            "bitoffs": "32",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "14",
                  "description": "Reserved"
                },
                {
                  "min": "15",
                  "max": "30",
                  "scale": {
                    "min": "15",
                    "max": "30"
                  },
                  "unit": "°C"
                },
                {
                  "min": "31",
                  "max": "255",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Valid temperature correction",
            "shortcut": "BSB",
            "description": "Valid temperature correction",
            "info": {},
            "bitoffs": "40",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved"
                },
                {
                  "value": "1",
                  "scale": {
                    "min": "-1",
                    "max": "1"
                  },
                  "unit": "K"
                },
                {
                  "value": "2",
                  "scale": {
                    "min": "-2",
                    "max": "2"
                  },
                  "unit": "K"
                },
                {
                  "value": "3",
                  "scale": {
                    "min": "-3",
                    "max": "3"
                  },
                  "unit": "K"
                },
                {
                  "value": "4",
                  "scale": {
                    "min": "-4",
                    "max": "4"
                  },
                  "unit": "K"
                },
                {
                  "value": "5",
                  "scale": {
                    "min": "-5",
                    "max": "5"
                  },
                  "unit": "K"
                },
                {
                  "value": "6",
                  "scale": {
                    "min": "-6",
                    "max": "6"
                  },
                  "unit": "K"
                },
                {
                  "value": "7",
                  "scale": {
                    "min": "-7",
                    "max": "7"
                  },
                  "unit": "K"
                },
                {
                  "value": "8",
                  "scale": {
                    "min": "-8",
                    "max": "8"
                  },
                  "unit": "K"
                },
                {
                  "value": "9",
                  "scale": {
                    "min": "-9",
                    "max": "9"
                  },
                  "unit": "K"
                },
                {
                  "value": "10",
                  "scale": {
                    "min": "-10",
                    "max": "10"
                  },
                  "unit": "K"
                },
                {
                  "min": "11",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Fan Speed",
            "shortcut": "FS",
            "description": "Fan Speed",
            "info": {},
            "bitoffs": "44",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto"
                },
                {
                  "value": "1",
                  "description": "Speed 0"
                },
                {
                  "value": "2",
                  "description": "Speed 1"
                },
                {
                  "value": "3",
                  "description": "Speed 2"
                },
                {
                  "value": "4",
                  "description": "Speed 3"
                },
                {
                  "min": "5",
                  "max": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Not available"
                }
              ]
            }
          },
          {
            "data": "Occupancy State",
            "shortcut": "OS",
            "description": "Occupancy State",
            "info": {},
            "bitoffs": "47",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "State Unoccupied"
                },
                {
                  "value": "1",
                  "description": "State Occupied"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 186,
    "eep": "d2-11-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "description": "",
    "submitter": []
  },
  "d2-11-02": {
    "$t": "",
    "number": "0x02",
    "title": "Type 0x02 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 187,
    "eep": "d2-11-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-03": {
    "$t": "",
    "number": "0x03",
    "title": "Type 0x03 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 188,
    "eep": "d2-11-03",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-04": {
    "$t": "",
    "number": "0x04",
    "title": "Type 0x04 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 189,
    "eep": "d2-11-04",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-05": {
    "$t": "",
    "number": "0x05",
    "title": "Type 0x05 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 190,
    "eep": "d2-11-05",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-06": {
    "$t": "",
    "number": "0x06",
    "title": "Type 0x06 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 191,
    "eep": "d2-11-06",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-07": {
    "$t": "",
    "number": "0x07",
    "title": "Type 0x07 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 192,
    "eep": "d2-11-07",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-11-08": {
    "$t": "",
    "number": "0x08",
    "title": "Type 0x08 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "11",
      "type": "01"
    },
    "originalIndex": 193,
    "eep": "d2-11-08",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Bidirectional Room Operating Panel",
    "func_number": "0x11",
    "submitter": []
  },
  "d2-20-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "Telegram Definition : ‘Fan Control Message’",
        "description": "* Devices with discrete fan speed levels instead of a continuous fan speed\n              range should divide the full range linearly and match values beside those\n              discrete levels to the next lower fan speed level.",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "4",
            "bitsize": "1"
          },
          {
            "data": "Operating Mode",
            "shortcut": "OM",
            "description": "Sets the operating mode",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Standard compliant"
                }
              },
              {
                "item": {
                  "value": "2...14",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Temperature Level",
            "shortcut": "TL",
            "description": "Status of the temperature supervision",
            "info": {},
            "bitoffs": "5",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Too low"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Normal"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Too high"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "Fan control"
              }
            }
          },
          {
            "data": "Humidity Control",
            "shortcut": "HC",
            "description": "Activates the humidity control",
            "info": {},
            "bitoffs": "8",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Enabled"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "Defines if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room Size",
            "shortcut": "RS",
            "description": "Defines the room size",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Humidity Threshold",
            "shortcut": "HT",
            "description": "Sets the humidity threshold",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "252",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "253",
                  "description": "Auto"
                }
              },
              {
                "item": {
                  "value": "254",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Fan Speed *",
            "shortcut": "FS",
            "description": "Sets the fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "252",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "253",
                  "description": "Auto"
                }
              },
              {
                "item": {
                  "value": "254",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Telegram Definition : ‘Fan Status Message’",
        "description": {},
        "datafield": [
          {
            "data": "Operating Mode Status",
            "shortcut": "OMS",
            "description": "Provides the recent operating mode",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Standard compliant"
                }
              },
              {
                "item": {
                  "min": "2",
                  "max": "14",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Service Information",
            "shortcut": "SI",
            "description": "Service information",
            "info": {},
            "bitoffs": "4",
            "bitsize": "3",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Nothing to report"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Air filter error"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Hardware error"
                }
              },
              {
                "item": {
                  "min": "3",
                  "max": "6",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "Fan status"
              }
            }
          },
          {
            "data": "Humidity Control Status",
            "shortcut": "HCS",
            "description": "States if the humidity control is active",
            "info": {},
            "bitoffs": "8",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Enabled"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "States if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Room Size Status",
            "shortcut": "RSS",
            "description": "Room size status",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Humidity",
            "shortcut": "HUM",
            "description": "Humidity measurement",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "254",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Fan Speed Status",
            "shortcut": "FSS",
            "description": "Fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "254",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "Not supported"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 194,
    "eep": "d2-20-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Fan Control",
    "func_number": "0x20",
    "submitter": [
      "Maico Elektroapparate-Fabrik GmbH"
    ]
  },
  "d2-20-01": {
    "number": "0x01",
    "title": "Type 0x01",
    "status": "released",
    "description": "\n              <br/>\n              <br/>",
    "case": [
      {
        "title": "Telegram Definition : ‘Fan Control Message’",
        "description": "* Devices with discrete fan speed levels instead of a continuous fan speed\n              range should divide the full range linearly and match values beside those\n              discrete levels to the next lower fan speed level.",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "7"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "Fan control"
              }
            }
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "Defines if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room Size",
            "shortcut": "RS",
            "description": "Defines the room size",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Fan Speed *",
            "shortcut": "FS",
            "description": "Sets the fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "252",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "253",
                  "description": "Auto"
                }
              },
              {
                "item": {
                  "value": "254",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Telegram Definition : ‘Fan Status Message’",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "4",
            "bitsize": "3"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "data": "Operating Mode Status",
            "shortcut": "OMS",
            "description": "Provides the recent operating mode",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Standard compliant"
                }
              },
              {
                "item": {
                  "min": "2",
                  "max": "14",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "Fan status"
              }
            }
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "States if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Room Size Status",
            "shortcut": "RSS",
            "description": "Room size status",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Fan Speed Status",
            "shortcut": "FSS",
            "description": "Fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "254",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "Not supported"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 195,
    "eep": "d2-20-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Fan Control",
    "func_number": "0x20",
    "submitter": [
      "Maico Elektroapparate-Fabrik GmbH"
    ]
  },
  "d2-20-02": {
    "number": "0x02",
    "title": "Type 0x02",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "Telegram Definition : ‘Fan Control Message’",
        "description": "* Devices with discrete fan speed levels instead of a continuous fan speed\n              range should divide the full range linearly and match values beside those\n              discrete levels to the next lower fan speed level.",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "7"
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "0",
                "description": "Fan control"
              }
            }
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "Defines if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Room Size",
            "shortcut": "RS",
            "description": "Defines the room size",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "No change"
                }
              }
            ]
          },
          {
            "data": "Fan Speed *",
            "shortcut": "FS",
            "description": "Sets the fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "252",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "253",
                  "description": "Auto"
                }
              },
              {
                "item": {
                  "value": "254",
                  "description": "Default"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "No change"
                }
              }
            ]
          }
        ]
      },
      {
        "title": "Telegram Definition : ‘Fan Status Message’",
        "description": {},
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "7"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "8"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "7",
            "bitsize": "1",
            "enum": {
              "item": {
                "value": "1",
                "description": "Fan status"
              }
            }
          },
          {
            "data": "Humidity Control Status",
            "shortcut": "HCS",
            "description": "States if the humidity control is active",
            "info": {},
            "bitoffs": "8",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Disabled"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Enabled"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Room Size Reference",
            "shortcut": "RSR",
            "description": "States if the provided room size has to be considered",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "Used"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "Not used"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Room Size Status",
            "shortcut": "RSS",
            "description": "Room size status",
            "info": {},
            "bitoffs": "12",
            "bitsize": "4",
            "enum": [
              {
                "item": {
                  "value": "0",
                  "description": "< 25 m²"
                }
              },
              {
                "item": {
                  "value": "1",
                  "description": "25...50 m²"
                }
              },
              {
                "item": {
                  "value": "2",
                  "description": "50...75 m²"
                }
              },
              {
                "item": {
                  "value": "3",
                  "description": "75...100 m²"
                }
              },
              {
                "item": {
                  "value": "4",
                  "description": "100...125 m²"
                }
              },
              {
                "item": {
                  "value": "5",
                  "description": "125...150 m²"
                }
              },
              {
                "item": {
                  "value": "6",
                  "description": "150...175 m²"
                }
              },
              {
                "item": {
                  "value": "7",
                  "description": "175...200 m²"
                }
              },
              {
                "item": {
                  "value": "8",
                  "description": "200...225 m²"
                }
              },
              {
                "item": {
                  "value": "9",
                  "description": "225...250 m²"
                }
              },
              {
                "item": {
                  "value": "10",
                  "description": "250...275 m²"
                }
              },
              {
                "item": {
                  "value": "11",
                  "description": "275...300 m²"
                }
              },
              {
                "item": {
                  "value": "12",
                  "description": "300...325 m²"
                }
              },
              {
                "item": {
                  "value": "13",
                  "description": "325...350 m²"
                }
              },
              {
                "item": {
                  "value": "14",
                  "description": "> 350 m²"
                }
              },
              {
                "item": {
                  "value": "15",
                  "description": "Not supported"
                }
              }
            ]
          },
          {
            "data": "Fan Speed Status",
            "shortcut": "FSS",
            "description": "Fan speed",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": [
              {
                "item": {
                  "min": "0",
                  "max": "100",
                  "description": "0...100%"
                }
              },
              {
                "item": {
                  "min": "101",
                  "max": "254",
                  "description": "Reserved"
                }
              },
              {
                "item": {
                  "value": "255",
                  "description": "Not supported"
                }
              }
            ]
          }
        ]
      }
    ],
    "originalIndex": 196,
    "eep": "d2-20-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Fan Control",
    "func_number": "0x20",
    "submitter": [
      "Maico Elektroapparate-Fabrik GmbH"
    ]
  },
  "d2-30-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "CMD 0x1 - Set heating controls output",
        "description": "This message is sent to a floor heating actuator. It controls the valve position\n              of one channel or of all channels of the floor heating controls.\n                <br/>\n                <br/>Sender: controller; send type: broadcast or addressed; expected response: CMD 0x3\n                <br/>",
        "datafield": [
          {
            "data": "Valve control period / PWM signal interval",
            "shortcut": "PERIOD",
            "description": "Total on-off time for two-position valve controller\n                  <br/>(T valve open + T valve closed)",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Local default / no change",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "1 s"
                },
                {
                  "value": "2",
                  "description": "2 s"
                },
                {
                  "value": "3",
                  "description": "5 s"
                },
                {
                  "value": "4",
                  "description": "10 s"
                },
                {
                  "value": "5",
                  "description": "20 s"
                },
                {
                  "value": "6",
                  "description": "50 s"
                },
                {
                  "value": "7",
                  "description": "100 s"
                },
                {
                  "value": "8",
                  "description": "200 s"
                },
                {
                  "value": "9",
                  "description": "500 s"
                },
                {
                  "value": "10",
                  "description": "1000 s"
                },
                {
                  "min": "11",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x01",
                "description": "ID 01"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "2"
          },
          {
            "data": "Valve type",
            "shortcut": "VTYP",
            "description": "Type of connected valve",
            "info": {},
            "bitoffs": "10",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Valve normally closed (N.C.)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Valve normally open (N.O.)"
                }
              ]
            }
          },
          {
            "data": "Heating channel",
            "shortcut": "HCH",
            "description": "The heating channel that should be set",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "15",
                  "description": "A valid channel number",
                  "info": {}
                },
                {
                  "min": "16",
                  "max": "30",
                  "description": "Reserved"
                },
                {
                  "value": "31",
                  "description": "All valid channels"
                }
              ]
            }
          },
          {
            "data": "Run init sequence",
            "shortcut": "RIN",
            "description": "Measure and store the valve zero point",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No action",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Run init sequence"
                }
              ]
            }
          },
          {
            "data": "Valve position set point",
            "shortcut": "POS",
            "description": "Valve set point 0…100% (0=closed, 100=open)",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          }
        ]
      },
      {
        "title": "CMD 0x2 - Heating controls status query",
        "description": "This message is sent to a floor heating actuator.\n              It requests the status of one channel or the status of the global\n              control unit of an actuator.\n                <br/>\n                <br/>Sender: controller; send type: broadcast or addressed; expected response: CMD 0x3\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x02",
                "description": "ID 02"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "3"
          },
          {
            "data": "Heating channel",
            "shortcut": "HCH",
            "description": "The heating channel that should be reported",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "15",
                  "description": "A valid channel number",
                  "info": {}
                },
                {
                  "min": "16",
                  "max": "28",
                  "description": "Reserved"
                },
                {
                  "value": "29",
                  "description": "All valid channels"
                },
                {
                  "value": "30",
                  "description": "All valid channels and global device status"
                },
                {
                  "value": "31",
                  "description": "Global device status only"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x3 - Heating controls status response / CH = 0...15",
        "description": "This message is sent by a floor heating controls if one of the following\n              events occurs:\n                <br/>- Message 'status query' has been received (CMD 0x2).\n                <br/>- Status of one channel or temperature has changed.\n                <br/>\n                <br/>Sender: actuator; send type: broadcast; maximum send delay 1 s.\n                <br/>\n                <br/>If the response is for single channel data (CH = 0…15):\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x03",
                "description": "ID 03"
              }
            }
          },
          {
            "data": "Status / Error",
            "shortcut": "STATUS",
            "description": "Status / Error indication of given channel",
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No fault",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "General error"
                },
                {
                  "value": "2",
                  "description": "Init sequence running"
                },
                {
                  "value": "3",
                  "description": "Channel not available"
                },
                {
                  "value": "4",
                  "description": "Temperature sensor error"
                },
                {
                  "value": "5",
                  "description": "Valve error"
                },
                {
                  "value": "6",
                  "description": "Temperature sensor and valve error"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Heating channel",
            "shortcut": "HCH",
            "description": "The heating channel that is reported",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "15",
                  "description": "A valid channel number",
                  "info": {}
                },
                {
                  "min": "16",
                  "max": "31",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "1"
          },
          {
            "data": "Valve position",
            "shortcut": "POS",
            "description": "Actual valve position 0…100% (0=closed, 100=open)",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "range": {
              "min": "0",
              "max": "100"
            },
            "scale": {
              "min": "0",
              "max": "100"
            },
            "unit": "%"
          },
          {
            "data": "Return temperature",
            "shortcut": "TEMPRET",
            "description": "The current return temperature of the channel",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "180"
            },
            "scale": {
              "min": "0",
              "max": "90"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "CMD 0x3 - Heating controls status response / CH = 31",
        "description": "If the response is for global floor heating controls unit data (CH = 31):\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x03",
                "description": "ID 03"
              }
            }
          },
          {
            "data": "Status / Error",
            "shortcut": "STATUS",
            "description": "Global unit status",
            "info": {},
            "bitoffs": "8",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No fault",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "General error"
                },
                {
                  "value": "2",
                  "description": "Supply temperature error"
                },
                {
                  "value": "3",
                  "description": "Return temperature error"
                },
                {
                  "value": "4",
                  "description": "Error on both sensors"
                },
                {
                  "min": "5",
                  "max": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Heating channel",
            "shortcut": "HCH",
            "description": "The heating channel that is reported (=global unit)",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": {
                "value": "31",
                "description": "Unit status only",
                "info": {}
              }
            }
          },
          {
            "data": "Supply temperature",
            "shortcut": "TSUP",
            "description": "The current supply temperature of the unit",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "180"
            },
            "scale": {
              "min": "0",
              "max": "90"
            },
            "unit": "°C"
          },
          {
            "data": "Return temperature",
            "shortcut": "TRET",
            "description": "The current common return temperature",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "0",
              "max": "180"
            },
            "scale": {
              "min": "0",
              "max": "90"
            },
            "unit": "°C"
          }
        ]
      },
      {
        "title": "CMD 0x6 - Set meter configuration / MBUS (BUS = 1)",
        "description": "This message is sent to a metering device gateway to configure the meter\n              settings for one channel.\n                <br/>\n                <br/>Sender: controller; send type: broadcast or addressed.\n                <br/>",
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Primary Address",
            "shortcut": "ADDR",
            "description": "The primary MBUS address of the meter",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "1",
              "max": "250"
            },
            "scale": {
              "min": "1",
              "max": "250"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "32",
            "bitsize": "40",
            "enum": {
              "item": {
                "value": "0",
                "description": "NDF",
                "info": {}
              }
            }
          }
        ]
      },
      {
        "title": "CMD 0x6 - Set meter configuration / S0 (BUS = 2)",
        "description": {},
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Factor of number of pulses",
            "shortcut": "FACP",
            "description": "The factor for the number of pulses\n                  <br/>per value in UNIT1",
            "info": {},
            "bitoffs": "24",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "1",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "0.1"
                },
                {
                  "value": "2",
                  "description": "0.01"
                },
                {
                  "value": "3",
                  "description": "0.001"
                }
              ]
            }
          },
          {
            "data": "Number of pulses",
            "shortcut": "NOP",
            "description": "The number of pulses per value in UNIT1* FACP",
            "info": {},
            "bitoffs": "26",
            "bitsize": "14",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Do not change the current setting of NOP",
                  "info": {}
                },
                {
                  "min": "1",
                  "max": "16383",
                  "description": "Number of pulses per unit<br/> (EEP 2.6.5:\n                    <span style=\"font-weight:bold;color:green\">1 … 16383</span>\n                    <span style=\"text-decoration:line-through;color:red\">1 … 65535</span>)"
                }
              ]
            }
          },
          {
            "data": "Preset value",
            "shortcut": "RST",
            "description": "Preset the accumulated value to this value",
            "info": {},
            "bitoffs": "40",
            "bitsize": "32",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "4294967294",
                  "description": "New preset value",
                  "info": {}
                },
                {
                  "value": "0xFFFFFFFF",
                  "description": "Do not change the current value"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x6 - Set meter configuration / D0 (BUS = 3)",
        "description": {},
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "D0 Protocol",
            "shortcut": "PROT",
            "description": "The D0 protocol that should be used for that meter",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto detect",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "SML (Smart Message Language)"
                },
                {
                  "value": "2",
                  "description": "DLMS (Device Language Message Specification)"
                },
                {
                  "min": "3",
                  "max": "255",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "40"
          }
        ]
      },
      {
        "title": "CMD 0x7 - Meter Status Query",
        "description": "This message is sent to a metering device gateway to query the status of a meter.\n                <br/>Sender: controller; send type: broadcast or addressed; expected response: CMD 0x8.\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x07",
                "description": "ID 07"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus type that is queried",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter channel of given bus that status is queried",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "30",
                  "description": "Meter channel",
                  "info": {}
                },
                {
                  "value": "31",
                  "description": "All valid channels"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x8 - Meter reading report / status response",
        "description": "This message is sent by a metering device gateway to report the meter\n              values for each configured channel.\n              It is sent if one of the following events occurs:\n                <br/>- Message 'meter status query' has been received (CMD 0x7)\n                <br/>- Status or meter reading of one channel has changed and auto\n              reporting was configured by signal RM.\n                <br/>\n                <br/>Sender: sensor; send type: broadcast; maximum send delay 1 s.\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "data": "Meter status / error",
            "shortcut": "MSTAT",
            "description": "Meter channel status",
            "info": {},
            "bitoffs": "1",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No fault",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "General error"
                },
                {
                  "value": "2",
                  "description": "Bus unconfigured"
                },
                {
                  "value": "3",
                  "description": "Bus unconnected"
                },
                {
                  "value": "4",
                  "description": "Bus shortcut"
                },
                {
                  "value": "5",
                  "description": "Communication timeout"
                },
                {
                  "value": "6",
                  "description": "Unknown protocol or\n                      <br/>configuration mismatch"
                },
                {
                  "value": "7",
                  "description": "Bus initialization running"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x08",
                "description": "ID 08"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The used bus of the meter status response",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that status is reported",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "3"
          },
          {
            "data": "Value selection",
            "shortcut": "VSEL",
            "description": "The selection of the reported value",
            "info": {},
            "bitoffs": "19",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Meter 1 Current value",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Meter 1 Accumulated value"
                },
                {
                  "value": "2",
                  "description": "Meter 2 Current value"
                },
                {
                  "value": "3",
                  "description": "Meter 2 Accumulated value"
                }
              ]
            }
          },
          {
            "data": "Value unit",
            "shortcut": "VUNIT",
            "description": "The unit of the reported value",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "W",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Wh"
                },
                {
                  "value": "2",
                  "description": "kWh"
                },
                {
                  "value": "3",
                  "description": "m3/h"
                },
                {
                  "value": "4",
                  "description": "dm3/h"
                },
                {
                  "value": "5",
                  "description": "m3"
                },
                {
                  "value": "6",
                  "description": "dm3"
                },
                {
                  "value": "7",
                  "description": "1 (digital counter)"
                }
              ]
            }
          },
          {
            "data": "Meter reading value",
            "shortcut": "VAL",
            "description": "The reported value",
            "info": {},
            "bitoffs": "24",
            "bitsize": "32",
            "range": {
              "min": "0",
              "max": "4294967295"
            },
            "scale": {
              "min": "0",
              "max": "4294967295"
            },
            "unit": "According to VUNIT"
          }
        ]
      }
    ],
    "originalIndex": 197,
    "eep": "d2-30-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": [
      "MSR-Solutions"
    ]
  },
  "d2-30-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 198,
    "eep": "d2-30-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-30-02": {
    "$t": "",
    "number": "0x02",
    "title": "Type 0x02 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 199,
    "eep": "d2-30-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-30-03": {
    "$t": "",
    "number": "0x03",
    "title": "Type 0x03 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 200,
    "eep": "d2-30-03",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-30-04": {
    "$t": "",
    "number": "0x04",
    "title": "Type 0x04 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 201,
    "eep": "d2-30-04",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-30-05": {
    "$t": "",
    "number": "0x05",
    "title": "Type 0x05 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 202,
    "eep": "d2-30-05",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-30-06": {
    "$t": "",
    "number": "0x06",
    "title": "Type 0x06 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "30",
      "type": "00"
    },
    "originalIndex": 203,
    "eep": "d2-30-06",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Floor Heating Controls and Automated Meter Reading",
    "func_number": "0x30",
    "submitter": []
  },
  "d2-31-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "CMD 0x6 - Set meter configuration / MBUS (BUS = 1)",
        "description": "This message is sent to a metering device gateway to configure the meter\n              settings for one channel.\n                <br/>\n                <br/>Sender: controller; send type: broadcast or addressed.\n                <br/>",
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Primary Address",
            "shortcut": "ADDR",
            "description": "The primary MBUS address of the meter",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "range": {
              "min": "1",
              "max": "250"
            },
            "scale": {
              "min": "1",
              "max": "250"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "32",
            "bitsize": "40"
          }
        ]
      },
      {
        "title": "CMD 0x6 - Set meter configuration / S0 (BUS = 2)",
        "description": {},
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Factor of number of pulses",
            "shortcut": "FACP",
            "description": "The factor for the number of pulses\n                  <br/>per value in UNIT1",
            "info": {},
            "bitoffs": "24",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "1",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "0.1"
                },
                {
                  "value": "2",
                  "description": "0.01"
                },
                {
                  "value": "3",
                  "description": "0.001"
                }
              ]
            }
          },
          {
            "data": "Number of pulses",
            "shortcut": "NOP",
            "description": "The number of pulses per value in UNIT1* FACP",
            "info": {},
            "bitoffs": "26",
            "bitsize": "14",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Do not change the current setting of NOP",
                  "info": {}
                },
                {
                  "min": "1",
                  "max": "16383",
                  "description": "Number of pulses per unit<br/> (EEP 2.6.5:\n                    <span style=\"font-weight:bold;color:green\">1 … 16383</span>\n                    <span style=\"text-decoration:line-through;color:red\">1 … 65535</span>)"
                }
              ]
            }
          },
          {
            "data": "Preset value",
            "shortcut": "RST",
            "description": "Preset the accumulated value to this value",
            "info": {},
            "bitoffs": "40",
            "bitsize": "32",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "4294967294",
                  "description": "New preset value",
                  "info": {}
                },
                {
                  "value": "0xFFFFFFFF",
                  "description": "Do not change the current value"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x6 - Set meter configuration / D0 (BUS = 3)",
        "description": {},
        "datafield": [
          {
            "data": "Report measurement",
            "shortcut": "RM",
            "description": "Minimum auto reporting interval",
            "info": {},
            "bitoffs": "0",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No auto reporting",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Min. 1 s interval"
                },
                {
                  "value": "2",
                  "description": "Min. 3 s interval"
                },
                {
                  "value": "3",
                  "description": "Min. 10 s interval"
                },
                {
                  "value": "4",
                  "description": "Min. 30 s interval"
                },
                {
                  "value": "5",
                  "description": "Min. 100 s interval"
                },
                {
                  "value": "6",
                  "description": "Min. 300 s interval"
                },
                {
                  "value": "7",
                  "description": "Min. 1000 s interval"
                },
                {
                  "min": "8",
                  "max": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x06",
                "description": "ID 06"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus that should be configured",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that should be configured",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "2"
          },
          {
            "data": "Meter 1 units",
            "shortcut": "UNIT1",
            "description": "Physical units of first measured quantity\n                  <br/>(imported value)",
            "info": {},
            "bitoffs": "18",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "Meter 2 units",
            "shortcut": "UNIT2",
            "description": "Physical units of second measured quantity\n                  <br/>(exported value)",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No reading (unconfigured)",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Current value W, accumulated value kWh"
                },
                {
                  "value": "2",
                  "description": "Current value W, accumulated value Wh"
                },
                {
                  "value": "3",
                  "description": "Accumulated value kWh only"
                },
                {
                  "value": "4",
                  "description": "Current value m3/h, accumulated value m3"
                },
                {
                  "value": "5",
                  "description": "Current value dm3/h, accumulated value dm3"
                },
                {
                  "value": "6",
                  "description": "Accumulated value m3 only"
                },
                {
                  "value": "7",
                  "description": "Digital counter"
                }
              ]
            }
          },
          {
            "data": "D0 Protocol",
            "shortcut": "PROT",
            "description": "The D0 protocol that should be used for that meter",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Auto detect",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "SML (Smart Message Language)"
                },
                {
                  "value": "2",
                  "description": "DLMS (Device Language Message Specification)"
                },
                {
                  "min": "3",
                  "max": "255",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "32",
            "bitsize": "40"
          }
        ]
      },
      {
        "title": "CMD 0x7 - Meter Status Query",
        "description": "This message is sent to a metering device gateway to query the status of a meter.\n                <br/>Sender: controller; send type: broadcast or addressed; expected response: CMD 0x8.\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "4"
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x07",
                "description": "ID 07"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The meter bus type that is queried",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter channel of given bus that status is queried",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "30",
                  "description": "Meter channel",
                  "info": {}
                },
                {
                  "value": "31",
                  "description": "All valid channels"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "CMD 0x8 - Meter reading report / status response",
        "description": "This message is sent by a metering device gateway to report the meter\n              values for each configured channel.\n              It is sent if one of the following events occurs:\n                <br/>- Message 'meter status query' has been received (CMD 0x7)\n                <br/>- Status or meter reading of one channel has changed and auto\n              reporting was configured by signal RM.\n                <br/>\n                <br/>Sender: sensor; send type: broadcast; maximum send delay 1 s.\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "1"
          },
          {
            "data": "Meter status / error",
            "shortcut": "MSTAT",
            "description": "Meter channel status",
            "info": {},
            "bitoffs": "1",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "No fault",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "General error"
                },
                {
                  "value": "2",
                  "description": "Bus unconfigured"
                },
                {
                  "value": "3",
                  "description": "Bus unconnected"
                },
                {
                  "value": "4",
                  "description": "Bus shortcut"
                },
                {
                  "value": "5",
                  "description": "Communication timeout"
                },
                {
                  "value": "6",
                  "description": "Unknown protocol or\n                      <br/>configuration mismatch"
                },
                {
                  "value": "7",
                  "description": "Bus initialization running"
                }
              ]
            }
          },
          {
            "data": "Command ID",
            "shortcut": "CMD",
            "description": "Command identifier",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": {
                "value": "0x08",
                "description": "ID 08"
              }
            }
          },
          {
            "reserved": {},
            "bitoffs": "8",
            "bitsize": "1"
          },
          {
            "data": "Meter bus type",
            "shortcut": "BUS",
            "description": "The used bus of the meter status response",
            "info": {},
            "bitoffs": "9",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Reserved",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "MBUS"
                },
                {
                  "value": "2",
                  "description": "S0"
                },
                {
                  "value": "3",
                  "description": "D0"
                }
              ]
            }
          },
          {
            "data": "Meter channel index",
            "shortcut": "MCH",
            "description": "The meter number of given bus that status is reported",
            "info": {},
            "bitoffs": "11",
            "bitsize": "5",
            "range": {
              "min": "0",
              "max": "30"
            },
            "scale": {
              "min": "0",
              "max": "30"
            },
            "unit": "1"
          },
          {
            "reserved": {},
            "bitoffs": "16",
            "bitsize": "3"
          },
          {
            "data": "Value selection",
            "shortcut": "VSEL",
            "description": "The selection of the reported value",
            "info": {},
            "bitoffs": "19",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Meter 1 Current value",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Meter 1 Accumulated value"
                },
                {
                  "value": "2",
                  "description": "Meter 2 Current value"
                },
                {
                  "value": "3",
                  "description": "Meter 2 Accumulated value"
                }
              ]
            }
          },
          {
            "data": "Value unit",
            "shortcut": "VUNIT",
            "description": "The unit of the reported value",
            "info": {},
            "bitoffs": "21",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "W",
                  "info": {}
                },
                {
                  "value": "1",
                  "description": "Wh"
                },
                {
                  "value": "2",
                  "description": "kWh"
                },
                {
                  "value": "3",
                  "description": "m3/h"
                },
                {
                  "value": "4",
                  "description": "dm3/h"
                },
                {
                  "value": "5",
                  "description": "m3"
                },
                {
                  "value": "6",
                  "description": "dm3"
                },
                {
                  "value": "7",
                  "description": "1 (digital counter)"
                }
              ]
            }
          },
          {
            "data": "Meter reading value",
            "shortcut": "VAL",
            "description": "The reported value",
            "info": {},
            "bitoffs": "24",
            "bitsize": "32",
            "range": {
              "min": "0",
              "max": "4294967295"
            },
            "scale": {
              "min": "0",
              "max": "4294967295"
            },
            "unit": "According to VUNIT"
          }
        ]
      }
    ],
    "originalIndex": 204,
    "eep": "d2-31-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Automated Meter Reading Gateway",
    "func_number": "0x31",
    "submitter": [
      "MSR-Solutions"
    ]
  },
  "d2-31-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "31",
      "type": "00"
    },
    "originalIndex": 205,
    "eep": "d2-31-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Automated Meter Reading Gateway",
    "func_number": "0x31",
    "submitter": []
  },
  "d2-32-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <img>graphics/D2-32-00.png</img>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Notes</span>\n              <br/>1) If Power Fail bit is set, all channel readings will be set to\n              zero when this final telegram is sent.\n              <br/>2) Scale/divisor is set to 0 or 1 for all channels only, not individually.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "2",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "20",
            "bitsize": "4"
          },
          {
            "data": "Power Fail",
            "shortcut": "PF",
            "description": "See Note 1",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Divisor",
            "shortcut": "DIV",
            "description": "Divisor for all channels",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1"
                },
                {
                  "value": "1",
                  "description": "x/10"
                }
              ]
            }
          },
          {
            "data": "Channel 1",
            "shortcut": "CH1",
            "description": "Current value",
            "info": {},
            "bitoffs": "8",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          }
        ]
      }
    ],
    "originalIndex": 206,
    "eep": "d2-32-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "A.C. Current Clamp",
    "func_number": "0x32",
    "submitter": [
      "Pressac Communications Ltd"
    ]
  },
  "d2-32-01": {
    "number": "0x01",
    "title": "Type 0x01",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <img>graphics/D2-32-01.png</img>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Notes</span>\n              <br/>1) If Power Fail bit is set, all channel readings will be set to\n              zero when this final telegram is sent.\n              <br/>2) Scale/divisor is set to 0 or 1 for all channels only, not individually.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "2",
            "bitsize": "6"
          },
          {
            "data": "Power Fail",
            "shortcut": "PF",
            "description": "See Note 1",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Divisor",
            "shortcut": "DIV",
            "description": "Divisor for all channels",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1"
                },
                {
                  "value": "1",
                  "description": "x/10"
                }
              ]
            }
          },
          {
            "data": "Channel 1",
            "shortcut": "CH1",
            "description": "Current value",
            "info": {},
            "bitoffs": "8",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          },
          {
            "data": "Channel 2",
            "shortcut": "CH2",
            "description": "Current value",
            "info": {},
            "bitoffs": "20",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          }
        ]
      }
    ],
    "originalIndex": 207,
    "eep": "d2-32-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "A.C. Current Clamp",
    "func_number": "0x32",
    "submitter": [
      "Pressac Communications Ltd"
    ]
  },
  "d2-32-02": {
    "number": "0x02",
    "title": "Type 0x02",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <img>graphics/D2-32-02.png</img>\n              <br/>\n              <span style=\"border-bottom:2px groove #000000;\">Notes</span>\n              <br/>1) If Power Fail bit is set, all channel readings will be set to\n              zero when this final telegram is sent.\n              <br/>2) Scale/divisor is set to 0 or 1 for all channels only, not individually.",
    "case": [
      {
        "datafield": [
          {
            "reserved": {},
            "bitoffs": "2",
            "bitsize": "6"
          },
          {
            "reserved": {},
            "bitoffs": "44",
            "bitsize": "4"
          },
          {
            "data": "Power Fail",
            "shortcut": "PF",
            "description": "See Note 1",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Divisor",
            "shortcut": "DIV",
            "description": "Divisor for all channels",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "x/1"
                },
                {
                  "value": "1",
                  "description": "x/10"
                }
              ]
            }
          },
          {
            "data": "Channel 1",
            "shortcut": "CH1",
            "description": "Current value",
            "info": {},
            "bitoffs": "8",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          },
          {
            "data": "Channel 2",
            "shortcut": "CH2",
            "description": "Current value",
            "info": {},
            "bitoffs": "20",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          },
          {
            "data": "Channel 3",
            "shortcut": "CH3",
            "description": "Current value",
            "info": {},
            "bitoffs": "32",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "0xFFF"
            },
            "scale": {
              "min": "0",
              "max": "4095 (409,5)"
            },
            "unit": "A"
          }
        ]
      }
    ],
    "originalIndex": 208,
    "eep": "d2-32-02",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "A.C. Current Clamp",
    "func_number": "0x32",
    "submitter": [
      "Pressac Communications Ltd"
    ]
  },
  "d2-40-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <b>MsgId 0x00:</b>Status of monocolor LED controller\n              <br/>\n              <img>graphics/D2-40-00.png</img>",
    "case": [
      {
        "datafield": [
          {
            "data": "LED output enabled",
            "shortcut": "OUTEN",
            "description": "Driving LED enabled",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Disabled"
                },
                {
                  "value": "1",
                  "description": "Enabled"
                }
              ]
            }
          },
          {
            "data": "“Demand Response” mode Active",
            "shortcut": "DRA",
            "description": "Controller is in the DR mode. It had received a\n                DR command from DR controller, and it is executing it.",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Daylight Harvesting Active",
            "shortcut": "DHAR",
            "description": "Daylight harvesting feature is turned on.\n                Readings from photo sensor are influencing the dimming level.",
            "info": {},
            "bitoffs": "2",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Occupancy State",
            "shortcut": "OCC",
            "description": "Room which controller is in charge of\n                is considered occupied.",
            "info": {},
            "bitoffs": "3",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not occupied"
                },
                {
                  "value": "1",
                  "description": "Occupied"
                },
                {
                  "value": "2",
                  "description": "Unknown"
                }
              ]
            }
          },
          {
            "data": "Status Tx reason",
            "shortcut": "SREAS",
            "description": "Reason for sending this status message",
            "info": {},
            "bitoffs": "5",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Other"
                },
                {
                  "value": "1",
                  "description": "Heartbeat"
                }
              ]
            }
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id; 0x00",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": "0",
                "description": "LED Status monocolor"
              }
            }
          },
          {
            "data": "Current Dim Level",
            "shortcut": "DLVL",
            "description": "Current dim level for the monocolor LED",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "200",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "0xFF",
                  "description": "If not used"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 209,
    "eep": "d2-40-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "LED Controller Status",
    "func_number": "0x40",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "d2-40-01": {
    "number": "0x01",
    "title": "Type 0x01",
    "status": "released",
    "description": "\n              <br/>\n              <br/>\n              <b>MsgId 0x01:</b>Status of RGB LED controller\n              <br/>\n              <img>graphics/D2-40-01.png</img>",
    "case": [
      {
        "datafield": [
          {
            "data": "LED output enabled",
            "shortcut": "OUTEN",
            "description": "Driving LED enabled",
            "info": {},
            "bitoffs": "0",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Disabled"
                },
                {
                  "value": "1",
                  "description": "Enabled"
                }
              ]
            }
          },
          {
            "data": "“Demand Response” mode Active",
            "shortcut": "DRA",
            "description": "Controller is in the DR mode. It had received a\n                DR command from DR controller, and it is executing it.",
            "info": {},
            "bitoffs": "1",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Daylight Harvesting Active",
            "shortcut": "DHAR",
            "description": "Daylight harvesting feature is turned on.\n                Readings from photo sensor are influencing the dimming level.",
            "info": {},
            "bitoffs": "2",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "False"
                },
                {
                  "value": "1",
                  "description": "True"
                }
              ]
            }
          },
          {
            "data": "Occupancy State",
            "shortcut": "OCC",
            "description": "Room which controller is in charge of\n                is considered occupied.",
            "info": {},
            "bitoffs": "3",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Not occupied"
                },
                {
                  "value": "1",
                  "description": "Occupied"
                },
                {
                  "value": "2",
                  "description": "Unknown"
                }
              ]
            }
          },
          {
            "data": "Status Tx reason",
            "shortcut": "SREAS",
            "description": "Reason for sending this status message",
            "info": {},
            "bitoffs": "5",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Other"
                },
                {
                  "value": "1",
                  "description": "Heartbeat"
                }
              ]
            }
          },
          {
            "data": "MsgId",
            "shortcut": "MI",
            "description": "Message Id; 0x01",
            "info": {},
            "bitoffs": "6",
            "bitsize": "2",
            "enum": {
              "item": {
                "value": "1",
                "description": "LED Status RGB"
              }
            }
          },
          {
            "data": "Current Dim Level LED R",
            "shortcut": "DLVLR",
            "description": "Current dim level for the red LED",
            "info": {},
            "bitoffs": "8",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "200",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "0xFF",
                  "description": "If not used"
                }
              ]
            }
          },
          {
            "data": "Current Dim Level LED G",
            "shortcut": "DLVLG",
            "description": "Current dim level for the green LED",
            "info": {},
            "bitoffs": "16",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "200",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "0xFF",
                  "description": "If not used"
                }
              ]
            }
          },
          {
            "data": "Current Dim Level LED B",
            "shortcut": "DLVLB",
            "description": "Current dim level for the blue LED",
            "info": {},
            "bitoffs": "24",
            "bitsize": "8",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "200",
                  "scale": {
                    "min": "0",
                    "max": "100"
                  },
                  "unit": "%"
                },
                {
                  "value": "0xFF",
                  "description": "If not used"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 210,
    "eep": "d2-40-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "LED Controller Status",
    "func_number": "0x40",
    "submitter": [
      "EnOcean GmbH"
    ]
  },
  "d2-50-00": {
    "number": "0x00",
    "title": "Type 0x00",
    "status": "released",
    "description": "",
    "case": [
      {
        "title": "Telegram Definition: ‘Ventilation Remote Transmission Request Message’",
        "description": "The ‘Ventilation Remote Transmission Request Message’ queries a particular\n                status message from the heat-recovery ventilation unit.\n                Thus status messages can be obtained at any time or at a higher update\n                rate than the heartbeat rate, e.g. during commissioning.\n                <br/>\n                <br/>Direction: Gateway --> Heat-recovery ventilation unit\n                <br/>\n                <img>graphics/D2-50-ZZ-No001.png</img>\n                <br/>",
        "datafield": [
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ventilation remote transmission request"
                },
                {
                  "value": "1",
                  "description": "Ventilation control"
                },
                {
                  "value": "2",
                  "description": "Ventilation basic status"
                },
                {
                  "value": "3",
                  "description": "Ventilation extended status"
                },
                {
                  "value": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Requested Message Type",
            "shortcut": "RMT",
            "description": "Defines the message type, which is requested by the remote device",
            "info": {},
            "bitoffs": "5",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ventilation basic status"
                },
                {
                  "value": "1",
                  "description": "Ventilation extended status"
                },
                {
                  "value": "2",
                  "description": "Reserved"
                },
                {
                  "value": "3",
                  "description": "Reserved"
                },
                {
                  "value": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "3",
            "bitsize": "2"
          }
        ]
      },
      {
        "title": "Telegram Definition: ‘Ventilation Control Message’",
        "description": "The ‘Ventilation Control Message’ changes the operating mode,\n              the state of several actuators and a subset of control parameters.\n              <br/>\n              <br/>Direction: Gateway --> Heat-recovery ventilation unit\n              <br/>\n              <img>graphics/D2-50-ZZ-No002.png</img>\n              <br/>",
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "3",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "12",
            "bitsize": "4"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "24",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "32",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "40",
            "bitsize": "1"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ventilation remote transmission request"
                },
                {
                  "value": "1",
                  "description": "Ventilation control"
                },
                {
                  "value": "2",
                  "description": "Ventilation basic status"
                },
                {
                  "value": "3",
                  "description": "Ventilation extended status"
                },
                {
                  "value": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Direct Operation Mode Control",
            "shortcut": "DOMC",
            "description": "Selects ventilation mode/level",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Off"
                },
                {
                  "value": "1",
                  "description": "Level 1"
                },
                {
                  "value": "2",
                  "description": "Level 2"
                },
                {
                  "value": "3",
                  "description": "Level 3"
                },
                {
                  "value": "4",
                  "description": "Level 4"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                },
                {
                  "value": "8",
                  "description": "Reserved"
                },
                {
                  "value": "9",
                  "description": "Reserved"
                },
                {
                  "value": "10",
                  "description": "Reserved"
                },
                {
                  "value": "11",
                  "description": "Automatic"
                },
                {
                  "value": "12",
                  "description": "Automatic on demand"
                },
                {
                  "value": "13",
                  "description": "Supply air only"
                },
                {
                  "value": "14",
                  "description": "Exhaust air only"
                },
                {
                  "value": "15",
                  "description": "no action (keep current ventilation mode/level)"
                }
              ]
            }
          },
          {
            "data": "Operation Mode Control",
            "shortcut": "OMC",
            "description": "Selects the next resp. previous available ventilation mode/level",
            "info": {},
            "bitoffs": "8",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no action"
                },
                {
                  "value": "1",
                  "description": "select next operation mode (edge-trigger)"
                },
                {
                  "value": "2",
                  "description": "select previous operation mode (edge-trigger)"
                },
                {
                  "value": "3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Heat Exchanger Bypass Control",
            "shortcut": "HBC",
            "description": "Manual override of automatic heat exchanger bypass control",
            "info": {},
            "bitoffs": "10",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no action"
                },
                {
                  "value": "1",
                  "description": "close bypass (edge-trigger)"
                },
                {
                  "value": "2",
                  "description": "open bypass (edge-trigger)"
                },
                {
                  "value": "3",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Timer Operation Mode Control",
            "shortcut": "TOMC",
            "description": "Enables Timer Operation Mode, i.e. a particular ventilation mode\n                is activated for a defined time",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "no action"
                },
                {
                  "value": "1",
                  "description": "start timer operation mode (edge-trigger)"
                }
              ]
            }
          },
          {
            "data": "CO2 Threshold",
            "shortcut": "COT",
            "description": "Overrides CO2 threshold for CO2 control in automatic mode",
            "info": {},
            "bitoffs": "17",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "description": "0...100 %"
                },
                {
                  "min": "101",
                  "max": "126",
                  "description": "Reserved"
                },
                {
                  "value": "127",
                  "description": "Default (use threshold configured in device)"
                }
              ]
            }
          },
          {
            "data": "Humidity Threshold",
            "shortcut": "HT",
            "description": "Overrides humidity threshold for humidity control in automatic mode",
            "info": {},
            "bitoffs": "25",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "description": "0...100 %"
                },
                {
                  "min": "101",
                  "max": "126",
                  "description": "Reserved"
                },
                {
                  "value": "127",
                  "description": "Default (use threshold configured in device)"
                }
              ]
            }
          },
          {
            "data": "Air Quality Threshold",
            "shortcut": "AQT",
            "description": "Overrides air quality threshold for air quality control in automatic mode",
            "info": {},
            "bitoffs": "33",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "description": "0...100 %"
                },
                {
                  "min": "101",
                  "max": "126",
                  "description": "Reserved"
                },
                {
                  "value": "127",
                  "description": "Default (use threshold configured in device)"
                }
              ]
            }
          },
          {
            "data": "Room temperature threshold",
            "shortcut": "RTT",
            "description": "Overrides room temperature threshold for room temperature control mode",
            "info": {},
            "bitoffs": "41",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "-63",
                  "max": "63",
                  "scale": {
                    "min": "-63",
                    "max": "63"
                  },
                  "unit": "°C"
                },
                {
                  "value": "-64",
                  "description": "Default (use threshold configured in device)"
                }
              ]
            }
          }
        ]
      },
      {
        "title": "Telegram Definition: ‘Ventilation Basic Status Message’",
        "description": "The ‘Ventilation Basic Status Message’ provides current sensor values\n                and  internal control status information. It is triggered once at\n                power-on and on particular value changes.<br/>\n                Additionally this message is available on request.\n                <br/>\n                <br/>Direction: Heat-recovery ventilation unit --> Gateway\n                <br/>\n                <img>graphics/D2-50-ZZ-No003.png</img>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "3",
            "bitsize": "1"
          },
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "8",
            "bitsize": "4"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ventilation remote transmission request"
                },
                {
                  "value": "1",
                  "description": "Ventilation control"
                },
                {
                  "value": "2",
                  "description": "Ventilation basic status"
                },
                {
                  "value": "3",
                  "description": "Ventilation extended status"
                },
                {
                  "value": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Operation Mode Status",
            "shortcut": "OMS",
            "description": "Shows current Operation Mode Status",
            "info": {},
            "bitoffs": "4",
            "bitsize": "4",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Off"
                },
                {
                  "value": "1",
                  "description": "Level 1"
                },
                {
                  "value": "2",
                  "description": "Level 2"
                },
                {
                  "value": "3",
                  "description": "Level 3"
                },
                {
                  "value": "4",
                  "description": "Level 4"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                },
                {
                  "value": "8",
                  "description": "Reserved"
                },
                {
                  "value": "9",
                  "description": "Reserved"
                },
                {
                  "value": "10",
                  "description": "Reserved"
                },
                {
                  "value": "11",
                  "description": "Automatic"
                },
                {
                  "value": "12",
                  "description": "Automatic on demand"
                },
                {
                  "value": "13",
                  "description": "Supply air only"
                },
                {
                  "value": "14",
                  "description": "Exhaust air only"
                },
                {
                  "value": "15",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Safety Mode Status",
            "shortcut": "SMS",
            "description": "Indicates if device is running in fireplace safety mode",
            "info": {},
            "bitoffs": "12",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "fireplace safety mode disabled"
                },
                {
                  "value": "1",
                  "description": "fireplace safety mode enabled"
                }
              ]
            }
          },
          {
            "data": "Heat Exchanger Bypass Status",
            "shortcut": "HBS",
            "description": "Indicates heat exchanger bypass status",
            "info": {},
            "bitoffs": "13",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "bypass closed (heatrecovery active)"
                },
                {
                  "value": "1",
                  "description": "bypass opened (heatrecovery inactive)"
                }
              ]
            }
          },
          {
            "data": "Supply Air Flap Position",
            "shortcut": "SFP",
            "description": "Supply Air Flap Position",
            "info": {},
            "bitoffs": "14",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "supply air flap closed"
                },
                {
                  "value": "1",
                  "description": "supply air flap opened"
                }
              ]
            }
          },
          {
            "data": "Exhaust Air Flap Position",
            "shortcut": "EFP",
            "description": "Exhaust Air Flap Position",
            "info": {},
            "bitoffs": "15",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "exhaust air flap closed"
                },
                {
                  "value": "1",
                  "description": "exhaust air flap opened"
                }
              ]
            }
          },
          {
            "data": "Defrost Mode Status",
            "shortcut": "DMS",
            "description": "Indicates if device is running in defrost mode, i.e.\n                automatic defrosting of heat exchanger is active",
            "info": {},
            "bitoffs": "16",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "defrost mode inactive"
                },
                {
                  "value": "1",
                  "description": "defrost mode active"
                }
              ]
            }
          },
          {
            "data": "Cooling Protection Status",
            "shortcut": "CPS",
            "description": "Indicates if device is running in cooling protection",
            "info": {},
            "bitoffs": "17",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "cooling protection mode inactive"
                },
                {
                  "value": "1",
                  "description": "cooling protection mode active"
                }
              ]
            }
          },
          {
            "data": "Outdoor Air Heater Status",
            "shortcut": "OHS",
            "description": "Outdoor Air Heater Status",
            "info": {},
            "bitoffs": "18",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "inactive"
                },
                {
                  "value": "1",
                  "description": "active"
                }
              ]
            }
          },
          {
            "data": "Supply Air Heater Status",
            "shortcut": "SHS",
            "description": "Supply Air Heater Status",
            "info": {},
            "bitoffs": "19",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "inactive"
                },
                {
                  "value": "1",
                  "description": "active"
                }
              ]
            }
          },
          {
            "data": "Drain Heater Status",
            "shortcut": "DHS",
            "description": "Drain Heater Status",
            "info": {},
            "bitoffs": "20",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "inactive"
                },
                {
                  "value": "1",
                  "description": "active"
                }
              ]
            }
          },
          {
            "data": "Timer Operation Mode Status",
            "shortcut": "TOMS",
            "description": "Indicates timer operation mode status",
            "info": {},
            "bitoffs": "21",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "timer operation mode inactive"
                },
                {
                  "value": "1",
                  "description": "timer operation mode active"
                }
              ]
            }
          },
          {
            "data": "Filter Maintenance Status",
            "shortcut": "FMS",
            "description": "Filter Maintenance Status",
            "info": {},
            "bitoffs": "22",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Maintenance not required"
                },
                {
                  "value": "1",
                  "description": "Maintenance required"
                }
              ]
            }
          },
          {
            "data": "Weekly Timer Program Status",
            "shortcut": "WTPS",
            "description": "Indicates if weekly timer program is active\n                (i.e. if device is running according to configured program)",
            "info": {},
            "bitoffs": "23",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "weekly timer program disabled or not configured"
                },
                {
                  "value": "1",
                  "description": "weekly timer program active"
                }
              ]
            }
          },
          {
            "data": "Room Temperature Control Status",
            "shortcut": "RTCS",
            "description": "Indicates room temperature control status",
            "info": {},
            "bitoffs": "24",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "room temperature control inactive"
                },
                {
                  "value": "1",
                  "description": "room temperature control active"
                }
              ]
            }
          },
          {
            "data": "Air Quality Sensor 1",
            "shortcut": "AQS1",
            "description": "Current air quality sensor 1 measurement value",
            "info": {},
            "bitoffs": "25",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "description": "0...100 %"
                },
                {
                  "min": "101",
                  "max": "126",
                  "description": "Reserved"
                },
                {
                  "value": "127",
                  "description": "not available"
                }
              ]
            }
          },
          {
            "data": "Master/Slave Configuration Status",
            "shortcut": "MSS",
            "description": "Indicates whether device is configured as master or slave unit",
            "info": {},
            "bitoffs": "32",
            "bitsize": "1",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Master"
                },
                {
                  "value": "1",
                  "description": "Slave"
                }
              ]
            }
          },
          {
            "data": "Air Quality Sensor 2",
            "shortcut": "AQS2",
            "description": "Current air quality sensor 2 measurement value",
            "info": {},
            "bitoffs": "33",
            "bitsize": "7",
            "enum": {
              "item": [
                {
                  "min": "0",
                  "max": "100",
                  "description": "0...100 %"
                },
                {
                  "min": "101",
                  "max": "126",
                  "description": "Reserved"
                },
                {
                  "value": "127",
                  "description": "not available"
                }
              ]
            }
          },
          {
            "data": "Outdoor Air Temperature",
            "shortcut": "OUTT",
            "description": "Current outdoor air temperature",
            "info": {},
            "bitoffs": "40",
            "bitsize": "7",
            "range": {
              "min": "-64",
              "max": "63"
            },
            "scale": {
              "min": "-64",
              "max": "63"
            },
            "unit": "°C"
          },
          {
            "data": "Supply Air Temperature",
            "shortcut": "SPLYT",
            "description": "Current supply air temperature",
            "info": {},
            "bitoffs": "47",
            "bitsize": "7",
            "range": {
              "min": "-64",
              "max": "63"
            },
            "scale": {
              "min": "-64",
              "max": "63"
            },
            "unit": "°C"
          },
          {
            "data": "Indoor Air Temperature",
            "shortcut": "INT",
            "description": "Current indoor air temperature",
            "info": {},
            "bitoffs": "54",
            "bitsize": "7",
            "range": {
              "min": "-64",
              "max": "63"
            },
            "scale": {
              "min": "-64",
              "max": "63"
            },
            "unit": "°C"
          },
          {
            "data": "Exhaust Air Temperature",
            "shortcut": "EXHT",
            "description": "Current exhaust air temperature",
            "info": {},
            "bitoffs": "61",
            "bitsize": "7",
            "range": {
              "min": "-64",
              "max": "63"
            },
            "scale": {
              "min": "-64",
              "max": "63"
            },
            "unit": "°C"
          },
          {
            "data": "Supply Air Fan Air Flow Rate",
            "shortcut": "SPLYFF",
            "description": "Current supply air fan air flow rate setpoint",
            "info": {},
            "bitoffs": "68",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1023"
            },
            "scale": {
              "min": "0",
              "max": "1023"
            },
            "unit": "m3/h"
          },
          {
            "data": "Exhaust Air Fan Air Flow Rate",
            "shortcut": "EXHFF",
            "description": "Current exhaust air fan air flow rate setpoint",
            "info": {},
            "bitoffs": "78",
            "bitsize": "10",
            "range": {
              "min": "0",
              "max": "1023"
            },
            "scale": {
              "min": "0",
              "max": "1023"
            },
            "unit": "m3/h"
          },
          {
            "data": "Supply Fan Speed",
            "shortcut": "SPLYFS",
            "description": "Current supply air fan speed",
            "info": {},
            "bitoffs": "88",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "1/min"
          },
          {
            "data": "Exhaust Fan Speed",
            "shortcut": "EXHFS",
            "description": "Current exhaust air fan speed",
            "info": {},
            "bitoffs": "100",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "1/min"
          }
        ]
      },
      {
        "title": "Telegram Definition: ‘Ventilation Extended Status Message’",
        "description": "The ‘Ventilation Extended Status Message’ provides additional\n                information, e.g. active failure information.\n                It is triggered once at power-on and on particular value changes.\n                <br/>Additionally this message is available on request.\n                <br/>\n                <br/>Direction: Heat-recovery ventilation unit --> Gateway\n                <br/>\n                <img>graphics/D2-50-ZZ-No004.png</img>\n                <br/>",
        "datafield": [
          {
            "reserved": {},
            "data": {},
            "shortcut": {},
            "description": {},
            "bitoffs": "3",
            "bitsize": "1"
          },
          {
            "data": "Message Type",
            "shortcut": "MT",
            "description": "Defines the message type",
            "info": {},
            "bitoffs": "0",
            "bitsize": "3",
            "enum": {
              "item": [
                {
                  "value": "0",
                  "description": "Ventilation remote transmission request"
                },
                {
                  "value": "1",
                  "description": "Ventilation control"
                },
                {
                  "value": "2",
                  "description": "Ventilation basic status"
                },
                {
                  "value": "3",
                  "description": "Ventilation extended status"
                },
                {
                  "value": "4",
                  "description": "Reserved"
                },
                {
                  "value": "5",
                  "description": "Reserved"
                },
                {
                  "value": "6",
                  "description": "Reserved"
                },
                {
                  "value": "7",
                  "description": "Reserved"
                }
              ]
            }
          },
          {
            "data": "Software Version Info",
            "shortcut": "SVI",
            "description": "Shows Software Version Information",
            "info": {},
            "bitoffs": "4",
            "bitsize": "12",
            "range": {
              "min": "0",
              "max": "4095"
            },
            "scale": {
              "min": "0",
              "max": "4095"
            },
            "unit": "-"
          },
          {
            "data": "Operation Hours Counter",
            "shortcut": "OHC",
            "description": "Indicates device operation hours",
            "info": {},
            "bitoffs": "16",
            "bitsize": "16",
            "range": {
              "min": "0",
              "max": "196605"
            },
            "scale": {
              "min": "0",
              "max": "589815"
            },
            "unit": "h"
          },
          {
            "data": "Digital Input 0...15 Status",
            "shortcut": "DIS",
            "description": "Indicates the current state of digital inputs 0...15 of the device\n                <br/><br/>\n                input assignment depends on device variant and configuration",
            "info": {},
            "bitoffs": "32",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0001",
                  "description": "input no. 00 active"
                },
                {
                  "value": "0x0002",
                  "description": "input no. 01 active"
                },
                {
                  "value": "0x0004",
                  "description": "input no. 02 active"
                },
                {
                  "value": "0x0008",
                  "description": "input no. 03 active"
                },
                {
                  "value": "0x0010",
                  "description": "input no. 04 active"
                },
                {
                  "value": "0x0020",
                  "description": "input no. 05 active"
                },
                {
                  "value": "0x0040",
                  "description": "input no. 06 active"
                },
                {
                  "value": "0x0080",
                  "description": "input no. 07 active"
                },
                {
                  "value": "0x0100",
                  "description": "input no. 08 active"
                },
                {
                  "value": "0x0200",
                  "description": "input no. 09 active"
                },
                {
                  "value": "0x0400",
                  "description": "input no. 10 active"
                },
                {
                  "value": "0x0800",
                  "description": "input no. 11 active"
                },
                {
                  "value": "0x1000",
                  "description": "input no. 12 active"
                },
                {
                  "value": "0x2000",
                  "description": "input no. 13 active"
                },
                {
                  "value": "0x4000",
                  "description": "input no. 14 active"
                },
                {
                  "value": "0x8000",
                  "description": "input no. 15 active"
                }
              ]
            }
          },
          {
            "data": "Digital Output 0...15 Status",
            "shortcut": "DOS",
            "description": "Indicates the current state of digital outputs 0...15 of the device\n                  <br/>\n                  <br/>output assignment depends on device variant and configuration",
            "info": {},
            "bitoffs": "48",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0001",
                  "description": "output no. 00 active"
                },
                {
                  "value": "0x0002",
                  "description": "output no. 01 active"
                },
                {
                  "value": "0x0004",
                  "description": "output no. 02 active"
                },
                {
                  "value": "0x0008",
                  "description": "output no. 03 active"
                },
                {
                  "value": "0x0010",
                  "description": "output no. 04 active"
                },
                {
                  "value": "0x0020",
                  "description": "output no. 05 active"
                },
                {
                  "value": "0x0040",
                  "description": "output no. 06 active"
                },
                {
                  "value": "0x0080",
                  "description": "output no. 07 active"
                },
                {
                  "value": "0x0100",
                  "description": "output no. 08 active"
                },
                {
                  "value": "0x0200",
                  "description": "output no. 09 active"
                },
                {
                  "value": "0x0400",
                  "description": "output no. 10 active"
                },
                {
                  "value": "0x0800",
                  "description": "output no. 11 active"
                },
                {
                  "value": "0x1000",
                  "description": "output no. 12 active"
                },
                {
                  "value": "0x2000",
                  "description": "output no. 13 active"
                },
                {
                  "value": "0x4000",
                  "description": "output no. 14 active"
                },
                {
                  "value": "0x8000",
                  "description": "output no. 15 active"
                }
              ]
            }
          },
          {
            "data": "Info Message 0...15 Status",
            "shortcut": "IMS",
            "description": "Indicates the current state of info message no. 0...15\n                generated by the device",
            "info": {},
            "bitoffs": "64",
            "bitsize": "16",
            "enum": {
              "item": [
                {
                  "value": "0x0001",
                  "description": "info no. 00 active"
                },
                {
                  "value": "0x0002",
                  "description": "info no. 01 active"
                },
                {
                  "value": "0x0004",
                  "description": "info no. 02 active"
                },
                {
                  "value": "0x0008",
                  "description": "info no. 03 active"
                },
                {
                  "value": "0x0010",
                  "description": "info no. 04 active"
                },
                {
                  "value": "0x0020",
                  "description": "info no. 05 active"
                },
                {
                  "value": "0x0040",
                  "description": "info no. 06 active"
                },
                {
                  "value": "0x0080",
                  "description": "info no. 07 active"
                },
                {
                  "value": "0x0100",
                  "description": "info no. 08 active"
                },
                {
                  "value": "0x0200",
                  "description": "info no. 09 active"
                },
                {
                  "value": "0x0400",
                  "description": "info no. 10 active"
                },
                {
                  "value": "0x0800",
                  "description": "info no. 11 active"
                },
                {
                  "value": "0x1000",
                  "description": "info no. 12 active"
                },
                {
                  "value": "0x2000",
                  "description": "info no. 13 active"
                },
                {
                  "value": "0x4000",
                  "description": "info no. 14 active"
                },
                {
                  "value": "0x8000",
                  "description": "info no. 15 active"
                }
              ]
            }
          },
          {
            "data": "Fault 0...31 Status",
            "shortcut": "FS",
            "description": "Indicates the current state of fault no. 0...31 generated\n                by the device",
            "info": {},
            "bitoffs": "80",
            "bitsize": "32",
            "enum": {
              "item": [
                {
                  "value": "0x00000001",
                  "description": "fault no. 00 active"
                },
                {
                  "value": "0x00000002",
                  "description": "fault no. 01 active"
                },
                {
                  "value": "0x00000004",
                  "description": "fault no. 02 active"
                },
                {
                  "value": "0x00000008",
                  "description": "fault no. 03 active"
                },
                {
                  "value": "0x00000010",
                  "description": "fault no. 04 active"
                },
                {
                  "value": "0x00000020",
                  "description": "fault no. 05 active"
                },
                {
                  "value": "0x00000040",
                  "description": "fault no. 06 active"
                },
                {
                  "value": "0x00000080",
                  "description": "fault no. 07 active"
                },
                {
                  "value": "0x00000100",
                  "description": "fault no. 08 active"
                },
                {
                  "value": "0x00000200",
                  "description": "fault no. 09 active"
                },
                {
                  "value": "0x00000400",
                  "description": "fault no. 10 active"
                },
                {
                  "value": "0x00000800",
                  "description": "fault no. 11 active"
                },
                {
                  "value": "0x00001000",
                  "description": "fault no. 12 active"
                },
                {
                  "value": "0x00002000",
                  "description": "fault no. 13 active"
                },
                {
                  "value": "0x00004000",
                  "description": "fault no. 14 active"
                },
                {
                  "value": "0x00008000",
                  "description": "fault no. 15 active"
                },
                {
                  "value": "0x00010000",
                  "description": "fault no. 16 active"
                },
                {
                  "value": "0x00020000",
                  "description": "fault no. 17 active"
                },
                {
                  "value": "0x00040000",
                  "description": "fault no. 18 active"
                },
                {
                  "value": "0x00080000",
                  "description": "fault no. 19 active"
                },
                {
                  "value": "0x00100000",
                  "description": "fault no. 20 active"
                },
                {
                  "value": "0x00200000",
                  "description": "fault no. 21 active"
                },
                {
                  "value": "0x00400000",
                  "description": "fault no. 22 active"
                },
                {
                  "value": "0x00800000",
                  "description": "fault no. 23 active"
                },
                {
                  "value": "0x01000000",
                  "description": "fault no. 24 active"
                },
                {
                  "value": "0x02000000",
                  "description": "fault no. 25 active"
                },
                {
                  "value": "0x04000000",
                  "description": "fault no. 26 active"
                },
                {
                  "value": "0x08000000",
                  "description": "fault no. 27 active"
                },
                {
                  "value": "0x10000000",
                  "description": "fault no. 28 active"
                },
                {
                  "value": "0x20000000",
                  "description": "fault no. 29 active"
                },
                {
                  "value": "0x40000000",
                  "description": "fault no. 30 active"
                },
                {
                  "value": "0x80000000",
                  "description": "fault no. 31 active"
                }
              ]
            }
          }
        ]
      }
    ],
    "originalIndex": 211,
    "eep": "d2-50-00",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Heat Recovery Ventilation",
    "func_number": "0x50",
    "submitter": [
      "Glen Dimplex"
    ]
  },
  "d2-50-01": {
    "$t": "",
    "number": "0x01",
    "title": "Type 0x01 (description: see table)",
    "status": "released",
    "description": "",
    "ref": {
      "rorg": "D2",
      "func": "31",
      "type": "00"
    },
    "originalIndex": 212,
    "eep": "d2-50-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Heat Recovery Ventilation",
    "func_number": "0x50",
    "submitter": []
  },
  "d2-a0-01": {
    "number": "0x01",
    "title": "Valve Control",
    "status": "released",
    "description": "\n              <br/><br/>\n              Description:<br/>\n              Radio operated valve control with feedback message.\n              Valve is controlled through the air interface to be opened or closed.\n              The valve reports the actual status after finishing the determined operation.\n              <br/><br/>\n              <span style=\"border-bottom:2px groove #000000;\">Data exchange</span>\n              <br/>\n              Direction: bidirectional<br/>\n              Addressing: addressed (inbound) and broadcast (outbound)<br/>\n              Communication trigger: event- & time-triggered<br/>\n              Trigger event: position of valve has changed<br/>\n              Teach-in method: UTE\n              <br/><br/>\n              DIRECTION-1 = Outbound (water valve to the controller)\n              <br/>\n              Description: Valve reports its status. Report is sent after operation was executed or as a heartbeat.\n              <br/><br/>\n              DIRECTION-2 = Inbound (controller to the water valve)\n              <br/>\n              Description: Operational command to the valve.\n              After this request a feedback response will be transmitted,\n              once the operation is finished.\n              <br/>\n              A “no change”-command will also be followed by a feedback response.\n              Therefore, it can be used as a status request.",
    "case": [
      {
        "direction": "1",
        "condition": {
          "direction": "1"
        },
        "datafield": [
          {
            "data": "Feedback",
            "shortcut": "FDB",
            "description": "Return",
            "info": "Feedback",
            "bitoffs": "6",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "Not defined"
                },
                {
                  "value": "0b01",
                  "description": "Closed"
                },
                {
                  "value": "0b10",
                  "description": "Opened"
                },
                {
                  "value": "0b11",
                  "description": "Not defined"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "6"
          }
        ]
      },
      {
        "direction": "2",
        "condition": {
          "direction": "2"
        },
        "datafield": [
          {
            "data": "Request",
            "shortcut": "REQ",
            "description": "Request to operate the valve",
            "info": "Request",
            "bitoffs": "6",
            "bitsize": "2",
            "enum": {
              "item": [
                {
                  "value": "0b00",
                  "description": "No change (request of feedback)"
                },
                {
                  "value": "0b01",
                  "description": "Request to close valve"
                },
                {
                  "value": "0b10",
                  "description": "Request to open valve"
                },
                {
                  "value": "0b11",
                  "description": "Request to close valve"
                }
              ]
            }
          },
          {
            "reserved": {},
            "bitoffs": "0",
            "bitsize": "6"
          }
        ]
      }
    ],
    "originalIndex": 213,
    "eep": "d2-a0-01",
    "rorg_title": "VLD Telegram",
    "rorg_number": "0xD2",
    "func_title": "Standard Valve",
    "func_number": "0xA0",
    "submitter": [
      "Afriso",
      "EnOcean"
    ]
  }
}
